<?php
namespace Bordeux\SchemaOrg;

/**
 * Generated by bordeux/schema
 *
 * @author Krzysztof Bednarczyk <schema@bordeux.net>
 */
class SchemaDateTime implements \JsonSerializable
{
    /**
     * @var \DateTime
     */
    protected $date;

    /**
     * SchemaDateTime constructor.
     * @author Krzysztof Bednarczyk
     * @param \DateTime $date
     */
    public function __construct(\DateTime $date)
    {
        $this->date = $date;
    }


    /**
     * Get date value
     * @author Krzysztof Bednarczyk
     * @return \DateTime
     */
    public function getDate()
    {
        return $this->date;
    }

    /**
     * Set date value
     * @author Krzysztof Bednarczyk
     * @param \DateTime $date
     * @return  $this
     */
    public function setDate(\DateTime $date)
    {
        $this->date = $date;
        return $this;
    }


    /**
     * Specify data which should be serialized to JSON
     * @link http://php.net/manual/en/jsonserializable.jsonserialize.php
     * @return mixed data which can be serialized by <b>json_encode</b>,
     * which is a value of any type other than a resource.
     * @since 5.4.0
     */
    function jsonSerialize()
    {
        return $this->date->format(\DateTime::ISO8601);
    }
}