<?php

namespace Bordeux\SchemaOrg\Thing;

/**
 * Generated by bordeux/schema
 *
 * @author Krzysztof Bednarczyk <schema@bordeux.net>
 * @link http://schema.org/Action
 *
 *
 * -------------------------------- Agent ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Organization|\Bordeux\SchemaOrg\Thing\Organization[]|\Bordeux\SchemaOrg\Thing\Person|\Bordeux\SchemaOrg\Thing\Person[] agent
 *
 * @method \Bordeux\SchemaOrg\Thing\Organization|\Bordeux\SchemaOrg\Thing\Organization[]|\Bordeux\SchemaOrg\Thing\Person|\Bordeux\SchemaOrg\Thing\Person[] getAgent() The direct performer or driver of the action (animate or inanimate). e.g. *John* wrote a book.
 *
 * @method Action setAgent(\Bordeux\SchemaOrg\Thing\Organization $agent ) setAgent(\Bordeux\SchemaOrg\Thing\Organization[] $agent ) setAgent(\Bordeux\SchemaOrg\Thing\Person $agent ) setAgent(\Bordeux\SchemaOrg\Thing\Person[] $agent )The direct performer or driver of the action (animate or inanimate). e.g. *John* wrote a book.
 *
 *
 * -------------------------------- EndTime ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\SchemaDateTime|\Bordeux\SchemaOrg\SchemaDateTime[] endTime
 *
 * @method \Bordeux\SchemaOrg\SchemaDateTime|\Bordeux\SchemaOrg\SchemaDateTime[] getEndTime() When the Action was performed: end time. This is for actions that span a period of time. e.g. John wrote a book from January to *December*.
 *
 * @method Action setEndTime(\Bordeux\SchemaOrg\SchemaDateTime $endTime ) setEndTime(\Bordeux\SchemaOrg\SchemaDateTime[] $endTime )When the Action was performed: end time. This is for actions that span a period of time. e.g. John wrote a book from January to *December*.
 *
 *
 * -------------------------------- Instrument ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\\Thing|\Bordeux\SchemaOrg\\Thing[] instrument
 *
 * @method \Bordeux\SchemaOrg\\Thing|\Bordeux\SchemaOrg\\Thing[] getInstrument() The object that helped the agent perform the action. e.g. John wrote a book with *a pen*.
 *
 * @method Action setInstrument(\Bordeux\SchemaOrg\\Thing $instrument ) setInstrument(\Bordeux\SchemaOrg\\Thing[] $instrument )The object that helped the agent perform the action. e.g. John wrote a book with *a pen*.
 *
 *
 * -------------------------------- Location ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\ContactPoint\PostalAddress|\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\ContactPoint\PostalAddress[]|\Bordeux\SchemaOrg\Thing\Place|\Bordeux\SchemaOrg\Thing\Place[] location
 *
 * @method \Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\ContactPoint\PostalAddress|\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\ContactPoint\PostalAddress[]|\Bordeux\SchemaOrg\Thing\Place|\Bordeux\SchemaOrg\Thing\Place[] getLocation() The location of the event, organization or action.
 *
 * @method Action setLocation(\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\ContactPoint\PostalAddress $location ) setLocation(\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\ContactPoint\PostalAddress[] $location ) setLocation(\Bordeux\SchemaOrg\Thing\Place $location ) setLocation(\Bordeux\SchemaOrg\Thing\Place[] $location )The location of the event, organization or action.
 *
 *
 * -------------------------------- Object ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\\Thing|\Bordeux\SchemaOrg\\Thing[] object
 *
 * @method \Bordeux\SchemaOrg\\Thing|\Bordeux\SchemaOrg\\Thing[] getObject() The object upon the action is carried out, whose state is kept intact or changed. Also known as the semantic roles patient, affected or undergoer (which change their state) or theme (which doesn't). e.g. John read *a book*.
 *
 * @method Action setObject(\Bordeux\SchemaOrg\\Thing $object ) setObject(\Bordeux\SchemaOrg\\Thing[] $object )The object upon the action is carried out, whose state is kept intact or changed. Also known as the semantic roles patient, affected or undergoer (which change their state) or theme (which doesn't). e.g. John read *a book*.
 *
 *
 * -------------------------------- Participant ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Organization|\Bordeux\SchemaOrg\Thing\Organization[]|\Bordeux\SchemaOrg\Thing\Person|\Bordeux\SchemaOrg\Thing\Person[] participant
 *
 * @method \Bordeux\SchemaOrg\Thing\Organization|\Bordeux\SchemaOrg\Thing\Organization[]|\Bordeux\SchemaOrg\Thing\Person|\Bordeux\SchemaOrg\Thing\Person[] getParticipant() Other co-agents that participated in the action indirectly. e.g. John wrote a book with *Steve*.
 *
 * @method Action setParticipant(\Bordeux\SchemaOrg\Thing\Organization $participant ) setParticipant(\Bordeux\SchemaOrg\Thing\Organization[] $participant ) setParticipant(\Bordeux\SchemaOrg\Thing\Person $participant ) setParticipant(\Bordeux\SchemaOrg\Thing\Person[] $participant )Other co-agents that participated in the action indirectly. e.g. John wrote a book with *Steve*.
 *
 *
 * -------------------------------- Result ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\\Thing|\Bordeux\SchemaOrg\\Thing[] result
 *
 * @method \Bordeux\SchemaOrg\\Thing|\Bordeux\SchemaOrg\\Thing[] getResult() The result produced in the action. e.g. John wrote *a book*.
 *
 * @method Action setResult(\Bordeux\SchemaOrg\\Thing $result ) setResult(\Bordeux\SchemaOrg\\Thing[] $result )The result produced in the action. e.g. John wrote *a book*.
 *
 *
 * -------------------------------- StartTime ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\SchemaDateTime|\Bordeux\SchemaOrg\SchemaDateTime[] startTime
 *
 * @method \Bordeux\SchemaOrg\SchemaDateTime|\Bordeux\SchemaOrg\SchemaDateTime[] getStartTime() When the Action was performed: start time. This is for actions that span a period of time. e.g. John wrote a book from *January* to December.
 *
 * @method Action setStartTime(\Bordeux\SchemaOrg\SchemaDateTime $startTime ) setStartTime(\Bordeux\SchemaOrg\SchemaDateTime[] $startTime )When the Action was performed: start time. This is for actions that span a period of time. e.g. John wrote a book from *January* to December.
 *
 *
 */
 class Action extends \Bordeux\SchemaOrg\Thing {

 }