<?php

namespace Bordeux\SchemaOrg\Thing\Action\PlayAction;

/**
 * Generated by bordeux/schema
 *
 * @author Krzysztof Bednarczyk <schema@bordeux.net>
 * @link http://schema.org/ExerciseAction
 *
 *
 * -------------------------------- Course ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Place|\Bordeux\SchemaOrg\Thing\Place[] course
 *
 * @method \Bordeux\SchemaOrg\Thing\Place|\Bordeux\SchemaOrg\Thing\Place[] getCourse() A sub property of location. The course where this action was taken.
 *
 * @method ExerciseAction setCourse(\Bordeux\SchemaOrg\Thing\Place $course ) setCourse(\Bordeux\SchemaOrg\Thing\Place[] $course )A sub property of location. The course where this action was taken.
 *
 *
 * -------------------------------- Diet ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\CreativeWork\Diet|\Bordeux\SchemaOrg\Thing\CreativeWork\Diet[] diet
 *
 * @method \Bordeux\SchemaOrg\Thing\CreativeWork\Diet|\Bordeux\SchemaOrg\Thing\CreativeWork\Diet[] getDiet() A sub property of instrument. The died used in this action.
 *
 * @method ExerciseAction setDiet(\Bordeux\SchemaOrg\Thing\CreativeWork\Diet $diet ) setDiet(\Bordeux\SchemaOrg\Thing\CreativeWork\Diet[] $diet )A sub property of instrument. The died used in this action.
 *
 *
 * -------------------------------- Distance ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Intangible\Quantity\Distance|\Bordeux\SchemaOrg\Thing\Intangible\Quantity\Distance[] distance
 *
 * @method \Bordeux\SchemaOrg\Thing\Intangible\Quantity\Distance|\Bordeux\SchemaOrg\Thing\Intangible\Quantity\Distance[] getDistance() A sub property of asset. The distance travelled.
 *
 * @method ExerciseAction setDistance(\Bordeux\SchemaOrg\Thing\Intangible\Quantity\Distance $distance ) setDistance(\Bordeux\SchemaOrg\Thing\Intangible\Quantity\Distance[] $distance )A sub property of asset. The distance travelled.
 *
 *
 * -------------------------------- ExercisePlan ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\CreativeWork\ExercisePlan|\Bordeux\SchemaOrg\Thing\CreativeWork\ExercisePlan[] exercisePlan
 *
 * @method \Bordeux\SchemaOrg\Thing\CreativeWork\ExercisePlan|\Bordeux\SchemaOrg\Thing\CreativeWork\ExercisePlan[] getExercisePlan() A sub property of instrument. The exercise plan used on this action.
 *
 * @method ExerciseAction setExercisePlan(\Bordeux\SchemaOrg\Thing\CreativeWork\ExercisePlan $exercisePlan ) setExercisePlan(\Bordeux\SchemaOrg\Thing\CreativeWork\ExercisePlan[] $exercisePlan )A sub property of instrument. The exercise plan used on this action.
 *
 *
 * -------------------------------- ExerciseType ---------------------------------------------
 *
 * @property string|string[] exerciseType
 *
 * @method string|string[] getExerciseType() Type(s) of exercise or activity, such as strength training, flexibility training, aerobics, cardiac rehabilitation, etc.
 *
 * @method ExerciseAction setExerciseType(string $exerciseType ) setExerciseType(string[] $exerciseType )Type(s) of exercise or activity, such as strength training, flexibility training, aerobics, cardiac rehabilitation, etc.
 *
 *
 * -------------------------------- FromLocation ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Place|\Bordeux\SchemaOrg\Thing\Place[]|Number|Number[] fromLocation
 *
 * @method \Bordeux\SchemaOrg\Thing\Place|\Bordeux\SchemaOrg\Thing\Place[]|Number|Number[] getFromLocation() A sub property of location. The original location of the object or the agent before the action.
 *
 * @method ExerciseAction setFromLocation(\Bordeux\SchemaOrg\Thing\Place $fromLocation ) setFromLocation(\Bordeux\SchemaOrg\Thing\Place[] $fromLocation ) setFromLocation(Number $fromLocation ) setFromLocation(Number[] $fromLocation )A sub property of location. The original location of the object or the agent before the action.
 *
 *
 * -------------------------------- Oponent ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Person|\Bordeux\SchemaOrg\Thing\Person[] oponent
 *
 * @method \Bordeux\SchemaOrg\Thing\Person|\Bordeux\SchemaOrg\Thing\Person[] getOponent() A sub property of participant. The oponent on this action.
 *
 * @method ExerciseAction setOponent(\Bordeux\SchemaOrg\Thing\Person $oponent ) setOponent(\Bordeux\SchemaOrg\Thing\Person[] $oponent )A sub property of participant. The oponent on this action.
 *
 *
 * -------------------------------- SportsActivityLocation ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Organization\LocalBusiness\SportsActivityLocation|\Bordeux\SchemaOrg\Thing\Organization\LocalBusiness\SportsActivityLocation[] sportsActivityLocation
 *
 * @method \Bordeux\SchemaOrg\Thing\Organization\LocalBusiness\SportsActivityLocation|\Bordeux\SchemaOrg\Thing\Organization\LocalBusiness\SportsActivityLocation[] getSportsActivityLocation() A sub property of location. The sports activity location where this action occurred.
 *
 * @method ExerciseAction setSportsActivityLocation(\Bordeux\SchemaOrg\Thing\Organization\LocalBusiness\SportsActivityLocation $sportsActivityLocation ) setSportsActivityLocation(\Bordeux\SchemaOrg\Thing\Organization\LocalBusiness\SportsActivityLocation[] $sportsActivityLocation )A sub property of location. The sports activity location where this action occurred.
 *
 *
 * -------------------------------- SportsEvent ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Event\SportsEvent|\Bordeux\SchemaOrg\Thing\Event\SportsEvent[] sportsEvent
 *
 * @method \Bordeux\SchemaOrg\Thing\Event\SportsEvent|\Bordeux\SchemaOrg\Thing\Event\SportsEvent[] getSportsEvent() A sub property of location. The sports event where this action occurred.
 *
 * @method ExerciseAction setSportsEvent(\Bordeux\SchemaOrg\Thing\Event\SportsEvent $sportsEvent ) setSportsEvent(\Bordeux\SchemaOrg\Thing\Event\SportsEvent[] $sportsEvent )A sub property of location. The sports event where this action occurred.
 *
 *
 * -------------------------------- SportsTeam ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Organization\SportsTeam|\Bordeux\SchemaOrg\Thing\Organization\SportsTeam[] sportsTeam
 *
 * @method \Bordeux\SchemaOrg\Thing\Organization\SportsTeam|\Bordeux\SchemaOrg\Thing\Organization\SportsTeam[] getSportsTeam() A sub property of participant. The sports team that participated on this action.
 *
 * @method ExerciseAction setSportsTeam(\Bordeux\SchemaOrg\Thing\Organization\SportsTeam $sportsTeam ) setSportsTeam(\Bordeux\SchemaOrg\Thing\Organization\SportsTeam[] $sportsTeam )A sub property of participant. The sports team that participated on this action.
 *
 *
 * -------------------------------- ToLocation ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Place|\Bordeux\SchemaOrg\Thing\Place[]|Number|Number[] toLocation
 *
 * @method \Bordeux\SchemaOrg\Thing\Place|\Bordeux\SchemaOrg\Thing\Place[]|Number|Number[] getToLocation() A sub property of location. The final location of the object or the agent after the action.
 *
 * @method ExerciseAction setToLocation(\Bordeux\SchemaOrg\Thing\Place $toLocation ) setToLocation(\Bordeux\SchemaOrg\Thing\Place[] $toLocation ) setToLocation(Number $toLocation ) setToLocation(Number[] $toLocation )A sub property of location. The final location of the object or the agent after the action.
 *
 *
 */
 class ExerciseAction extends \Bordeux\SchemaOrg\Thing\Action\PlayAction {

 }