<?php

namespace Bordeux\SchemaOrg\Thing\CreativeWork;

/**
 * Generated by bordeux/schema
 *
 * @author Krzysztof Bednarczyk <schema@bordeux.net>
 * @link http://schema.org/Episode
 *
 *
 * -------------------------------- Actor ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Person|\Bordeux\SchemaOrg\Thing\Person[] actor
 *
 * @method \Bordeux\SchemaOrg\Thing\Person|\Bordeux\SchemaOrg\Thing\Person[] getActor() A cast member of the movie, tv/radio series, season, episode, or video.
 *
 * @method Episode setActor(\Bordeux\SchemaOrg\Thing\Person $actor ) setActor(\Bordeux\SchemaOrg\Thing\Person[] $actor )A cast member of the movie, tv/radio series, season, episode, or video.
 *
 *
 * -------------------------------- Actors ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Person|\Bordeux\SchemaOrg\Thing\Person[] actors
 *
 * @method \Bordeux\SchemaOrg\Thing\Person|\Bordeux\SchemaOrg\Thing\Person[] getActors() A cast member of the movie, tv/radio series, season, episode, or video. (legacy spelling; see singular form, actor)
 *
 * @method Episode setActors(\Bordeux\SchemaOrg\Thing\Person $actors ) setActors(\Bordeux\SchemaOrg\Thing\Person[] $actors )A cast member of the movie, tv/radio series, season, episode, or video. (legacy spelling; see singular form, actor)
 *
 *
 * -------------------------------- Director ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Person|\Bordeux\SchemaOrg\Thing\Person[] director
 *
 * @method \Bordeux\SchemaOrg\Thing\Person|\Bordeux\SchemaOrg\Thing\Person[] getDirector() The director of the movie, tv/radio episode or series.
 *
 * @method Episode setDirector(\Bordeux\SchemaOrg\Thing\Person $director ) setDirector(\Bordeux\SchemaOrg\Thing\Person[] $director )The director of the movie, tv/radio episode or series.
 *
 *
 * -------------------------------- Directors ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Person|\Bordeux\SchemaOrg\Thing\Person[] directors
 *
 * @method \Bordeux\SchemaOrg\Thing\Person|\Bordeux\SchemaOrg\Thing\Person[] getDirectors() The director of the movie, tv/radio episode or series. (legacy spelling; see singular form, director)
 *
 * @method Episode setDirectors(\Bordeux\SchemaOrg\Thing\Person $directors ) setDirectors(\Bordeux\SchemaOrg\Thing\Person[] $directors )The director of the movie, tv/radio episode or series. (legacy spelling; see singular form, director)
 *
 *
 * -------------------------------- EpisodeNumber ---------------------------------------------
 *
 * @property Integer|Integer[] episodeNumber
 *
 * @method Integer|Integer[] getEpisodeNumber() Position of the episode within an ordered group of episodes.
 *
 * @method Episode setEpisodeNumber(Integer $episodeNumber ) setEpisodeNumber(Integer[] $episodeNumber )Position of the episode within an ordered group of episodes.
 *
 *
 * -------------------------------- MusicBy ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Person|\Bordeux\SchemaOrg\Thing\Person[]|\Bordeux\SchemaOrg\Thing\Organization\PerformingGroup\MusicGroup|\Bordeux\SchemaOrg\Thing\Organization\PerformingGroup\MusicGroup[] musicBy
 *
 * @method \Bordeux\SchemaOrg\Thing\Person|\Bordeux\SchemaOrg\Thing\Person[]|\Bordeux\SchemaOrg\Thing\Organization\PerformingGroup\MusicGroup|\Bordeux\SchemaOrg\Thing\Organization\PerformingGroup\MusicGroup[] getMusicBy() The composer of the movie or TV/radio soundtrack.
 *
 * @method Episode setMusicBy(\Bordeux\SchemaOrg\Thing\Person $musicBy ) setMusicBy(\Bordeux\SchemaOrg\Thing\Person[] $musicBy ) setMusicBy(\Bordeux\SchemaOrg\Thing\Organization\PerformingGroup\MusicGroup $musicBy ) setMusicBy(\Bordeux\SchemaOrg\Thing\Organization\PerformingGroup\MusicGroup[] $musicBy )The composer of the movie or TV/radio soundtrack.
 *
 *
 * -------------------------------- PartOfSeason ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\CreativeWork\Season|\Bordeux\SchemaOrg\Thing\CreativeWork\Season[] partOfSeason
 *
 * @method \Bordeux\SchemaOrg\Thing\CreativeWork\Season|\Bordeux\SchemaOrg\Thing\CreativeWork\Season[] getPartOfSeason() The season to which this episode belongs.
 *
 * @method Episode setPartOfSeason(\Bordeux\SchemaOrg\Thing\CreativeWork\Season $partOfSeason ) setPartOfSeason(\Bordeux\SchemaOrg\Thing\CreativeWork\Season[] $partOfSeason )The season to which this episode belongs.
 *
 *
 * -------------------------------- PartOfSeries ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\CreativeWork\Series|\Bordeux\SchemaOrg\Thing\CreativeWork\Series[] partOfSeries
 *
 * @method \Bordeux\SchemaOrg\Thing\CreativeWork\Series|\Bordeux\SchemaOrg\Thing\CreativeWork\Series[] getPartOfSeries() The series to which this episode or season belongs.
 *
 * @method Episode setPartOfSeries(\Bordeux\SchemaOrg\Thing\CreativeWork\Series $partOfSeries ) setPartOfSeries(\Bordeux\SchemaOrg\Thing\CreativeWork\Series[] $partOfSeries )The series to which this episode or season belongs.
 *
 *
 * -------------------------------- Position ---------------------------------------------
 *
 * @property string|string[] position
 *
 * @method string|string[] getPosition() Free text to define other than pure numerical ranking of an episode or a season in an ordered list of items (further formatting restrictions may apply within particular user groups).
 *
 * @method Episode setPosition(string $position ) setPosition(string[] $position )Free text to define other than pure numerical ranking of an episode or a season in an ordered list of items (further formatting restrictions may apply within particular user groups).
 *
 *
 * -------------------------------- Producer ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Person|\Bordeux\SchemaOrg\Thing\Person[] producer
 *
 * @method \Bordeux\SchemaOrg\Thing\Person|\Bordeux\SchemaOrg\Thing\Person[] getProducer() The producer of the movie, tv/radio series, season, or episode, or video.
 *
 * @method Episode setProducer(\Bordeux\SchemaOrg\Thing\Person $producer ) setProducer(\Bordeux\SchemaOrg\Thing\Person[] $producer )The producer of the movie, tv/radio series, season, or episode, or video.
 *
 *
 * -------------------------------- ProductionCompany ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Organization|\Bordeux\SchemaOrg\Thing\Organization[] productionCompany
 *
 * @method \Bordeux\SchemaOrg\Thing\Organization|\Bordeux\SchemaOrg\Thing\Organization[] getProductionCompany() The production company or studio that made the movie, tv/radio series, season, or episode, or media object.
 *
 * @method Episode setProductionCompany(\Bordeux\SchemaOrg\Thing\Organization $productionCompany ) setProductionCompany(\Bordeux\SchemaOrg\Thing\Organization[] $productionCompany )The production company or studio that made the movie, tv/radio series, season, or episode, or media object.
 *
 *
 * -------------------------------- Publication ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Event\PublicationEvent|\Bordeux\SchemaOrg\Thing\Event\PublicationEvent[] publication
 *
 * @method \Bordeux\SchemaOrg\Thing\Event\PublicationEvent|\Bordeux\SchemaOrg\Thing\Event\PublicationEvent[] getPublication() A publication event associated with the episode, clip or media object.
 *
 * @method Episode setPublication(\Bordeux\SchemaOrg\Thing\Event\PublicationEvent $publication ) setPublication(\Bordeux\SchemaOrg\Thing\Event\PublicationEvent[] $publication )A publication event associated with the episode, clip or media object.
 *
 *
 * -------------------------------- Trailer ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\CreativeWork\MediaObject\VideoObject|\Bordeux\SchemaOrg\Thing\CreativeWork\MediaObject\VideoObject[] trailer
 *
 * @method \Bordeux\SchemaOrg\Thing\CreativeWork\MediaObject\VideoObject|\Bordeux\SchemaOrg\Thing\CreativeWork\MediaObject\VideoObject[] getTrailer() The trailer of a movie or tv/radio series, season, or episode.
 *
 * @method Episode setTrailer(\Bordeux\SchemaOrg\Thing\CreativeWork\MediaObject\VideoObject $trailer ) setTrailer(\Bordeux\SchemaOrg\Thing\CreativeWork\MediaObject\VideoObject[] $trailer )The trailer of a movie or tv/radio series, season, or episode.
 *
 *
 */
 class Episode extends \Bordeux\SchemaOrg\Thing\CreativeWork {

 }