<?php

namespace Bordeux\SchemaOrg\Thing\CreativeWork;

/**
 * Generated by bordeux/schema
 *
 * @author Krzysztof Bednarczyk <schema@bordeux.net>
 * @link http://schema.org/MediaObject
 *
 *
 * -------------------------------- AssociatedArticle ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\CreativeWork\Article\NewsArticle|\Bordeux\SchemaOrg\Thing\CreativeWork\Article\NewsArticle[] associatedArticle
 *
 * @method \Bordeux\SchemaOrg\Thing\CreativeWork\Article\NewsArticle|\Bordeux\SchemaOrg\Thing\CreativeWork\Article\NewsArticle[] getAssociatedArticle() A NewsArticle associated with the Media Object.
 *
 * @method MediaObject setAssociatedArticle(\Bordeux\SchemaOrg\Thing\CreativeWork\Article\NewsArticle $associatedArticle ) setAssociatedArticle(\Bordeux\SchemaOrg\Thing\CreativeWork\Article\NewsArticle[] $associatedArticle )A NewsArticle associated with the Media Object.
 *
 *
 * -------------------------------- Bitrate ---------------------------------------------
 *
 * @property string|string[] bitrate
 *
 * @method string|string[] getBitrate() The bitrate of the media object.
 *
 * @method MediaObject setBitrate(string $bitrate ) setBitrate(string[] $bitrate )The bitrate of the media object.
 *
 *
 * -------------------------------- ContentSize ---------------------------------------------
 *
 * @property string|string[] contentSize
 *
 * @method string|string[] getContentSize() File size in (mega/kilo) bytes.
 *
 * @method MediaObject setContentSize(string $contentSize ) setContentSize(string[] $contentSize )File size in (mega/kilo) bytes.
 *
 *
 * -------------------------------- ContentUrl ---------------------------------------------
 *
 * @property string|string[] contentUrl
 *
 * @method string|string[] getContentUrl() Actual bytes of the media object, for example the image file or video file. (previous spelling: contentURL)
 *
 * @method MediaObject setContentUrl(string $contentUrl ) setContentUrl(string[] $contentUrl )Actual bytes of the media object, for example the image file or video file. (previous spelling: contentURL)
 *
 *
 * -------------------------------- Duration ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Intangible\Quantity\Duration|\Bordeux\SchemaOrg\Thing\Intangible\Quantity\Duration[] duration
 *
 * @method \Bordeux\SchemaOrg\Thing\Intangible\Quantity\Duration|\Bordeux\SchemaOrg\Thing\Intangible\Quantity\Duration[] getDuration() The duration of the item (movie, audio recording, event, etc.) in ISO 8601 date format.
 *
 * @method MediaObject setDuration(\Bordeux\SchemaOrg\Thing\Intangible\Quantity\Duration $duration ) setDuration(\Bordeux\SchemaOrg\Thing\Intangible\Quantity\Duration[] $duration )The duration of the item (movie, audio recording, event, etc.) in ISO 8601 date format.
 *
 *
 * -------------------------------- EmbedUrl ---------------------------------------------
 *
 * @property string|string[] embedUrl
 *
 * @method string|string[] getEmbedUrl() A URL pointing to a player for a specific video. In general, this is the information in the src element of an embed tag and should not be the same as the content of the loc tag. (previous spelling: embedURL)
 *
 * @method MediaObject setEmbedUrl(string $embedUrl ) setEmbedUrl(string[] $embedUrl )A URL pointing to a player for a specific video. In general, this is the information in the src element of an embed tag and should not be the same as the content of the loc tag. (previous spelling: embedURL)
 *
 *
 * -------------------------------- EncodesCreativeWork ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\CreativeWork|\Bordeux\SchemaOrg\Thing\CreativeWork[] encodesCreativeWork
 *
 * @method \Bordeux\SchemaOrg\Thing\CreativeWork|\Bordeux\SchemaOrg\Thing\CreativeWork[] getEncodesCreativeWork() The creative work encoded by this media object
 *
 * @method MediaObject setEncodesCreativeWork(\Bordeux\SchemaOrg\Thing\CreativeWork $encodesCreativeWork ) setEncodesCreativeWork(\Bordeux\SchemaOrg\Thing\CreativeWork[] $encodesCreativeWork )The creative work encoded by this media object
 *
 *
 * -------------------------------- EncodingFormat ---------------------------------------------
 *
 * @property string|string[] encodingFormat
 *
 * @method string|string[] getEncodingFormat() mp3, mpeg4, etc.
 *
 * @method MediaObject setEncodingFormat(string $encodingFormat ) setEncodingFormat(string[] $encodingFormat )mp3, mpeg4, etc.
 *
 *
 * -------------------------------- Expires ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\SchemaDateTime|\Bordeux\SchemaOrg\SchemaDateTime[] expires
 *
 * @method \Bordeux\SchemaOrg\SchemaDateTime|\Bordeux\SchemaOrg\SchemaDateTime[] getExpires() Date the content expires and is no longer useful or available. Useful for videos.
 *
 * @method MediaObject setExpires(\Bordeux\SchemaOrg\SchemaDateTime $expires ) setExpires(\Bordeux\SchemaOrg\SchemaDateTime[] $expires )Date the content expires and is no longer useful or available. Useful for videos.
 *
 *
 * -------------------------------- Height ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Intangible\Quantity\Distance|\Bordeux\SchemaOrg\Thing\Intangible\Quantity\Distance[]|\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\QuantitativeValue|\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\QuantitativeValue[] height
 *
 * @method \Bordeux\SchemaOrg\Thing\Intangible\Quantity\Distance|\Bordeux\SchemaOrg\Thing\Intangible\Quantity\Distance[]|\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\QuantitativeValue|\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\QuantitativeValue[] getHeight() The height of the item.
 *
 * @method MediaObject setHeight(\Bordeux\SchemaOrg\Thing\Intangible\Quantity\Distance $height ) setHeight(\Bordeux\SchemaOrg\Thing\Intangible\Quantity\Distance[] $height ) setHeight(\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\QuantitativeValue $height ) setHeight(\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\QuantitativeValue[] $height )The height of the item.
 *
 *
 * -------------------------------- PlayerType ---------------------------------------------
 *
 * @property string|string[] playerType
 *
 * @method string|string[] getPlayerType() Player type required—for example, Flash or Silverlight.
 *
 * @method MediaObject setPlayerType(string $playerType ) setPlayerType(string[] $playerType )Player type required—for example, Flash or Silverlight.
 *
 *
 * -------------------------------- ProductionCompany ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Organization|\Bordeux\SchemaOrg\Thing\Organization[] productionCompany
 *
 * @method \Bordeux\SchemaOrg\Thing\Organization|\Bordeux\SchemaOrg\Thing\Organization[] getProductionCompany() The production company or studio that made the movie, tv/radio series, season, or episode, or media object.
 *
 * @method MediaObject setProductionCompany(\Bordeux\SchemaOrg\Thing\Organization $productionCompany ) setProductionCompany(\Bordeux\SchemaOrg\Thing\Organization[] $productionCompany )The production company or studio that made the movie, tv/radio series, season, or episode, or media object.
 *
 *
 * -------------------------------- Publication ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Event\PublicationEvent|\Bordeux\SchemaOrg\Thing\Event\PublicationEvent[] publication
 *
 * @method \Bordeux\SchemaOrg\Thing\Event\PublicationEvent|\Bordeux\SchemaOrg\Thing\Event\PublicationEvent[] getPublication() A publication event associated with the episode, clip or media object.
 *
 * @method MediaObject setPublication(\Bordeux\SchemaOrg\Thing\Event\PublicationEvent $publication ) setPublication(\Bordeux\SchemaOrg\Thing\Event\PublicationEvent[] $publication )A publication event associated with the episode, clip or media object.
 *
 *
 * -------------------------------- RegionsAllowed ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Place|\Bordeux\SchemaOrg\Thing\Place[] regionsAllowed
 *
 * @method \Bordeux\SchemaOrg\Thing\Place|\Bordeux\SchemaOrg\Thing\Place[] getRegionsAllowed() The regions where the media is allowed. If not specified, then it's assumed to be allowed everywhere. Specify the countries in ISO 3166 format.
 *
 * @method MediaObject setRegionsAllowed(\Bordeux\SchemaOrg\Thing\Place $regionsAllowed ) setRegionsAllowed(\Bordeux\SchemaOrg\Thing\Place[] $regionsAllowed )The regions where the media is allowed. If not specified, then it's assumed to be allowed everywhere. Specify the countries in ISO 3166 format.
 *
 *
 * -------------------------------- RequiresSubscription ---------------------------------------------
 *
 * @property Boolean|Boolean[] requiresSubscription
 *
 * @method Boolean|Boolean[] getRequiresSubscription() Indicates if use of the media require a subscription  (either paid or free). Allowed values are true or false (note that an earlier version had 'yes', 'no').
 *
 * @method MediaObject setRequiresSubscription(Boolean $requiresSubscription ) setRequiresSubscription(Boolean[] $requiresSubscription )Indicates if use of the media require a subscription  (either paid or free). Allowed values are true or false (note that an earlier version had 'yes', 'no').
 *
 *
 * -------------------------------- UploadDate ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\SchemaDateTime|\Bordeux\SchemaOrg\SchemaDateTime[] uploadDate
 *
 * @method \Bordeux\SchemaOrg\SchemaDateTime|\Bordeux\SchemaOrg\SchemaDateTime[] getUploadDate() Date when this media object was uploaded to this site.
 *
 * @method MediaObject setUploadDate(\Bordeux\SchemaOrg\SchemaDateTime $uploadDate ) setUploadDate(\Bordeux\SchemaOrg\SchemaDateTime[] $uploadDate )Date when this media object was uploaded to this site.
 *
 *
 * -------------------------------- Width ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Intangible\Quantity\Distance|\Bordeux\SchemaOrg\Thing\Intangible\Quantity\Distance[]|\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\QuantitativeValue|\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\QuantitativeValue[] width
 *
 * @method \Bordeux\SchemaOrg\Thing\Intangible\Quantity\Distance|\Bordeux\SchemaOrg\Thing\Intangible\Quantity\Distance[]|\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\QuantitativeValue|\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\QuantitativeValue[] getWidth() The width of the item.
 *
 * @method MediaObject setWidth(\Bordeux\SchemaOrg\Thing\Intangible\Quantity\Distance $width ) setWidth(\Bordeux\SchemaOrg\Thing\Intangible\Quantity\Distance[] $width ) setWidth(\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\QuantitativeValue $width ) setWidth(\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\QuantitativeValue[] $width )The width of the item.
 *
 *
 */
 class MediaObject extends \Bordeux\SchemaOrg\Thing\CreativeWork {

 }