<?php

namespace Bordeux\SchemaOrg\Thing\CreativeWork;

/**
 * Generated by bordeux/schema
 *
 * @author Krzysztof Bednarczyk <schema@bordeux.net>
 * @link http://schema.org/Movie
 *
 *
 * -------------------------------- Actor ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Person|\Bordeux\SchemaOrg\Thing\Person[] actor
 *
 * @method \Bordeux\SchemaOrg\Thing\Person|\Bordeux\SchemaOrg\Thing\Person[] getActor() A cast member of the movie, tv/radio series, season, episode, or video.
 *
 * @method Movie setActor(\Bordeux\SchemaOrg\Thing\Person $actor ) setActor(\Bordeux\SchemaOrg\Thing\Person[] $actor )A cast member of the movie, tv/radio series, season, episode, or video.
 *
 *
 * -------------------------------- Actors ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Person|\Bordeux\SchemaOrg\Thing\Person[] actors
 *
 * @method \Bordeux\SchemaOrg\Thing\Person|\Bordeux\SchemaOrg\Thing\Person[] getActors() A cast member of the movie, tv/radio series, season, episode, or video. (legacy spelling; see singular form, actor)
 *
 * @method Movie setActors(\Bordeux\SchemaOrg\Thing\Person $actors ) setActors(\Bordeux\SchemaOrg\Thing\Person[] $actors )A cast member of the movie, tv/radio series, season, episode, or video. (legacy spelling; see singular form, actor)
 *
 *
 * -------------------------------- Director ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Person|\Bordeux\SchemaOrg\Thing\Person[] director
 *
 * @method \Bordeux\SchemaOrg\Thing\Person|\Bordeux\SchemaOrg\Thing\Person[] getDirector() The director of the movie, tv/radio episode or series.
 *
 * @method Movie setDirector(\Bordeux\SchemaOrg\Thing\Person $director ) setDirector(\Bordeux\SchemaOrg\Thing\Person[] $director )The director of the movie, tv/radio episode or series.
 *
 *
 * -------------------------------- Directors ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Person|\Bordeux\SchemaOrg\Thing\Person[] directors
 *
 * @method \Bordeux\SchemaOrg\Thing\Person|\Bordeux\SchemaOrg\Thing\Person[] getDirectors() The director of the movie, tv/radio episode or series. (legacy spelling; see singular form, director)
 *
 * @method Movie setDirectors(\Bordeux\SchemaOrg\Thing\Person $directors ) setDirectors(\Bordeux\SchemaOrg\Thing\Person[] $directors )The director of the movie, tv/radio episode or series. (legacy spelling; see singular form, director)
 *
 *
 * -------------------------------- Duration ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Intangible\Quantity\Duration|\Bordeux\SchemaOrg\Thing\Intangible\Quantity\Duration[] duration
 *
 * @method \Bordeux\SchemaOrg\Thing\Intangible\Quantity\Duration|\Bordeux\SchemaOrg\Thing\Intangible\Quantity\Duration[] getDuration() The duration of the item (movie, audio recording, event, etc.) in ISO 8601 date format.
 *
 * @method Movie setDuration(\Bordeux\SchemaOrg\Thing\Intangible\Quantity\Duration $duration ) setDuration(\Bordeux\SchemaOrg\Thing\Intangible\Quantity\Duration[] $duration )The duration of the item (movie, audio recording, event, etc.) in ISO 8601 date format.
 *
 *
 * -------------------------------- MusicBy ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Person|\Bordeux\SchemaOrg\Thing\Person[]|\Bordeux\SchemaOrg\Thing\Organization\PerformingGroup\MusicGroup|\Bordeux\SchemaOrg\Thing\Organization\PerformingGroup\MusicGroup[] musicBy
 *
 * @method \Bordeux\SchemaOrg\Thing\Person|\Bordeux\SchemaOrg\Thing\Person[]|\Bordeux\SchemaOrg\Thing\Organization\PerformingGroup\MusicGroup|\Bordeux\SchemaOrg\Thing\Organization\PerformingGroup\MusicGroup[] getMusicBy() The composer of the movie or TV/radio soundtrack.
 *
 * @method Movie setMusicBy(\Bordeux\SchemaOrg\Thing\Person $musicBy ) setMusicBy(\Bordeux\SchemaOrg\Thing\Person[] $musicBy ) setMusicBy(\Bordeux\SchemaOrg\Thing\Organization\PerformingGroup\MusicGroup $musicBy ) setMusicBy(\Bordeux\SchemaOrg\Thing\Organization\PerformingGroup\MusicGroup[] $musicBy )The composer of the movie or TV/radio soundtrack.
 *
 *
 * -------------------------------- Producer ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Person|\Bordeux\SchemaOrg\Thing\Person[] producer
 *
 * @method \Bordeux\SchemaOrg\Thing\Person|\Bordeux\SchemaOrg\Thing\Person[] getProducer() The producer of the movie, tv/radio series, season, or episode, or video.
 *
 * @method Movie setProducer(\Bordeux\SchemaOrg\Thing\Person $producer ) setProducer(\Bordeux\SchemaOrg\Thing\Person[] $producer )The producer of the movie, tv/radio series, season, or episode, or video.
 *
 *
 * -------------------------------- ProductionCompany ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Organization|\Bordeux\SchemaOrg\Thing\Organization[] productionCompany
 *
 * @method \Bordeux\SchemaOrg\Thing\Organization|\Bordeux\SchemaOrg\Thing\Organization[] getProductionCompany() The production company or studio that made the movie, tv/radio series, season, or episode, or media object.
 *
 * @method Movie setProductionCompany(\Bordeux\SchemaOrg\Thing\Organization $productionCompany ) setProductionCompany(\Bordeux\SchemaOrg\Thing\Organization[] $productionCompany )The production company or studio that made the movie, tv/radio series, season, or episode, or media object.
 *
 *
 * -------------------------------- Trailer ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\CreativeWork\MediaObject\VideoObject|\Bordeux\SchemaOrg\Thing\CreativeWork\MediaObject\VideoObject[] trailer
 *
 * @method \Bordeux\SchemaOrg\Thing\CreativeWork\MediaObject\VideoObject|\Bordeux\SchemaOrg\Thing\CreativeWork\MediaObject\VideoObject[] getTrailer() The trailer of a movie or tv/radio series, season, or episode.
 *
 * @method Movie setTrailer(\Bordeux\SchemaOrg\Thing\CreativeWork\MediaObject\VideoObject $trailer ) setTrailer(\Bordeux\SchemaOrg\Thing\CreativeWork\MediaObject\VideoObject[] $trailer )The trailer of a movie or tv/radio series, season, or episode.
 *
 *
 */
 class Movie extends \Bordeux\SchemaOrg\Thing\CreativeWork {

 }