<?php

namespace Bordeux\SchemaOrg\Thing\CreativeWork;

/**
 * Generated by bordeux/schema
 *
 * @author Krzysztof Bednarczyk <schema@bordeux.net>
 * @link http://schema.org/Series
 *
 *
 * -------------------------------- Actor ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Person|\Bordeux\SchemaOrg\Thing\Person[] actor
 *
 * @method \Bordeux\SchemaOrg\Thing\Person|\Bordeux\SchemaOrg\Thing\Person[] getActor() A cast member of the movie, tv/radio series, season, episode, or video.
 *
 * @method Series setActor(\Bordeux\SchemaOrg\Thing\Person $actor ) setActor(\Bordeux\SchemaOrg\Thing\Person[] $actor )A cast member of the movie, tv/radio series, season, episode, or video.
 *
 *
 * -------------------------------- Actors ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Person|\Bordeux\SchemaOrg\Thing\Person[] actors
 *
 * @method \Bordeux\SchemaOrg\Thing\Person|\Bordeux\SchemaOrg\Thing\Person[] getActors() A cast member of the movie, tv/radio series, season, episode, or video. (legacy spelling; see singular form, actor)
 *
 * @method Series setActors(\Bordeux\SchemaOrg\Thing\Person $actors ) setActors(\Bordeux\SchemaOrg\Thing\Person[] $actors )A cast member of the movie, tv/radio series, season, episode, or video. (legacy spelling; see singular form, actor)
 *
 *
 * -------------------------------- Director ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Person|\Bordeux\SchemaOrg\Thing\Person[] director
 *
 * @method \Bordeux\SchemaOrg\Thing\Person|\Bordeux\SchemaOrg\Thing\Person[] getDirector() The director of the movie, tv/radio episode or series.
 *
 * @method Series setDirector(\Bordeux\SchemaOrg\Thing\Person $director ) setDirector(\Bordeux\SchemaOrg\Thing\Person[] $director )The director of the movie, tv/radio episode or series.
 *
 *
 * -------------------------------- Directors ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Person|\Bordeux\SchemaOrg\Thing\Person[] directors
 *
 * @method \Bordeux\SchemaOrg\Thing\Person|\Bordeux\SchemaOrg\Thing\Person[] getDirectors() The director of the movie, tv/radio episode or series. (legacy spelling; see singular form, director)
 *
 * @method Series setDirectors(\Bordeux\SchemaOrg\Thing\Person $directors ) setDirectors(\Bordeux\SchemaOrg\Thing\Person[] $directors )The director of the movie, tv/radio episode or series. (legacy spelling; see singular form, director)
 *
 *
 * -------------------------------- EndDate ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\SchemaDateTime|\Bordeux\SchemaOrg\SchemaDateTime[] endDate
 *
 * @method \Bordeux\SchemaOrg\SchemaDateTime|\Bordeux\SchemaOrg\SchemaDateTime[] getEndDate() The end date and time of the event or item (in ISO 8601 date format).
 *
 * @method Series setEndDate(\Bordeux\SchemaOrg\SchemaDateTime $endDate ) setEndDate(\Bordeux\SchemaOrg\SchemaDateTime[] $endDate )The end date and time of the event or item (in ISO 8601 date format).
 *
 *
 * -------------------------------- Episode ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\CreativeWork\Episode|\Bordeux\SchemaOrg\Thing\CreativeWork\Episode[] episode
 *
 * @method \Bordeux\SchemaOrg\Thing\CreativeWork\Episode|\Bordeux\SchemaOrg\Thing\CreativeWork\Episode[] getEpisode() An episode of a TV/radio series or season
 *
 * @method Series setEpisode(\Bordeux\SchemaOrg\Thing\CreativeWork\Episode $episode ) setEpisode(\Bordeux\SchemaOrg\Thing\CreativeWork\Episode[] $episode )An episode of a TV/radio series or season
 *
 *
 * -------------------------------- Episodes ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\CreativeWork\Episode|\Bordeux\SchemaOrg\Thing\CreativeWork\Episode[] episodes
 *
 * @method \Bordeux\SchemaOrg\Thing\CreativeWork\Episode|\Bordeux\SchemaOrg\Thing\CreativeWork\Episode[] getEpisodes() An episode of a TV/radio series or season (legacy spelling; see singular form, episode)
 *
 * @method Series setEpisodes(\Bordeux\SchemaOrg\Thing\CreativeWork\Episode $episodes ) setEpisodes(\Bordeux\SchemaOrg\Thing\CreativeWork\Episode[] $episodes )An episode of a TV/radio series or season (legacy spelling; see singular form, episode)
 *
 *
 * -------------------------------- MusicBy ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Person|\Bordeux\SchemaOrg\Thing\Person[]|\Bordeux\SchemaOrg\Thing\Organization\PerformingGroup\MusicGroup|\Bordeux\SchemaOrg\Thing\Organization\PerformingGroup\MusicGroup[] musicBy
 *
 * @method \Bordeux\SchemaOrg\Thing\Person|\Bordeux\SchemaOrg\Thing\Person[]|\Bordeux\SchemaOrg\Thing\Organization\PerformingGroup\MusicGroup|\Bordeux\SchemaOrg\Thing\Organization\PerformingGroup\MusicGroup[] getMusicBy() The composer of the movie or TV/radio soundtrack.
 *
 * @method Series setMusicBy(\Bordeux\SchemaOrg\Thing\Person $musicBy ) setMusicBy(\Bordeux\SchemaOrg\Thing\Person[] $musicBy ) setMusicBy(\Bordeux\SchemaOrg\Thing\Organization\PerformingGroup\MusicGroup $musicBy ) setMusicBy(\Bordeux\SchemaOrg\Thing\Organization\PerformingGroup\MusicGroup[] $musicBy )The composer of the movie or TV/radio soundtrack.
 *
 *
 * -------------------------------- NumberOfEpisodes ---------------------------------------------
 *
 * @property Number|Number[] numberOfEpisodes
 *
 * @method Number|Number[] getNumberOfEpisodes() The number of episodes in this season or series.
 *
 * @method Series setNumberOfEpisodes(Number $numberOfEpisodes ) setNumberOfEpisodes(Number[] $numberOfEpisodes )The number of episodes in this season or series.
 *
 *
 * -------------------------------- NumberOfSeasons ---------------------------------------------
 *
 * @property Number|Number[] numberOfSeasons
 *
 * @method Number|Number[] getNumberOfSeasons() The number of seasons in this series.
 *
 * @method Series setNumberOfSeasons(Number $numberOfSeasons ) setNumberOfSeasons(Number[] $numberOfSeasons )The number of seasons in this series.
 *
 *
 * -------------------------------- Producer ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Person|\Bordeux\SchemaOrg\Thing\Person[] producer
 *
 * @method \Bordeux\SchemaOrg\Thing\Person|\Bordeux\SchemaOrg\Thing\Person[] getProducer() The producer of the movie, tv/radio series, season, or episode, or video.
 *
 * @method Series setProducer(\Bordeux\SchemaOrg\Thing\Person $producer ) setProducer(\Bordeux\SchemaOrg\Thing\Person[] $producer )The producer of the movie, tv/radio series, season, or episode, or video.
 *
 *
 * -------------------------------- ProductionCompany ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Organization|\Bordeux\SchemaOrg\Thing\Organization[] productionCompany
 *
 * @method \Bordeux\SchemaOrg\Thing\Organization|\Bordeux\SchemaOrg\Thing\Organization[] getProductionCompany() The production company or studio that made the movie, tv/radio series, season, or episode, or media object.
 *
 * @method Series setProductionCompany(\Bordeux\SchemaOrg\Thing\Organization $productionCompany ) setProductionCompany(\Bordeux\SchemaOrg\Thing\Organization[] $productionCompany )The production company or studio that made the movie, tv/radio series, season, or episode, or media object.
 *
 *
 * -------------------------------- Season ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\CreativeWork\Season|\Bordeux\SchemaOrg\Thing\CreativeWork\Season[] season
 *
 * @method \Bordeux\SchemaOrg\Thing\CreativeWork\Season|\Bordeux\SchemaOrg\Thing\CreativeWork\Season[] getSeason() A season in a tv/radio series.
 *
 * @method Series setSeason(\Bordeux\SchemaOrg\Thing\CreativeWork\Season $season ) setSeason(\Bordeux\SchemaOrg\Thing\CreativeWork\Season[] $season )A season in a tv/radio series.
 *
 *
 * -------------------------------- Seasons ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\CreativeWork\Season|\Bordeux\SchemaOrg\Thing\CreativeWork\Season[] seasons
 *
 * @method \Bordeux\SchemaOrg\Thing\CreativeWork\Season|\Bordeux\SchemaOrg\Thing\CreativeWork\Season[] getSeasons() A season in a tv/radio series. (legacy spelling; see singular form, season)
 *
 * @method Series setSeasons(\Bordeux\SchemaOrg\Thing\CreativeWork\Season $seasons ) setSeasons(\Bordeux\SchemaOrg\Thing\CreativeWork\Season[] $seasons )A season in a tv/radio series. (legacy spelling; see singular form, season)
 *
 *
 * -------------------------------- StartDate ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\SchemaDateTime|\Bordeux\SchemaOrg\SchemaDateTime[] startDate
 *
 * @method \Bordeux\SchemaOrg\SchemaDateTime|\Bordeux\SchemaOrg\SchemaDateTime[] getStartDate() The start date and time of the event or item (in ISO 8601 date format).
 *
 * @method Series setStartDate(\Bordeux\SchemaOrg\SchemaDateTime $startDate ) setStartDate(\Bordeux\SchemaOrg\SchemaDateTime[] $startDate )The start date and time of the event or item (in ISO 8601 date format).
 *
 *
 * -------------------------------- Trailer ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\CreativeWork\MediaObject\VideoObject|\Bordeux\SchemaOrg\Thing\CreativeWork\MediaObject\VideoObject[] trailer
 *
 * @method \Bordeux\SchemaOrg\Thing\CreativeWork\MediaObject\VideoObject|\Bordeux\SchemaOrg\Thing\CreativeWork\MediaObject\VideoObject[] getTrailer() The trailer of a movie or tv/radio series, season, or episode.
 *
 * @method Series setTrailer(\Bordeux\SchemaOrg\Thing\CreativeWork\MediaObject\VideoObject $trailer ) setTrailer(\Bordeux\SchemaOrg\Thing\CreativeWork\MediaObject\VideoObject[] $trailer )The trailer of a movie or tv/radio series, season, or episode.
 *
 *
 */
 class Series extends \Bordeux\SchemaOrg\Thing\CreativeWork {

 }