<?php

namespace Bordeux\SchemaOrg\Thing\CreativeWork;

/**
 * Generated by bordeux/schema
 *
 * @author Krzysztof Bednarczyk <schema@bordeux.net>
 * @link http://schema.org/SoftwareApplication
 *
 *
 * -------------------------------- ApplicationCategory ---------------------------------------------
 *
 * @property string|string[]|string|string[] applicationCategory
 *
 * @method string|string[]|string|string[] getApplicationCategory() Type of software application, e.g. "Game, Multimedia".
 *
 * @method SoftwareApplication setApplicationCategory(string $applicationCategory ) setApplicationCategory(string[] $applicationCategory ) setApplicationCategory(string $applicationCategory ) setApplicationCategory(string[] $applicationCategory )Type of software application, e.g. "Game, Multimedia".
 *
 *
 * -------------------------------- ApplicationSubCategory ---------------------------------------------
 *
 * @property string|string[]|string|string[] applicationSubCategory
 *
 * @method string|string[]|string|string[] getApplicationSubCategory() Subcategory of the application, e.g. "Arcade Game".
 *
 * @method SoftwareApplication setApplicationSubCategory(string $applicationSubCategory ) setApplicationSubCategory(string[] $applicationSubCategory ) setApplicationSubCategory(string $applicationSubCategory ) setApplicationSubCategory(string[] $applicationSubCategory )Subcategory of the application, e.g. "Arcade Game".
 *
 *
 * -------------------------------- ApplicationSuite ---------------------------------------------
 *
 * @property string|string[] applicationSuite
 *
 * @method string|string[] getApplicationSuite() The name of the application suite to which the application belongs (e.g. Excel belongs to Office)
 *
 * @method SoftwareApplication setApplicationSuite(string $applicationSuite ) setApplicationSuite(string[] $applicationSuite )The name of the application suite to which the application belongs (e.g. Excel belongs to Office)
 *
 *
 * -------------------------------- CountriesNotSupported ---------------------------------------------
 *
 * @property string|string[] countriesNotSupported
 *
 * @method string|string[] getCountriesNotSupported() Countries for which the application is not supported. You can also provide the two-letter ISO 3166-1 alpha-2 country code.
 *
 * @method SoftwareApplication setCountriesNotSupported(string $countriesNotSupported ) setCountriesNotSupported(string[] $countriesNotSupported )Countries for which the application is not supported. You can also provide the two-letter ISO 3166-1 alpha-2 country code.
 *
 *
 * -------------------------------- CountriesSupported ---------------------------------------------
 *
 * @property string|string[] countriesSupported
 *
 * @method string|string[] getCountriesSupported() Countries for which the application is supported. You can also provide the two-letter ISO 3166-1 alpha-2 country code.
 *
 * @method SoftwareApplication setCountriesSupported(string $countriesSupported ) setCountriesSupported(string[] $countriesSupported )Countries for which the application is supported. You can also provide the two-letter ISO 3166-1 alpha-2 country code.
 *
 *
 * -------------------------------- Device ---------------------------------------------
 *
 * @property string|string[] device
 *
 * @method string|string[] getDevice() Device required to run the application. Used in cases where a specific make/model is required to run the application.
 *
 * @method SoftwareApplication setDevice(string $device ) setDevice(string[] $device )Device required to run the application. Used in cases where a specific make/model is required to run the application.
 *
 *
 * -------------------------------- DownloadUrl ---------------------------------------------
 *
 * @property string|string[] downloadUrl
 *
 * @method string|string[] getDownloadUrl() If the file can be downloaded, URL to download the binary.
 *
 * @method SoftwareApplication setDownloadUrl(string $downloadUrl ) setDownloadUrl(string[] $downloadUrl )If the file can be downloaded, URL to download the binary.
 *
 *
 * -------------------------------- FeatureList ---------------------------------------------
 *
 * @property string|string[]|string|string[] featureList
 *
 * @method string|string[]|string|string[] getFeatureList() Features or modules provided by this application (and possibly required by other applications).
 *
 * @method SoftwareApplication setFeatureList(string $featureList ) setFeatureList(string[] $featureList ) setFeatureList(string $featureList ) setFeatureList(string[] $featureList )Features or modules provided by this application (and possibly required by other applications).
 *
 *
 * -------------------------------- FileFormat ---------------------------------------------
 *
 * @property string|string[] fileFormat
 *
 * @method string|string[] getFileFormat() MIME format of the binary (e.g. application/zip).
 *
 * @method SoftwareApplication setFileFormat(string $fileFormat ) setFileFormat(string[] $fileFormat )MIME format of the binary (e.g. application/zip).
 *
 *
 * -------------------------------- FileSize ---------------------------------------------
 *
 * @property Integer|Integer[] fileSize
 *
 * @method Integer|Integer[] getFileSize() Size of the application / package (e.g. 18MB). In the absence of a unit (MB, KB etc.), KB will be assumed.
 *
 * @method SoftwareApplication setFileSize(Integer $fileSize ) setFileSize(Integer[] $fileSize )Size of the application / package (e.g. 18MB). In the absence of a unit (MB, KB etc.), KB will be assumed.
 *
 *
 * -------------------------------- InstallUrl ---------------------------------------------
 *
 * @property string|string[] installUrl
 *
 * @method string|string[] getInstallUrl() URL at which the app may be installed, if different from the URL of the item.
 *
 * @method SoftwareApplication setInstallUrl(string $installUrl ) setInstallUrl(string[] $installUrl )URL at which the app may be installed, if different from the URL of the item.
 *
 *
 * -------------------------------- MemoryRequirements ---------------------------------------------
 *
 * @property string|string[]|string|string[] memoryRequirements
 *
 * @method string|string[]|string|string[] getMemoryRequirements() Minimum memory requirements.
 *
 * @method SoftwareApplication setMemoryRequirements(string $memoryRequirements ) setMemoryRequirements(string[] $memoryRequirements ) setMemoryRequirements(string $memoryRequirements ) setMemoryRequirements(string[] $memoryRequirements )Minimum memory requirements.
 *
 *
 * -------------------------------- OperatingSystem ---------------------------------------------
 *
 * @property string|string[] operatingSystem
 *
 * @method string|string[] getOperatingSystem() Operating systems supported (Windows 7, OSX 10.6, Android 1.6).
 *
 * @method SoftwareApplication setOperatingSystem(string $operatingSystem ) setOperatingSystem(string[] $operatingSystem )Operating systems supported (Windows 7, OSX 10.6, Android 1.6).
 *
 *
 * -------------------------------- Permissions ---------------------------------------------
 *
 * @property string|string[] permissions
 *
 * @method string|string[] getPermissions() Permission(s) required to run the app (for example, a mobile app may require full internet access or may run only on wifi).
 *
 * @method SoftwareApplication setPermissions(string $permissions ) setPermissions(string[] $permissions )Permission(s) required to run the app (for example, a mobile app may require full internet access or may run only on wifi).
 *
 *
 * -------------------------------- ProcessorRequirements ---------------------------------------------
 *
 * @property string|string[] processorRequirements
 *
 * @method string|string[] getProcessorRequirements() Processor architecture required to run the application (e.g. IA64).
 *
 * @method SoftwareApplication setProcessorRequirements(string $processorRequirements ) setProcessorRequirements(string[] $processorRequirements )Processor architecture required to run the application (e.g. IA64).
 *
 *
 * -------------------------------- ReleaseNotes ---------------------------------------------
 *
 * @property string|string[]|string|string[] releaseNotes
 *
 * @method string|string[]|string|string[] getReleaseNotes() Description of what changed in this version.
 *
 * @method SoftwareApplication setReleaseNotes(string $releaseNotes ) setReleaseNotes(string[] $releaseNotes ) setReleaseNotes(string $releaseNotes ) setReleaseNotes(string[] $releaseNotes )Description of what changed in this version.
 *
 *
 * -------------------------------- Requirements ---------------------------------------------
 *
 * @property string|string[]|string|string[] requirements
 *
 * @method string|string[]|string|string[] getRequirements() Component dependency requirements for application. This includes runtime environments and shared libraries that are not included in the application distribution package, but required to run the application (Examples: DirectX, Java or .NET runtime).
 *
 * @method SoftwareApplication setRequirements(string $requirements ) setRequirements(string[] $requirements ) setRequirements(string $requirements ) setRequirements(string[] $requirements )Component dependency requirements for application. This includes runtime environments and shared libraries that are not included in the application distribution package, but required to run the application (Examples: DirectX, Java or .NET runtime).
 *
 *
 * -------------------------------- Screenshot ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\CreativeWork\MediaObject\ImageObject|\Bordeux\SchemaOrg\Thing\CreativeWork\MediaObject\ImageObject[]|string|string[] screenshot
 *
 * @method \Bordeux\SchemaOrg\Thing\CreativeWork\MediaObject\ImageObject|\Bordeux\SchemaOrg\Thing\CreativeWork\MediaObject\ImageObject[]|string|string[] getScreenshot() A link to a screenshot image of the app.
 *
 * @method SoftwareApplication setScreenshot(\Bordeux\SchemaOrg\Thing\CreativeWork\MediaObject\ImageObject $screenshot ) setScreenshot(\Bordeux\SchemaOrg\Thing\CreativeWork\MediaObject\ImageObject[] $screenshot ) setScreenshot(string $screenshot ) setScreenshot(string[] $screenshot )A link to a screenshot image of the app.
 *
 *
 * -------------------------------- SoftwareVersion ---------------------------------------------
 *
 * @property string|string[] softwareVersion
 *
 * @method string|string[] getSoftwareVersion() Version of the software instance.
 *
 * @method SoftwareApplication setSoftwareVersion(string $softwareVersion ) setSoftwareVersion(string[] $softwareVersion )Version of the software instance.
 *
 *
 * -------------------------------- StorageRequirements ---------------------------------------------
 *
 * @property string|string[]|string|string[] storageRequirements
 *
 * @method string|string[]|string|string[] getStorageRequirements() Storage requirements (free space required).
 *
 * @method SoftwareApplication setStorageRequirements(string $storageRequirements ) setStorageRequirements(string[] $storageRequirements ) setStorageRequirements(string $storageRequirements ) setStorageRequirements(string[] $storageRequirements )Storage requirements (free space required).
 *
 *
 */
 class SoftwareApplication extends \Bordeux\SchemaOrg\Thing\CreativeWork {

 }