<?php

namespace Bordeux\SchemaOrg\Thing\CreativeWork;

/**
 * Generated by bordeux/schema
 *
 * @author Krzysztof Bednarczyk <schema@bordeux.net>
 * @link http://schema.org/WebPage
 *
 *
 * -------------------------------- Breadcrumb ---------------------------------------------
 *
 * @property string|string[] breadcrumb
 *
 * @method string|string[] getBreadcrumb() A set of links that can help a user understand and navigate a website hierarchy.
 *
 * @method WebPage setBreadcrumb(string $breadcrumb ) setBreadcrumb(string[] $breadcrumb )A set of links that can help a user understand and navigate a website hierarchy.
 *
 *
 * -------------------------------- IsPartOf ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\CreativeWork\WebPage\CollectionPage|\Bordeux\SchemaOrg\Thing\CreativeWork\WebPage\CollectionPage[] isPartOf
 *
 * @method \Bordeux\SchemaOrg\Thing\CreativeWork\WebPage\CollectionPage|\Bordeux\SchemaOrg\Thing\CreativeWork\WebPage\CollectionPage[] getIsPartOf() Indicates the collection or gallery to which the item belongs.
 *
 * @method WebPage setIsPartOf(\Bordeux\SchemaOrg\Thing\CreativeWork\WebPage\CollectionPage $isPartOf ) setIsPartOf(\Bordeux\SchemaOrg\Thing\CreativeWork\WebPage\CollectionPage[] $isPartOf )Indicates the collection or gallery to which the item belongs.
 *
 *
 * -------------------------------- LastReviewed ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\SchemaDateTime|\Bordeux\SchemaOrg\SchemaDateTime[] lastReviewed
 *
 * @method \Bordeux\SchemaOrg\SchemaDateTime|\Bordeux\SchemaOrg\SchemaDateTime[] getLastReviewed() Date on which the content on this web page was last reviewed for accuracy and/or completeness.
 *
 * @method WebPage setLastReviewed(\Bordeux\SchemaOrg\SchemaDateTime $lastReviewed ) setLastReviewed(\Bordeux\SchemaOrg\SchemaDateTime[] $lastReviewed )Date on which the content on this web page was last reviewed for accuracy and/or completeness.
 *
 *
 * -------------------------------- MainContentOfPage ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\CreativeWork\WebPageElement|\Bordeux\SchemaOrg\Thing\CreativeWork\WebPageElement[] mainContentOfPage
 *
 * @method \Bordeux\SchemaOrg\Thing\CreativeWork\WebPageElement|\Bordeux\SchemaOrg\Thing\CreativeWork\WebPageElement[] getMainContentOfPage() Indicates if this web page element is the main subject of the page.
 *
 * @method WebPage setMainContentOfPage(\Bordeux\SchemaOrg\Thing\CreativeWork\WebPageElement $mainContentOfPage ) setMainContentOfPage(\Bordeux\SchemaOrg\Thing\CreativeWork\WebPageElement[] $mainContentOfPage )Indicates if this web page element is the main subject of the page.
 *
 *
 * -------------------------------- PrimaryImageOfPage ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\CreativeWork\MediaObject\ImageObject|\Bordeux\SchemaOrg\Thing\CreativeWork\MediaObject\ImageObject[] primaryImageOfPage
 *
 * @method \Bordeux\SchemaOrg\Thing\CreativeWork\MediaObject\ImageObject|\Bordeux\SchemaOrg\Thing\CreativeWork\MediaObject\ImageObject[] getPrimaryImageOfPage() Indicates the main image on the page
 *
 * @method WebPage setPrimaryImageOfPage(\Bordeux\SchemaOrg\Thing\CreativeWork\MediaObject\ImageObject $primaryImageOfPage ) setPrimaryImageOfPage(\Bordeux\SchemaOrg\Thing\CreativeWork\MediaObject\ImageObject[] $primaryImageOfPage )Indicates the main image on the page
 *
 *
 * -------------------------------- RelatedLink ---------------------------------------------
 *
 * @property string|string[] relatedLink
 *
 * @method string|string[] getRelatedLink() A link related to this web page, for example to other related web pages.
 *
 * @method WebPage setRelatedLink(string $relatedLink ) setRelatedLink(string[] $relatedLink )A link related to this web page, for example to other related web pages.
 *
 *
 * -------------------------------- ReviewedBy ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Organization|\Bordeux\SchemaOrg\Thing\Organization[]|\Bordeux\SchemaOrg\Thing\Person|\Bordeux\SchemaOrg\Thing\Person[] reviewedBy
 *
 * @method \Bordeux\SchemaOrg\Thing\Organization|\Bordeux\SchemaOrg\Thing\Organization[]|\Bordeux\SchemaOrg\Thing\Person|\Bordeux\SchemaOrg\Thing\Person[] getReviewedBy() People or organizations that have reviewed the content on this web page for accuracy and/or completeness.
 *
 * @method WebPage setReviewedBy(\Bordeux\SchemaOrg\Thing\Organization $reviewedBy ) setReviewedBy(\Bordeux\SchemaOrg\Thing\Organization[] $reviewedBy ) setReviewedBy(\Bordeux\SchemaOrg\Thing\Person $reviewedBy ) setReviewedBy(\Bordeux\SchemaOrg\Thing\Person[] $reviewedBy )People or organizations that have reviewed the content on this web page for accuracy and/or completeness.
 *
 *
 * -------------------------------- SignificantLink ---------------------------------------------
 *
 * @property string|string[] significantLink
 *
 * @method string|string[] getSignificantLink() One of the more significant URLs on the page. Typically, these are the non-navigation links that are clicked on the most.
 *
 * @method WebPage setSignificantLink(string $significantLink ) setSignificantLink(string[] $significantLink )One of the more significant URLs on the page. Typically, these are the non-navigation links that are clicked on the most.
 *
 *
 * -------------------------------- SignificantLinks ---------------------------------------------
 *
 * @property string|string[] significantLinks
 *
 * @method string|string[] getSignificantLinks() The most significant URLs on the page. Typically, these are the non-navigation links that are clicked on the most (legacy spelling; see singular form, significantLink).
 *
 * @method WebPage setSignificantLinks(string $significantLinks ) setSignificantLinks(string[] $significantLinks )The most significant URLs on the page. Typically, these are the non-navigation links that are clicked on the most (legacy spelling; see singular form, significantLink).
 *
 *
 * -------------------------------- Specialty ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Intangible\Enumeration\Specialty|\Bordeux\SchemaOrg\Thing\Intangible\Enumeration\Specialty[] specialty
 *
 * @method \Bordeux\SchemaOrg\Thing\Intangible\Enumeration\Specialty|\Bordeux\SchemaOrg\Thing\Intangible\Enumeration\Specialty[] getSpecialty() One of the domain specialities to which this web page's content applies.
 *
 * @method WebPage setSpecialty(\Bordeux\SchemaOrg\Thing\Intangible\Enumeration\Specialty $specialty ) setSpecialty(\Bordeux\SchemaOrg\Thing\Intangible\Enumeration\Specialty[] $specialty )One of the domain specialities to which this web page's content applies.
 *
 *
 */
 class WebPage extends \Bordeux\SchemaOrg\Thing\CreativeWork {

 }