<?php

namespace Bordeux\SchemaOrg\Thing\Intangible\Audience;

/**
 * Generated by bordeux/schema
 *
 * @author Krzysztof Bednarczyk <schema@bordeux.net>
 * @link http://schema.org/MedicalAudience
 *
 *
 * -------------------------------- HealthCondition ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalCondition|\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalCondition[] healthCondition
 *
 * @method \Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalCondition|\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalCondition[] getHealthCondition() Expectations for health conditions of target audience
 *
 * @method MedicalAudience setHealthCondition(\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalCondition $healthCondition ) setHealthCondition(\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalCondition[] $healthCondition )Expectations for health conditions of target audience
 *
 *
 * -------------------------------- RequiredGender ---------------------------------------------
 *
 * @property string|string[] requiredGender
 *
 * @method string|string[] getRequiredGender() Audiences defined by a person's gender.
 *
 * @method MedicalAudience setRequiredGender(string $requiredGender ) setRequiredGender(string[] $requiredGender )Audiences defined by a person's gender.
 *
 *
 * -------------------------------- RequiredMaxAge ---------------------------------------------
 *
 * @property Integer|Integer[] requiredMaxAge
 *
 * @method Integer|Integer[] getRequiredMaxAge() Audiences defined by a person's maximum age.
 *
 * @method MedicalAudience setRequiredMaxAge(Integer $requiredMaxAge ) setRequiredMaxAge(Integer[] $requiredMaxAge )Audiences defined by a person's maximum age.
 *
 *
 * -------------------------------- RequiredMinAge ---------------------------------------------
 *
 * @property Integer|Integer[] requiredMinAge
 *
 * @method Integer|Integer[] getRequiredMinAge() Audiences defined by a person's minimum age.
 *
 * @method MedicalAudience setRequiredMinAge(Integer $requiredMinAge ) setRequiredMinAge(Integer[] $requiredMinAge )Audiences defined by a person's minimum age.
 *
 *
 * -------------------------------- SuggestedGender ---------------------------------------------
 *
 * @property string|string[] suggestedGender
 *
 * @method string|string[] getSuggestedGender() The gender of the person or audience.
 *
 * @method MedicalAudience setSuggestedGender(string $suggestedGender ) setSuggestedGender(string[] $suggestedGender )The gender of the person or audience.
 *
 *
 * -------------------------------- SuggestedMaxAge ---------------------------------------------
 *
 * @property Number|Number[] suggestedMaxAge
 *
 * @method Number|Number[] getSuggestedMaxAge() Maximal age recommended for viewing content
 *
 * @method MedicalAudience setSuggestedMaxAge(Number $suggestedMaxAge ) setSuggestedMaxAge(Number[] $suggestedMaxAge )Maximal age recommended for viewing content
 *
 *
 * -------------------------------- SuggestedMinAge ---------------------------------------------
 *
 * @property Number|Number[] suggestedMinAge
 *
 * @method Number|Number[] getSuggestedMinAge() Minimal age recommended for viewing content
 *
 * @method MedicalAudience setSuggestedMinAge(Number $suggestedMinAge ) setSuggestedMinAge(Number[] $suggestedMinAge )Minimal age recommended for viewing content
 *
 *
 * -------------------------------- Code ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalIntangible\MedicalCode|\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalIntangible\MedicalCode[] code
 *
 * @method \Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalIntangible\MedicalCode|\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalIntangible\MedicalCode[] getCode() A medical code for the entity, taken from a controlled vocabulary or ontology such as ICD-9, DiseasesDB, MeSH, SNOMED-CT, RxNorm, etc.
 *
 * @method MedicalAudience setCode(\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalIntangible\MedicalCode $code ) setCode(\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalIntangible\MedicalCode[] $code )A medical code for the entity, taken from a controlled vocabulary or ontology such as ICD-9, DiseasesDB, MeSH, SNOMED-CT, RxNorm, etc.
 *
 *
 * -------------------------------- Guideline ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalGuideline|\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalGuideline[] guideline
 *
 * @method \Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalGuideline|\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalGuideline[] getGuideline() A medical guideline related to this entity.
 *
 * @method MedicalAudience setGuideline(\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalGuideline $guideline ) setGuideline(\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalGuideline[] $guideline )A medical guideline related to this entity.
 *
 *
 * -------------------------------- MedicineSystem ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalIntangible\MedicalEnumeration\MedicineSystem|\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalIntangible\MedicalEnumeration\MedicineSystem[] medicineSystem
 *
 * @method \Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalIntangible\MedicalEnumeration\MedicineSystem|\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalIntangible\MedicalEnumeration\MedicineSystem[] getMedicineSystem() The system of medicine that includes this MedicalEntity, for example 'evidence-based', 'homeopathic', 'chiropractic', etc.
 *
 * @method MedicalAudience setMedicineSystem(\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalIntangible\MedicalEnumeration\MedicineSystem $medicineSystem ) setMedicineSystem(\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalIntangible\MedicalEnumeration\MedicineSystem[] $medicineSystem )The system of medicine that includes this MedicalEntity, for example 'evidence-based', 'homeopathic', 'chiropractic', etc.
 *
 *
 * -------------------------------- RecognizingAuthority ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Organization|\Bordeux\SchemaOrg\Thing\Organization[] recognizingAuthority
 *
 * @method \Bordeux\SchemaOrg\Thing\Organization|\Bordeux\SchemaOrg\Thing\Organization[] getRecognizingAuthority() If applicable, the organization that officially recognizes this entity as part of its endorsed system of medicine.
 *
 * @method MedicalAudience setRecognizingAuthority(\Bordeux\SchemaOrg\Thing\Organization $recognizingAuthority ) setRecognizingAuthority(\Bordeux\SchemaOrg\Thing\Organization[] $recognizingAuthority )If applicable, the organization that officially recognizes this entity as part of its endorsed system of medicine.
 *
 *
 * -------------------------------- RelevantSpecialty ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalIntangible\MedicalEnumeration\MedicalSpecialty|\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalIntangible\MedicalEnumeration\MedicalSpecialty[] relevantSpecialty
 *
 * @method \Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalIntangible\MedicalEnumeration\MedicalSpecialty|\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalIntangible\MedicalEnumeration\MedicalSpecialty[] getRelevantSpecialty() If applicable, a medical specialty in which this entity is relevant.
 *
 * @method MedicalAudience setRelevantSpecialty(\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalIntangible\MedicalEnumeration\MedicalSpecialty $relevantSpecialty ) setRelevantSpecialty(\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalIntangible\MedicalEnumeration\MedicalSpecialty[] $relevantSpecialty )If applicable, a medical specialty in which this entity is relevant.
 *
 *
 * -------------------------------- Study ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalStudy|\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalStudy[] study
 *
 * @method \Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalStudy|\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalStudy[] getStudy() A medical study or trial related to this entity.
 *
 * @method MedicalAudience setStudy(\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalStudy $study ) setStudy(\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalStudy[] $study )A medical study or trial related to this entity.
 *
 *
 */
 class MedicalAudience extends \Bordeux\SchemaOrg\Thing\Intangible\Audience {

 }