<?php

namespace Bordeux\SchemaOrg\Thing\Intangible;

/**
 * Generated by bordeux/schema
 *
 * @author Krzysztof Bednarczyk <schema@bordeux.net>
 * @link http://schema.org/JobPosting
 *
 *
 * -------------------------------- BaseSalary ---------------------------------------------
 *
 * @property Number|Number[] baseSalary
 *
 * @method Number|Number[] getBaseSalary() The base salary of the job.
 *
 * @method JobPosting setBaseSalary(Number $baseSalary ) setBaseSalary(Number[] $baseSalary )The base salary of the job.
 *
 *
 * -------------------------------- Benefits ---------------------------------------------
 *
 * @property string|string[] benefits
 *
 * @method string|string[] getBenefits() Description of benefits associated with the job.
 *
 * @method JobPosting setBenefits(string $benefits ) setBenefits(string[] $benefits )Description of benefits associated with the job.
 *
 *
 * -------------------------------- DatePosted ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\SchemaDateTime|\Bordeux\SchemaOrg\SchemaDateTime[] datePosted
 *
 * @method \Bordeux\SchemaOrg\SchemaDateTime|\Bordeux\SchemaOrg\SchemaDateTime[] getDatePosted() Publication date for the job posting.
 *
 * @method JobPosting setDatePosted(\Bordeux\SchemaOrg\SchemaDateTime $datePosted ) setDatePosted(\Bordeux\SchemaOrg\SchemaDateTime[] $datePosted )Publication date for the job posting.
 *
 *
 * -------------------------------- EducationRequirements ---------------------------------------------
 *
 * @property string|string[] educationRequirements
 *
 * @method string|string[] getEducationRequirements() Educational background needed for the position.
 *
 * @method JobPosting setEducationRequirements(string $educationRequirements ) setEducationRequirements(string[] $educationRequirements )Educational background needed for the position.
 *
 *
 * -------------------------------- EmploymentType ---------------------------------------------
 *
 * @property string|string[] employmentType
 *
 * @method string|string[] getEmploymentType() Type of employment (e.g. full-time, part-time, contract, temporary, seasonal, internship).
 *
 * @method JobPosting setEmploymentType(string $employmentType ) setEmploymentType(string[] $employmentType )Type of employment (e.g. full-time, part-time, contract, temporary, seasonal, internship).
 *
 *
 * -------------------------------- ExperienceRequirements ---------------------------------------------
 *
 * @property string|string[] experienceRequirements
 *
 * @method string|string[] getExperienceRequirements() Description of skills and experience needed for the position.
 *
 * @method JobPosting setExperienceRequirements(string $experienceRequirements ) setExperienceRequirements(string[] $experienceRequirements )Description of skills and experience needed for the position.
 *
 *
 * -------------------------------- HiringOrganization ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Organization|\Bordeux\SchemaOrg\Thing\Organization[] hiringOrganization
 *
 * @method \Bordeux\SchemaOrg\Thing\Organization|\Bordeux\SchemaOrg\Thing\Organization[] getHiringOrganization() Organization offering the job position.
 *
 * @method JobPosting setHiringOrganization(\Bordeux\SchemaOrg\Thing\Organization $hiringOrganization ) setHiringOrganization(\Bordeux\SchemaOrg\Thing\Organization[] $hiringOrganization )Organization offering the job position.
 *
 *
 * -------------------------------- Incentives ---------------------------------------------
 *
 * @property string|string[] incentives
 *
 * @method string|string[] getIncentives() Description of bonus and commission compensation aspects of the job.
 *
 * @method JobPosting setIncentives(string $incentives ) setIncentives(string[] $incentives )Description of bonus and commission compensation aspects of the job.
 *
 *
 * -------------------------------- Industry ---------------------------------------------
 *
 * @property string|string[] industry
 *
 * @method string|string[] getIndustry() The industry associated with the job position.
 *
 * @method JobPosting setIndustry(string $industry ) setIndustry(string[] $industry )The industry associated with the job position.
 *
 *
 * -------------------------------- JobLocation ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Place|\Bordeux\SchemaOrg\Thing\Place[] jobLocation
 *
 * @method \Bordeux\SchemaOrg\Thing\Place|\Bordeux\SchemaOrg\Thing\Place[] getJobLocation() A (typically single) geographic location associated with the job position.
 *
 * @method JobPosting setJobLocation(\Bordeux\SchemaOrg\Thing\Place $jobLocation ) setJobLocation(\Bordeux\SchemaOrg\Thing\Place[] $jobLocation )A (typically single) geographic location associated with the job position.
 *
 *
 * -------------------------------- OccupationalCategory ---------------------------------------------
 *
 * @property string|string[] occupationalCategory
 *
 * @method string|string[] getOccupationalCategory() Category or categories describing the job. Use BLS O*NET-SOC taxonomy: http://www.onetcenter.org/taxonomy.html. Ideally includes textual label and formal code, with the property repeated for each applicable value.
 *
 * @method JobPosting setOccupationalCategory(string $occupationalCategory ) setOccupationalCategory(string[] $occupationalCategory )Category or categories describing the job. Use BLS O*NET-SOC taxonomy: http://www.onetcenter.org/taxonomy.html. Ideally includes textual label and formal code, with the property repeated for each applicable value.
 *
 *
 * -------------------------------- Qualifications ---------------------------------------------
 *
 * @property string|string[] qualifications
 *
 * @method string|string[] getQualifications() Specific qualifications required for this role.
 *
 * @method JobPosting setQualifications(string $qualifications ) setQualifications(string[] $qualifications )Specific qualifications required for this role.
 *
 *
 * -------------------------------- Responsibilities ---------------------------------------------
 *
 * @property string|string[] responsibilities
 *
 * @method string|string[] getResponsibilities() Responsibilities associated with this role.
 *
 * @method JobPosting setResponsibilities(string $responsibilities ) setResponsibilities(string[] $responsibilities )Responsibilities associated with this role.
 *
 *
 * -------------------------------- SalaryCurrency ---------------------------------------------
 *
 * @property string|string[] salaryCurrency
 *
 * @method string|string[] getSalaryCurrency() The currency (coded using ISO 4217, http://en.wikipedia.org/wiki/ISO_4217 used for the main salary information in this job posting.
 *
 * @method JobPosting setSalaryCurrency(string $salaryCurrency ) setSalaryCurrency(string[] $salaryCurrency )The currency (coded using ISO 4217, http://en.wikipedia.org/wiki/ISO_4217 used for the main salary information in this job posting.
 *
 *
 * -------------------------------- Skills ---------------------------------------------
 *
 * @property string|string[] skills
 *
 * @method string|string[] getSkills() Skills required to fulfill this role.
 *
 * @method JobPosting setSkills(string $skills ) setSkills(string[] $skills )Skills required to fulfill this role.
 *
 *
 * -------------------------------- SpecialCommitments ---------------------------------------------
 *
 * @property string|string[] specialCommitments
 *
 * @method string|string[] getSpecialCommitments() Any special commitments associated with this job posting. Valid entries include VeteranCommit, MilitarySpouseCommit, etc.
 *
 * @method JobPosting setSpecialCommitments(string $specialCommitments ) setSpecialCommitments(string[] $specialCommitments )Any special commitments associated with this job posting. Valid entries include VeteranCommit, MilitarySpouseCommit, etc.
 *
 *
 * -------------------------------- Title ---------------------------------------------
 *
 * @property string|string[] title
 *
 * @method string|string[] getTitle() The title of the job.
 *
 * @method JobPosting setTitle(string $title ) setTitle(string[] $title )The title of the job.
 *
 *
 * -------------------------------- WorkHours ---------------------------------------------
 *
 * @property string|string[] workHours
 *
 * @method string|string[] getWorkHours() The typical working hours for this job (e.g. 1st shift, night shift, 8am-5pm).
 *
 * @method JobPosting setWorkHours(string $workHours ) setWorkHours(string[] $workHours )The typical working hours for this job (e.g. 1st shift, night shift, 8am-5pm).
 *
 *
 */
 class JobPosting extends \Bordeux\SchemaOrg\Thing\Intangible {

 }