<?php

namespace Bordeux\SchemaOrg\Thing\Intangible;

/**
 * Generated by bordeux/schema
 *
 * @author Krzysztof Bednarczyk <schema@bordeux.net>
 * @link http://schema.org/Offer
 *
 *
 * -------------------------------- AcceptedPaymentMethod ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Intangible\Enumeration\PaymentMethod|\Bordeux\SchemaOrg\Thing\Intangible\Enumeration\PaymentMethod[] acceptedPaymentMethod
 *
 * @method \Bordeux\SchemaOrg\Thing\Intangible\Enumeration\PaymentMethod|\Bordeux\SchemaOrg\Thing\Intangible\Enumeration\PaymentMethod[] getAcceptedPaymentMethod() The payment method(s) accepted by seller for this offer.
 *
 * @method Offer setAcceptedPaymentMethod(\Bordeux\SchemaOrg\Thing\Intangible\Enumeration\PaymentMethod $acceptedPaymentMethod ) setAcceptedPaymentMethod(\Bordeux\SchemaOrg\Thing\Intangible\Enumeration\PaymentMethod[] $acceptedPaymentMethod )The payment method(s) accepted by seller for this offer.
 *
 *
 * -------------------------------- AddOn ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Intangible\Offer|\Bordeux\SchemaOrg\Thing\Intangible\Offer[] addOn
 *
 * @method \Bordeux\SchemaOrg\Thing\Intangible\Offer|\Bordeux\SchemaOrg\Thing\Intangible\Offer[] getAddOn() An additional offer that can only be obtained in combination with the first base offer (e.g. supplements and extensions that are available for a surcharge).
 *
 * @method Offer setAddOn(\Bordeux\SchemaOrg\Thing\Intangible\Offer $addOn ) setAddOn(\Bordeux\SchemaOrg\Thing\Intangible\Offer[] $addOn )An additional offer that can only be obtained in combination with the first base offer (e.g. supplements and extensions that are available for a surcharge).
 *
 *
 * -------------------------------- AdvanceBookingRequirement ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\QuantitativeValue|\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\QuantitativeValue[] advanceBookingRequirement
 *
 * @method \Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\QuantitativeValue|\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\QuantitativeValue[] getAdvanceBookingRequirement() The amount of time that is required between accepting the offer and the actual usage of the resource or service.
 *
 * @method Offer setAdvanceBookingRequirement(\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\QuantitativeValue $advanceBookingRequirement ) setAdvanceBookingRequirement(\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\QuantitativeValue[] $advanceBookingRequirement )The amount of time that is required between accepting the offer and the actual usage of the resource or service.
 *
 *
 * -------------------------------- AggregateRating ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Intangible\Rating\AggregateRating|\Bordeux\SchemaOrg\Thing\Intangible\Rating\AggregateRating[] aggregateRating
 *
 * @method \Bordeux\SchemaOrg\Thing\Intangible\Rating\AggregateRating|\Bordeux\SchemaOrg\Thing\Intangible\Rating\AggregateRating[] getAggregateRating() The overall rating, based on a collection of reviews or ratings, of the item.
 *
 * @method Offer setAggregateRating(\Bordeux\SchemaOrg\Thing\Intangible\Rating\AggregateRating $aggregateRating ) setAggregateRating(\Bordeux\SchemaOrg\Thing\Intangible\Rating\AggregateRating[] $aggregateRating )The overall rating, based on a collection of reviews or ratings, of the item.
 *
 *
 * -------------------------------- Availability ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Intangible\Enumeration\ItemAvailability|\Bordeux\SchemaOrg\Thing\Intangible\Enumeration\ItemAvailability[] availability
 *
 * @method \Bordeux\SchemaOrg\Thing\Intangible\Enumeration\ItemAvailability|\Bordeux\SchemaOrg\Thing\Intangible\Enumeration\ItemAvailability[] getAvailability() The availability of this item—for example In stock, Out of stock, Pre-order, etc.
 *
 * @method Offer setAvailability(\Bordeux\SchemaOrg\Thing\Intangible\Enumeration\ItemAvailability $availability ) setAvailability(\Bordeux\SchemaOrg\Thing\Intangible\Enumeration\ItemAvailability[] $availability )The availability of this item—for example In stock, Out of stock, Pre-order, etc.
 *
 *
 * -------------------------------- AvailabilityEnds ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\SchemaDateTime|\Bordeux\SchemaOrg\SchemaDateTime[] availabilityEnds
 *
 * @method \Bordeux\SchemaOrg\SchemaDateTime|\Bordeux\SchemaOrg\SchemaDateTime[] getAvailabilityEnds() The end of the availability of the product or service included in the offer.
 *
 * @method Offer setAvailabilityEnds(\Bordeux\SchemaOrg\SchemaDateTime $availabilityEnds ) setAvailabilityEnds(\Bordeux\SchemaOrg\SchemaDateTime[] $availabilityEnds )The end of the availability of the product or service included in the offer.
 *
 *
 * -------------------------------- AvailabilityStarts ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\SchemaDateTime|\Bordeux\SchemaOrg\SchemaDateTime[] availabilityStarts
 *
 * @method \Bordeux\SchemaOrg\SchemaDateTime|\Bordeux\SchemaOrg\SchemaDateTime[] getAvailabilityStarts() The beginning of the availability of the product or service included in the offer.
 *
 * @method Offer setAvailabilityStarts(\Bordeux\SchemaOrg\SchemaDateTime $availabilityStarts ) setAvailabilityStarts(\Bordeux\SchemaOrg\SchemaDateTime[] $availabilityStarts )The beginning of the availability of the product or service included in the offer.
 *
 *
 * -------------------------------- AvailableAtOrFrom ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Place|\Bordeux\SchemaOrg\Thing\Place[] availableAtOrFrom
 *
 * @method \Bordeux\SchemaOrg\Thing\Place|\Bordeux\SchemaOrg\Thing\Place[] getAvailableAtOrFrom() The place(s) from which the offer can be obtained (e.g. store locations).
 *
 * @method Offer setAvailableAtOrFrom(\Bordeux\SchemaOrg\Thing\Place $availableAtOrFrom ) setAvailableAtOrFrom(\Bordeux\SchemaOrg\Thing\Place[] $availableAtOrFrom )The place(s) from which the offer can be obtained (e.g. store locations).
 *
 *
 * -------------------------------- AvailableDeliveryMethod ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Intangible\Enumeration\DeliveryMethod|\Bordeux\SchemaOrg\Thing\Intangible\Enumeration\DeliveryMethod[] availableDeliveryMethod
 *
 * @method \Bordeux\SchemaOrg\Thing\Intangible\Enumeration\DeliveryMethod|\Bordeux\SchemaOrg\Thing\Intangible\Enumeration\DeliveryMethod[] getAvailableDeliveryMethod() The delivery method(s) available for this offer.
 *
 * @method Offer setAvailableDeliveryMethod(\Bordeux\SchemaOrg\Thing\Intangible\Enumeration\DeliveryMethod $availableDeliveryMethod ) setAvailableDeliveryMethod(\Bordeux\SchemaOrg\Thing\Intangible\Enumeration\DeliveryMethod[] $availableDeliveryMethod )The delivery method(s) available for this offer.
 *
 *
 * -------------------------------- BusinessFunction ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Intangible\Enumeration\BusinessFunction|\Bordeux\SchemaOrg\Thing\Intangible\Enumeration\BusinessFunction[] businessFunction
 *
 * @method \Bordeux\SchemaOrg\Thing\Intangible\Enumeration\BusinessFunction|\Bordeux\SchemaOrg\Thing\Intangible\Enumeration\BusinessFunction[] getBusinessFunction() The business function (e.g. sell, lease, repair, dispose) of the offer or component of a bundle (TypeAndQuantityNode). The default is http://purl.org/goodrelations/v1#Sell.
 *
 * @method Offer setBusinessFunction(\Bordeux\SchemaOrg\Thing\Intangible\Enumeration\BusinessFunction $businessFunction ) setBusinessFunction(\Bordeux\SchemaOrg\Thing\Intangible\Enumeration\BusinessFunction[] $businessFunction )The business function (e.g. sell, lease, repair, dispose) of the offer or component of a bundle (TypeAndQuantityNode). The default is http://purl.org/goodrelations/v1#Sell.
 *
 *
 * -------------------------------- Category ---------------------------------------------
 *
 * @property string|string[]|\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalIntangible\MedicalEnumeration\PhysicalActivityCategory|\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalIntangible\MedicalEnumeration\PhysicalActivityCategory[]|\Bordeux\SchemaOrg\\Thing|\Bordeux\SchemaOrg\\Thing[] category
 *
 * @method string|string[]|\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalIntangible\MedicalEnumeration\PhysicalActivityCategory|\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalIntangible\MedicalEnumeration\PhysicalActivityCategory[]|\Bordeux\SchemaOrg\\Thing|\Bordeux\SchemaOrg\\Thing[] getCategory() A category for the item. Greater signs or slashes can be used to informally indicate a category hierarchy.
 *
 * @method Offer setCategory(string $category ) setCategory(string[] $category ) setCategory(\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalIntangible\MedicalEnumeration\PhysicalActivityCategory $category ) setCategory(\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalIntangible\MedicalEnumeration\PhysicalActivityCategory[] $category ) setCategory(\Bordeux\SchemaOrg\\Thing $category ) setCategory(\Bordeux\SchemaOrg\\Thing[] $category )A category for the item. Greater signs or slashes can be used to informally indicate a category hierarchy.
 *
 *
 * -------------------------------- DeliveryLeadTime ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\QuantitativeValue|\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\QuantitativeValue[] deliveryLeadTime
 *
 * @method \Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\QuantitativeValue|\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\QuantitativeValue[] getDeliveryLeadTime() The typical delay between the receipt of the order and the goods leaving the warehouse.
 *
 * @method Offer setDeliveryLeadTime(\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\QuantitativeValue $deliveryLeadTime ) setDeliveryLeadTime(\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\QuantitativeValue[] $deliveryLeadTime )The typical delay between the receipt of the order and the goods leaving the warehouse.
 *
 *
 * -------------------------------- EligibleCustomerType ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Intangible\Enumeration\BusinessEntityType|\Bordeux\SchemaOrg\Thing\Intangible\Enumeration\BusinessEntityType[] eligibleCustomerType
 *
 * @method \Bordeux\SchemaOrg\Thing\Intangible\Enumeration\BusinessEntityType|\Bordeux\SchemaOrg\Thing\Intangible\Enumeration\BusinessEntityType[] getEligibleCustomerType() The type(s) of customers for which the given offer is valid.
 *
 * @method Offer setEligibleCustomerType(\Bordeux\SchemaOrg\Thing\Intangible\Enumeration\BusinessEntityType $eligibleCustomerType ) setEligibleCustomerType(\Bordeux\SchemaOrg\Thing\Intangible\Enumeration\BusinessEntityType[] $eligibleCustomerType )The type(s) of customers for which the given offer is valid.
 *
 *
 * -------------------------------- EligibleDuration ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\QuantitativeValue|\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\QuantitativeValue[] eligibleDuration
 *
 * @method \Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\QuantitativeValue|\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\QuantitativeValue[] getEligibleDuration() The duration for which the given offer is valid.
 *
 * @method Offer setEligibleDuration(\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\QuantitativeValue $eligibleDuration ) setEligibleDuration(\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\QuantitativeValue[] $eligibleDuration )The duration for which the given offer is valid.
 *
 *
 * -------------------------------- EligibleQuantity ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\QuantitativeValue|\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\QuantitativeValue[] eligibleQuantity
 *
 * @method \Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\QuantitativeValue|\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\QuantitativeValue[] getEligibleQuantity() The interval and unit of measurement of ordering quantities for which the offer or price specification is valid. This allows e.g. specifying that a certain freight charge is valid only for a certain quantity.
 *
 * @method Offer setEligibleQuantity(\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\QuantitativeValue $eligibleQuantity ) setEligibleQuantity(\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\QuantitativeValue[] $eligibleQuantity )The interval and unit of measurement of ordering quantities for which the offer or price specification is valid. This allows e.g. specifying that a certain freight charge is valid only for a certain quantity.
 *
 *
 * -------------------------------- EligibleRegion ---------------------------------------------
 *
 * @property string|string[]|\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\GeoShape|\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\GeoShape[] eligibleRegion
 *
 * @method string|string[]|\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\GeoShape|\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\GeoShape[] getEligibleRegion() The ISO 3166-1 (ISO 3166-1 alpha-2) or ISO 3166-2 code, or the GeoShape for the geo-political region(s) for which the offer or delivery charge specification is valid.
 *
 * @method Offer setEligibleRegion(string $eligibleRegion ) setEligibleRegion(string[] $eligibleRegion ) setEligibleRegion(\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\GeoShape $eligibleRegion ) setEligibleRegion(\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\GeoShape[] $eligibleRegion )The ISO 3166-1 (ISO 3166-1 alpha-2) or ISO 3166-2 code, or the GeoShape for the geo-political region(s) for which the offer or delivery charge specification is valid.
 *
 *
 * -------------------------------- EligibleTransactionVolume ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\PriceSpecification|\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\PriceSpecification[] eligibleTransactionVolume
 *
 * @method \Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\PriceSpecification|\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\PriceSpecification[] getEligibleTransactionVolume() The transaction volume, in a monetary unit, for which the offer or price specification is valid, e.g. for indicating a minimal purchasing volume, to express free shipping above a certain order volume, or to limit the acceptance of credit cards to purchases to a certain minimal amount.
 *
 * @method Offer setEligibleTransactionVolume(\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\PriceSpecification $eligibleTransactionVolume ) setEligibleTransactionVolume(\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\PriceSpecification[] $eligibleTransactionVolume )The transaction volume, in a monetary unit, for which the offer or price specification is valid, e.g. for indicating a minimal purchasing volume, to express free shipping above a certain order volume, or to limit the acceptance of credit cards to purchases to a certain minimal amount.
 *
 *
 * -------------------------------- Gtin13 ---------------------------------------------
 *
 * @property string|string[] gtin13
 *
 * @method string|string[] getGtin13() The GTIN-13 code of the product, or the product to which the offer refers. This is equivalent to 13-digit ISBN codes and EAN UCC-13. Former 12-digit UPC codes can be converted into a GTIN-13 code by simply adding a preceeding zero.
 *
 * @method Offer setGtin13(string $gtin13 ) setGtin13(string[] $gtin13 )The GTIN-13 code of the product, or the product to which the offer refers. This is equivalent to 13-digit ISBN codes and EAN UCC-13. Former 12-digit UPC codes can be converted into a GTIN-13 code by simply adding a preceeding zero.
 *
 *
 * -------------------------------- Gtin14 ---------------------------------------------
 *
 * @property string|string[] gtin14
 *
 * @method string|string[] getGtin14() The GTIN-14 code of the product, or the product to which the offer refers.
 *
 * @method Offer setGtin14(string $gtin14 ) setGtin14(string[] $gtin14 )The GTIN-14 code of the product, or the product to which the offer refers.
 *
 *
 * -------------------------------- Gtin8 ---------------------------------------------
 *
 * @property string|string[] gtin8
 *
 * @method string|string[] getGtin8() The GTIN-8 code of the product, or the product to which the offer refers. This code is also known as EAN/UCC-8 or 8-digit EAN.
 *
 * @method Offer setGtin8(string $gtin8 ) setGtin8(string[] $gtin8 )The GTIN-8 code of the product, or the product to which the offer refers. This code is also known as EAN/UCC-8 or 8-digit EAN.
 *
 *
 * -------------------------------- IncludesObject ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\TypeAndQuantityNode|\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\TypeAndQuantityNode[] includesObject
 *
 * @method \Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\TypeAndQuantityNode|\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\TypeAndQuantityNode[] getIncludesObject() This links to a node or nodes indicating the exact quantity of the products included in the offer.
 *
 * @method Offer setIncludesObject(\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\TypeAndQuantityNode $includesObject ) setIncludesObject(\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\TypeAndQuantityNode[] $includesObject )This links to a node or nodes indicating the exact quantity of the products included in the offer.
 *
 *
 * -------------------------------- InventoryLevel ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\QuantitativeValue|\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\QuantitativeValue[] inventoryLevel
 *
 * @method \Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\QuantitativeValue|\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\QuantitativeValue[] getInventoryLevel() The current approximate inventory level for the item or items.
 *
 * @method Offer setInventoryLevel(\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\QuantitativeValue $inventoryLevel ) setInventoryLevel(\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\QuantitativeValue[] $inventoryLevel )The current approximate inventory level for the item or items.
 *
 *
 * -------------------------------- ItemCondition ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Intangible\Enumeration\OfferItemCondition|\Bordeux\SchemaOrg\Thing\Intangible\Enumeration\OfferItemCondition[] itemCondition
 *
 * @method \Bordeux\SchemaOrg\Thing\Intangible\Enumeration\OfferItemCondition|\Bordeux\SchemaOrg\Thing\Intangible\Enumeration\OfferItemCondition[] getItemCondition() A predefined value from OfferItemCondition or a textual description of the condition of the product or service, or the products or services included in the offer.
 *
 * @method Offer setItemCondition(\Bordeux\SchemaOrg\Thing\Intangible\Enumeration\OfferItemCondition $itemCondition ) setItemCondition(\Bordeux\SchemaOrg\Thing\Intangible\Enumeration\OfferItemCondition[] $itemCondition )A predefined value from OfferItemCondition or a textual description of the condition of the product or service, or the products or services included in the offer.
 *
 *
 * -------------------------------- ItemOffered ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Product|\Bordeux\SchemaOrg\Thing\Product[] itemOffered
 *
 * @method \Bordeux\SchemaOrg\Thing\Product|\Bordeux\SchemaOrg\Thing\Product[] getItemOffered() The item being offered.
 *
 * @method Offer setItemOffered(\Bordeux\SchemaOrg\Thing\Product $itemOffered ) setItemOffered(\Bordeux\SchemaOrg\Thing\Product[] $itemOffered )The item being offered.
 *
 *
 * -------------------------------- Mpn ---------------------------------------------
 *
 * @property string|string[] mpn
 *
 * @method string|string[] getMpn() The Manufacturer Part Number (MPN) of the product, or the product to which the offer refers.
 *
 * @method Offer setMpn(string $mpn ) setMpn(string[] $mpn )The Manufacturer Part Number (MPN) of the product, or the product to which the offer refers.
 *
 *
 * -------------------------------- Price ---------------------------------------------
 *
 * @property string|string[]|Number|Number[] price
 *
 * @method string|string[]|Number|Number[] getPrice() The offer price of a product, or of a price component when attached to PriceSpecification and its subtypes.
 *
 * @method Offer setPrice(string $price ) setPrice(string[] $price ) setPrice(Number $price ) setPrice(Number[] $price )The offer price of a product, or of a price component when attached to PriceSpecification and its subtypes.
 *
 *
 * -------------------------------- PriceCurrency ---------------------------------------------
 *
 * @property string|string[] priceCurrency
 *
 * @method string|string[] getPriceCurrency() The currency (in 3-letter ISO 4217 format) of the offer price or a price component, when attached to PriceSpecification and its subtypes.
 *
 * @method Offer setPriceCurrency(string $priceCurrency ) setPriceCurrency(string[] $priceCurrency )The currency (in 3-letter ISO 4217 format) of the offer price or a price component, when attached to PriceSpecification and its subtypes.
 *
 *
 * -------------------------------- PriceSpecification ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\PriceSpecification|\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\PriceSpecification[] priceSpecification
 *
 * @method \Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\PriceSpecification|\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\PriceSpecification[] getPriceSpecification() One or more detailed price specifications, indicating the unit price and delivery or payment charges.
 *
 * @method Offer setPriceSpecification(\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\PriceSpecification $priceSpecification ) setPriceSpecification(\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\PriceSpecification[] $priceSpecification )One or more detailed price specifications, indicating the unit price and delivery or payment charges.
 *
 *
 * -------------------------------- PriceValidUntil ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\SchemaDateTime|\Bordeux\SchemaOrg\SchemaDateTime[] priceValidUntil
 *
 * @method \Bordeux\SchemaOrg\SchemaDateTime|\Bordeux\SchemaOrg\SchemaDateTime[] getPriceValidUntil() The date after which the price is no longer available.
 *
 * @method Offer setPriceValidUntil(\Bordeux\SchemaOrg\SchemaDateTime $priceValidUntil ) setPriceValidUntil(\Bordeux\SchemaOrg\SchemaDateTime[] $priceValidUntil )The date after which the price is no longer available.
 *
 *
 * -------------------------------- Review ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\CreativeWork\Review|\Bordeux\SchemaOrg\Thing\CreativeWork\Review[] review
 *
 * @method \Bordeux\SchemaOrg\Thing\CreativeWork\Review|\Bordeux\SchemaOrg\Thing\CreativeWork\Review[] getReview() A review of the item.
 *
 * @method Offer setReview(\Bordeux\SchemaOrg\Thing\CreativeWork\Review $review ) setReview(\Bordeux\SchemaOrg\Thing\CreativeWork\Review[] $review )A review of the item.
 *
 *
 * -------------------------------- Reviews ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\CreativeWork\Review|\Bordeux\SchemaOrg\Thing\CreativeWork\Review[] reviews
 *
 * @method \Bordeux\SchemaOrg\Thing\CreativeWork\Review|\Bordeux\SchemaOrg\Thing\CreativeWork\Review[] getReviews() Review of the item (legacy spelling; see singular form, review).
 *
 * @method Offer setReviews(\Bordeux\SchemaOrg\Thing\CreativeWork\Review $reviews ) setReviews(\Bordeux\SchemaOrg\Thing\CreativeWork\Review[] $reviews )Review of the item (legacy spelling; see singular form, review).
 *
 *
 * -------------------------------- Seller ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Organization|\Bordeux\SchemaOrg\Thing\Organization[]|\Bordeux\SchemaOrg\Thing\Person|\Bordeux\SchemaOrg\Thing\Person[] seller
 *
 * @method \Bordeux\SchemaOrg\Thing\Organization|\Bordeux\SchemaOrg\Thing\Organization[]|\Bordeux\SchemaOrg\Thing\Person|\Bordeux\SchemaOrg\Thing\Person[] getSeller() The organization or person making the offer.
 *
 * @method Offer setSeller(\Bordeux\SchemaOrg\Thing\Organization $seller ) setSeller(\Bordeux\SchemaOrg\Thing\Organization[] $seller ) setSeller(\Bordeux\SchemaOrg\Thing\Person $seller ) setSeller(\Bordeux\SchemaOrg\Thing\Person[] $seller )The organization or person making the offer.
 *
 *
 * -------------------------------- SerialNumber ---------------------------------------------
 *
 * @property string|string[] serialNumber
 *
 * @method string|string[] getSerialNumber() The serial number or any alphanumeric identifier of a particular product. When attached to an offer, it is a shortcut for the serial number of the product included in the offer.
 *
 * @method Offer setSerialNumber(string $serialNumber ) setSerialNumber(string[] $serialNumber )The serial number or any alphanumeric identifier of a particular product. When attached to an offer, it is a shortcut for the serial number of the product included in the offer.
 *
 *
 * -------------------------------- Sku ---------------------------------------------
 *
 * @property string|string[] sku
 *
 * @method string|string[] getSku() The Stock Keeping Unit (SKU), i.e. a merchant-specific identifier for a product or service, or the product to which the offer refers.
 *
 * @method Offer setSku(string $sku ) setSku(string[] $sku )The Stock Keeping Unit (SKU), i.e. a merchant-specific identifier for a product or service, or the product to which the offer refers.
 *
 *
 * -------------------------------- ValidFrom ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\SchemaDateTime|\Bordeux\SchemaOrg\SchemaDateTime[] validFrom
 *
 * @method \Bordeux\SchemaOrg\SchemaDateTime|\Bordeux\SchemaOrg\SchemaDateTime[] getValidFrom() The date when the item becomes valid.
 *
 * @method Offer setValidFrom(\Bordeux\SchemaOrg\SchemaDateTime $validFrom ) setValidFrom(\Bordeux\SchemaOrg\SchemaDateTime[] $validFrom )The date when the item becomes valid.
 *
 *
 * -------------------------------- ValidThrough ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\SchemaDateTime|\Bordeux\SchemaOrg\SchemaDateTime[] validThrough
 *
 * @method \Bordeux\SchemaOrg\SchemaDateTime|\Bordeux\SchemaOrg\SchemaDateTime[] getValidThrough() The end of the validity of offer, price specification, or opening hours data.
 *
 * @method Offer setValidThrough(\Bordeux\SchemaOrg\SchemaDateTime $validThrough ) setValidThrough(\Bordeux\SchemaOrg\SchemaDateTime[] $validThrough )The end of the validity of offer, price specification, or opening hours data.
 *
 *
 * -------------------------------- Warranty ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\WarrantyPromise|\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\WarrantyPromise[] warranty
 *
 * @method \Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\WarrantyPromise|\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\WarrantyPromise[] getWarranty() The warranty promise(s) included in the offer.
 *
 * @method Offer setWarranty(\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\WarrantyPromise $warranty ) setWarranty(\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\WarrantyPromise[] $warranty )The warranty promise(s) included in the offer.
 *
 *
 */
 class Offer extends \Bordeux\SchemaOrg\Thing\Intangible {

 }