<?php

namespace Bordeux\SchemaOrg\Thing\Intangible;

/**
 * Generated by bordeux/schema
 *
 * @author Krzysztof Bednarczyk <schema@bordeux.net>
 * @link http://schema.org/ParcelDelivery
 *
 *
 * -------------------------------- Carrier ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Organization|\Bordeux\SchemaOrg\Thing\Organization[] carrier
 *
 * @method \Bordeux\SchemaOrg\Thing\Organization|\Bordeux\SchemaOrg\Thing\Organization[] getCarrier() The party responsible for the parcel delivery.
 *
 * @method ParcelDelivery setCarrier(\Bordeux\SchemaOrg\Thing\Organization $carrier ) setCarrier(\Bordeux\SchemaOrg\Thing\Organization[] $carrier )The party responsible for the parcel delivery.
 *
 *
 * -------------------------------- DeliveryAddress ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\ContactPoint\PostalAddress|\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\ContactPoint\PostalAddress[] deliveryAddress
 *
 * @method \Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\ContactPoint\PostalAddress|\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\ContactPoint\PostalAddress[] getDeliveryAddress() Destination address.
 *
 * @method ParcelDelivery setDeliveryAddress(\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\ContactPoint\PostalAddress $deliveryAddress ) setDeliveryAddress(\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\ContactPoint\PostalAddress[] $deliveryAddress )Destination address.
 *
 *
 * -------------------------------- DeliveryStatus ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Event\DeliveryEvent|\Bordeux\SchemaOrg\Thing\Event\DeliveryEvent[] deliveryStatus
 *
 * @method \Bordeux\SchemaOrg\Thing\Event\DeliveryEvent|\Bordeux\SchemaOrg\Thing\Event\DeliveryEvent[] getDeliveryStatus() New entry added as the package passes through each leg of its journey (from shipment to final delivery).
 *
 * @method ParcelDelivery setDeliveryStatus(\Bordeux\SchemaOrg\Thing\Event\DeliveryEvent $deliveryStatus ) setDeliveryStatus(\Bordeux\SchemaOrg\Thing\Event\DeliveryEvent[] $deliveryStatus )New entry added as the package passes through each leg of its journey (from shipment to final delivery).
 *
 *
 * -------------------------------- ExpectedArrivalFrom ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\SchemaDateTime|\Bordeux\SchemaOrg\SchemaDateTime[] expectedArrivalFrom
 *
 * @method \Bordeux\SchemaOrg\SchemaDateTime|\Bordeux\SchemaOrg\SchemaDateTime[] getExpectedArrivalFrom() The earliest date the package may arrive.
 *
 * @method ParcelDelivery setExpectedArrivalFrom(\Bordeux\SchemaOrg\SchemaDateTime $expectedArrivalFrom ) setExpectedArrivalFrom(\Bordeux\SchemaOrg\SchemaDateTime[] $expectedArrivalFrom )The earliest date the package may arrive.
 *
 *
 * -------------------------------- ExpectedArrivalUntil ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\SchemaDateTime|\Bordeux\SchemaOrg\SchemaDateTime[] expectedArrivalUntil
 *
 * @method \Bordeux\SchemaOrg\SchemaDateTime|\Bordeux\SchemaOrg\SchemaDateTime[] getExpectedArrivalUntil() The latest date the package may arrive.
 *
 * @method ParcelDelivery setExpectedArrivalUntil(\Bordeux\SchemaOrg\SchemaDateTime $expectedArrivalUntil ) setExpectedArrivalUntil(\Bordeux\SchemaOrg\SchemaDateTime[] $expectedArrivalUntil )The latest date the package may arrive.
 *
 *
 * -------------------------------- HasDeliveryMethod ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Intangible\Enumeration\DeliveryMethod|\Bordeux\SchemaOrg\Thing\Intangible\Enumeration\DeliveryMethod[] hasDeliveryMethod
 *
 * @method \Bordeux\SchemaOrg\Thing\Intangible\Enumeration\DeliveryMethod|\Bordeux\SchemaOrg\Thing\Intangible\Enumeration\DeliveryMethod[] getHasDeliveryMethod() Method used for delivery or shipping.
 *
 * @method ParcelDelivery setHasDeliveryMethod(\Bordeux\SchemaOrg\Thing\Intangible\Enumeration\DeliveryMethod $hasDeliveryMethod ) setHasDeliveryMethod(\Bordeux\SchemaOrg\Thing\Intangible\Enumeration\DeliveryMethod[] $hasDeliveryMethod )Method used for delivery or shipping.
 *
 *
 * -------------------------------- ItemShipped ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Product|\Bordeux\SchemaOrg\Thing\Product[] itemShipped
 *
 * @method \Bordeux\SchemaOrg\Thing\Product|\Bordeux\SchemaOrg\Thing\Product[] getItemShipped() Item(s) being shipped.
 *
 * @method ParcelDelivery setItemShipped(\Bordeux\SchemaOrg\Thing\Product $itemShipped ) setItemShipped(\Bordeux\SchemaOrg\Thing\Product[] $itemShipped )Item(s) being shipped.
 *
 *
 * -------------------------------- OriginAddress ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\ContactPoint\PostalAddress|\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\ContactPoint\PostalAddress[] originAddress
 *
 * @method \Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\ContactPoint\PostalAddress|\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\ContactPoint\PostalAddress[] getOriginAddress() Shipper's address.
 *
 * @method ParcelDelivery setOriginAddress(\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\ContactPoint\PostalAddress $originAddress ) setOriginAddress(\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\ContactPoint\PostalAddress[] $originAddress )Shipper's address.
 *
 *
 * -------------------------------- PartOfOrder ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Intangible\Order|\Bordeux\SchemaOrg\Thing\Intangible\Order[] partOfOrder
 *
 * @method \Bordeux\SchemaOrg\Thing\Intangible\Order|\Bordeux\SchemaOrg\Thing\Intangible\Order[] getPartOfOrder() The overall order the items in this delivery were included in.
 *
 * @method ParcelDelivery setPartOfOrder(\Bordeux\SchemaOrg\Thing\Intangible\Order $partOfOrder ) setPartOfOrder(\Bordeux\SchemaOrg\Thing\Intangible\Order[] $partOfOrder )The overall order the items in this delivery were included in.
 *
 *
 * -------------------------------- TrackingNumber ---------------------------------------------
 *
 * @property string|string[] trackingNumber
 *
 * @method string|string[] getTrackingNumber() Shipper tracking number.
 *
 * @method ParcelDelivery setTrackingNumber(string $trackingNumber ) setTrackingNumber(string[] $trackingNumber )Shipper tracking number.
 *
 *
 * -------------------------------- TrackingUrl ---------------------------------------------
 *
 * @property string|string[] trackingUrl
 *
 * @method string|string[] getTrackingUrl() Tracking url for the parcel delivery.
 *
 * @method ParcelDelivery setTrackingUrl(string $trackingUrl ) setTrackingUrl(string[] $trackingUrl )Tracking url for the parcel delivery.
 *
 *
 */
 class ParcelDelivery extends \Bordeux\SchemaOrg\Thing\Intangible {

 }