<?php

namespace Bordeux\SchemaOrg\Thing\Intangible\StructuredValue;

/**
 * Generated by bordeux/schema
 *
 * @author Krzysztof Bednarczyk <schema@bordeux.net>
 * @link http://schema.org/ContactPoint
 *
 *
 * -------------------------------- AreaServed ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Place\AdministrativeArea|\Bordeux\SchemaOrg\Thing\Place\AdministrativeArea[] areaServed
 *
 * @method \Bordeux\SchemaOrg\Thing\Place\AdministrativeArea|\Bordeux\SchemaOrg\Thing\Place\AdministrativeArea[] getAreaServed() The location served by this contact point (e.g., a phone number intended for Europeans vs. North Americans or only within the United States.)
 *
 * @method ContactPoint setAreaServed(\Bordeux\SchemaOrg\Thing\Place\AdministrativeArea $areaServed ) setAreaServed(\Bordeux\SchemaOrg\Thing\Place\AdministrativeArea[] $areaServed )The location served by this contact point (e.g., a phone number intended for Europeans vs. North Americans or only within the United States.)
 *
 *
 * -------------------------------- AvailableLanguage ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Intangible\Language|\Bordeux\SchemaOrg\Thing\Intangible\Language[] availableLanguage
 *
 * @method \Bordeux\SchemaOrg\Thing\Intangible\Language|\Bordeux\SchemaOrg\Thing\Intangible\Language[] getAvailableLanguage() A language someone may use with the item.
 *
 * @method ContactPoint setAvailableLanguage(\Bordeux\SchemaOrg\Thing\Intangible\Language $availableLanguage ) setAvailableLanguage(\Bordeux\SchemaOrg\Thing\Intangible\Language[] $availableLanguage )A language someone may use with the item.
 *
 *
 * -------------------------------- ContactOption ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Intangible\Enumeration\ContactPointOption|\Bordeux\SchemaOrg\Thing\Intangible\Enumeration\ContactPointOption[] contactOption
 *
 * @method \Bordeux\SchemaOrg\Thing\Intangible\Enumeration\ContactPointOption|\Bordeux\SchemaOrg\Thing\Intangible\Enumeration\ContactPointOption[] getContactOption() An option available on this contact point (e.g. a toll-free number or support for hearing-impaired callers.)
 *
 * @method ContactPoint setContactOption(\Bordeux\SchemaOrg\Thing\Intangible\Enumeration\ContactPointOption $contactOption ) setContactOption(\Bordeux\SchemaOrg\Thing\Intangible\Enumeration\ContactPointOption[] $contactOption )An option available on this contact point (e.g. a toll-free number or support for hearing-impaired callers.)
 *
 *
 * -------------------------------- ContactType ---------------------------------------------
 *
 * @property string|string[] contactType
 *
 * @method string|string[] getContactType() A person or organization can have different contact points, for different purposes. For example, a sales contact point, a PR contact point and so on. This property is used to specify the kind of contact point.
 *
 * @method ContactPoint setContactType(string $contactType ) setContactType(string[] $contactType )A person or organization can have different contact points, for different purposes. For example, a sales contact point, a PR contact point and so on. This property is used to specify the kind of contact point.
 *
 *
 * -------------------------------- Email ---------------------------------------------
 *
 * @property string|string[] email
 *
 * @method string|string[] getEmail() Email address.
 *
 * @method ContactPoint setEmail(string $email ) setEmail(string[] $email )Email address.
 *
 *
 * -------------------------------- FaxNumber ---------------------------------------------
 *
 * @property string|string[] faxNumber
 *
 * @method string|string[] getFaxNumber() The fax number.
 *
 * @method ContactPoint setFaxNumber(string $faxNumber ) setFaxNumber(string[] $faxNumber )The fax number.
 *
 *
 * -------------------------------- HoursAvailable ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\OpeningHoursSpecification|\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\OpeningHoursSpecification[] hoursAvailable
 *
 * @method \Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\OpeningHoursSpecification|\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\OpeningHoursSpecification[] getHoursAvailable() The hours during which this contact point is available.
 *
 * @method ContactPoint setHoursAvailable(\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\OpeningHoursSpecification $hoursAvailable ) setHoursAvailable(\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\OpeningHoursSpecification[] $hoursAvailable )The hours during which this contact point is available.
 *
 *
 * -------------------------------- ProductSupported ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Product|\Bordeux\SchemaOrg\Thing\Product[]|string|string[] productSupported
 *
 * @method \Bordeux\SchemaOrg\Thing\Product|\Bordeux\SchemaOrg\Thing\Product[]|string|string[] getProductSupported() The product or service this support contact point is related to (such as product support for a particular product line). This can be a specific product or product line (e.g. "iPhone") or a general category of products or services (e.g. "smartphones").
 *
 * @method ContactPoint setProductSupported(\Bordeux\SchemaOrg\Thing\Product $productSupported ) setProductSupported(\Bordeux\SchemaOrg\Thing\Product[] $productSupported ) setProductSupported(string $productSupported ) setProductSupported(string[] $productSupported )The product or service this support contact point is related to (such as product support for a particular product line). This can be a specific product or product line (e.g. "iPhone") or a general category of products or services (e.g. "smartphones").
 *
 *
 * -------------------------------- Telephone ---------------------------------------------
 *
 * @property string|string[] telephone
 *
 * @method string|string[] getTelephone() The telephone number.
 *
 * @method ContactPoint setTelephone(string $telephone ) setTelephone(string[] $telephone )The telephone number.
 *
 *
 */
 class ContactPoint extends \Bordeux\SchemaOrg\Thing\Intangible\StructuredValue {

 }