<?php

namespace Bordeux\SchemaOrg\Thing\Intangible\StructuredValue;

/**
 * Generated by bordeux/schema
 *
 * @author Krzysztof Bednarczyk <schema@bordeux.net>
 * @link http://schema.org/PriceSpecification
 *
 *
 * -------------------------------- EligibleQuantity ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\QuantitativeValue|\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\QuantitativeValue[] eligibleQuantity
 *
 * @method \Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\QuantitativeValue|\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\QuantitativeValue[] getEligibleQuantity() The interval and unit of measurement of ordering quantities for which the offer or price specification is valid. This allows e.g. specifying that a certain freight charge is valid only for a certain quantity.
 *
 * @method PriceSpecification setEligibleQuantity(\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\QuantitativeValue $eligibleQuantity ) setEligibleQuantity(\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\QuantitativeValue[] $eligibleQuantity )The interval and unit of measurement of ordering quantities for which the offer or price specification is valid. This allows e.g. specifying that a certain freight charge is valid only for a certain quantity.
 *
 *
 * -------------------------------- EligibleTransactionVolume ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\PriceSpecification|\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\PriceSpecification[] eligibleTransactionVolume
 *
 * @method \Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\PriceSpecification|\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\PriceSpecification[] getEligibleTransactionVolume() The transaction volume, in a monetary unit, for which the offer or price specification is valid, e.g. for indicating a minimal purchasing volume, to express free shipping above a certain order volume, or to limit the acceptance of credit cards to purchases to a certain minimal amount.
 *
 * @method PriceSpecification setEligibleTransactionVolume(\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\PriceSpecification $eligibleTransactionVolume ) setEligibleTransactionVolume(\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\PriceSpecification[] $eligibleTransactionVolume )The transaction volume, in a monetary unit, for which the offer or price specification is valid, e.g. for indicating a minimal purchasing volume, to express free shipping above a certain order volume, or to limit the acceptance of credit cards to purchases to a certain minimal amount.
 *
 *
 * -------------------------------- MaxPrice ---------------------------------------------
 *
 * @property Number|Number[] maxPrice
 *
 * @method Number|Number[] getMaxPrice() The highest price if the price is a range.
 *
 * @method PriceSpecification setMaxPrice(Number $maxPrice ) setMaxPrice(Number[] $maxPrice )The highest price if the price is a range.
 *
 *
 * -------------------------------- MinPrice ---------------------------------------------
 *
 * @property Number|Number[] minPrice
 *
 * @method Number|Number[] getMinPrice() The lowest price if the price is a range.
 *
 * @method PriceSpecification setMinPrice(Number $minPrice ) setMinPrice(Number[] $minPrice )The lowest price if the price is a range.
 *
 *
 * -------------------------------- Price ---------------------------------------------
 *
 * @property string|string[]|Number|Number[] price
 *
 * @method string|string[]|Number|Number[] getPrice() The offer price of a product, or of a price component when attached to PriceSpecification and its subtypes.
 *
 * @method PriceSpecification setPrice(string $price ) setPrice(string[] $price ) setPrice(Number $price ) setPrice(Number[] $price )The offer price of a product, or of a price component when attached to PriceSpecification and its subtypes.
 *
 *
 * -------------------------------- PriceCurrency ---------------------------------------------
 *
 * @property string|string[] priceCurrency
 *
 * @method string|string[] getPriceCurrency() The currency (in 3-letter ISO 4217 format) of the offer price or a price component, when attached to PriceSpecification and its subtypes.
 *
 * @method PriceSpecification setPriceCurrency(string $priceCurrency ) setPriceCurrency(string[] $priceCurrency )The currency (in 3-letter ISO 4217 format) of the offer price or a price component, when attached to PriceSpecification and its subtypes.
 *
 *
 * -------------------------------- ValidFrom ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\SchemaDateTime|\Bordeux\SchemaOrg\SchemaDateTime[] validFrom
 *
 * @method \Bordeux\SchemaOrg\SchemaDateTime|\Bordeux\SchemaOrg\SchemaDateTime[] getValidFrom() The date when the item becomes valid.
 *
 * @method PriceSpecification setValidFrom(\Bordeux\SchemaOrg\SchemaDateTime $validFrom ) setValidFrom(\Bordeux\SchemaOrg\SchemaDateTime[] $validFrom )The date when the item becomes valid.
 *
 *
 * -------------------------------- ValidThrough ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\SchemaDateTime|\Bordeux\SchemaOrg\SchemaDateTime[] validThrough
 *
 * @method \Bordeux\SchemaOrg\SchemaDateTime|\Bordeux\SchemaOrg\SchemaDateTime[] getValidThrough() The end of the validity of offer, price specification, or opening hours data.
 *
 * @method PriceSpecification setValidThrough(\Bordeux\SchemaOrg\SchemaDateTime $validThrough ) setValidThrough(\Bordeux\SchemaOrg\SchemaDateTime[] $validThrough )The end of the validity of offer, price specification, or opening hours data.
 *
 *
 * -------------------------------- ValueAddedTaxIncluded ---------------------------------------------
 *
 * @property Boolean|Boolean[] valueAddedTaxIncluded
 *
 * @method Boolean|Boolean[] getValueAddedTaxIncluded() Specifies whether the applicable value-added tax (VAT) is included in the price specification or not.
 *
 * @method PriceSpecification setValueAddedTaxIncluded(Boolean $valueAddedTaxIncluded ) setValueAddedTaxIncluded(Boolean[] $valueAddedTaxIncluded )Specifies whether the applicable value-added tax (VAT) is included in the price specification or not.
 *
 *
 */
 class PriceSpecification extends \Bordeux\SchemaOrg\Thing\Intangible\StructuredValue {

 }