<?php

namespace Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\PriceSpecification;

/**
 * Generated by bordeux/schema
 *
 * @author Krzysztof Bednarczyk <schema@bordeux.net>
 * @link http://schema.org/UnitPriceSpecification
 *
 *
 * -------------------------------- BillingIncrement ---------------------------------------------
 *
 * @property Number|Number[] billingIncrement
 *
 * @method Number|Number[] getBillingIncrement() This property specifies the minimal quantity and rounding increment that will be the basis for the billing. The unit of measurement is specified by the unitCode property.
 *
 * @method UnitPriceSpecification setBillingIncrement(Number $billingIncrement ) setBillingIncrement(Number[] $billingIncrement )This property specifies the minimal quantity and rounding increment that will be the basis for the billing. The unit of measurement is specified by the unitCode property.
 *
 *
 * -------------------------------- PriceType ---------------------------------------------
 *
 * @property string|string[] priceType
 *
 * @method string|string[] getPriceType() A short text or acronym indicating multiple price specifications for the same offer, e.g. SRP for the suggested retail price or INVOICE for the invoice price, mostly used in the car industry.
 *
 * @method UnitPriceSpecification setPriceType(string $priceType ) setPriceType(string[] $priceType )A short text or acronym indicating multiple price specifications for the same offer, e.g. SRP for the suggested retail price or INVOICE for the invoice price, mostly used in the car industry.
 *
 *
 * -------------------------------- UnitCode ---------------------------------------------
 *
 * @property string|string[] unitCode
 *
 * @method string|string[] getUnitCode() The unit of measurement given using the UN/CEFACT Common Code (3 characters).
 *
 * @method UnitPriceSpecification setUnitCode(string $unitCode ) setUnitCode(string[] $unitCode )The unit of measurement given using the UN/CEFACT Common Code (3 characters).
 *
 *
 */
 class UnitPriceSpecification extends \Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\PriceSpecification {

 }