<?php

namespace Bordeux\SchemaOrg\Thing;

/**
 * Generated by bordeux/schema
 *
 * @author Krzysztof Bednarczyk <schema@bordeux.net>
 * @link http://schema.org/MedicalEntity
 *
 *
 * -------------------------------- Code ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalIntangible\MedicalCode|\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalIntangible\MedicalCode[] code
 *
 * @method \Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalIntangible\MedicalCode|\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalIntangible\MedicalCode[] getCode() A medical code for the entity, taken from a controlled vocabulary or ontology such as ICD-9, DiseasesDB, MeSH, SNOMED-CT, RxNorm, etc.
 *
 * @method MedicalEntity setCode(\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalIntangible\MedicalCode $code ) setCode(\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalIntangible\MedicalCode[] $code )A medical code for the entity, taken from a controlled vocabulary or ontology such as ICD-9, DiseasesDB, MeSH, SNOMED-CT, RxNorm, etc.
 *
 *
 * -------------------------------- Guideline ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalGuideline|\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalGuideline[] guideline
 *
 * @method \Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalGuideline|\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalGuideline[] getGuideline() A medical guideline related to this entity.
 *
 * @method MedicalEntity setGuideline(\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalGuideline $guideline ) setGuideline(\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalGuideline[] $guideline )A medical guideline related to this entity.
 *
 *
 * -------------------------------- MedicineSystem ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalIntangible\MedicalEnumeration\MedicineSystem|\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalIntangible\MedicalEnumeration\MedicineSystem[] medicineSystem
 *
 * @method \Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalIntangible\MedicalEnumeration\MedicineSystem|\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalIntangible\MedicalEnumeration\MedicineSystem[] getMedicineSystem() The system of medicine that includes this MedicalEntity, for example 'evidence-based', 'homeopathic', 'chiropractic', etc.
 *
 * @method MedicalEntity setMedicineSystem(\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalIntangible\MedicalEnumeration\MedicineSystem $medicineSystem ) setMedicineSystem(\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalIntangible\MedicalEnumeration\MedicineSystem[] $medicineSystem )The system of medicine that includes this MedicalEntity, for example 'evidence-based', 'homeopathic', 'chiropractic', etc.
 *
 *
 * -------------------------------- RecognizingAuthority ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Organization|\Bordeux\SchemaOrg\Thing\Organization[] recognizingAuthority
 *
 * @method \Bordeux\SchemaOrg\Thing\Organization|\Bordeux\SchemaOrg\Thing\Organization[] getRecognizingAuthority() If applicable, the organization that officially recognizes this entity as part of its endorsed system of medicine.
 *
 * @method MedicalEntity setRecognizingAuthority(\Bordeux\SchemaOrg\Thing\Organization $recognizingAuthority ) setRecognizingAuthority(\Bordeux\SchemaOrg\Thing\Organization[] $recognizingAuthority )If applicable, the organization that officially recognizes this entity as part of its endorsed system of medicine.
 *
 *
 * -------------------------------- RelevantSpecialty ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalIntangible\MedicalEnumeration\MedicalSpecialty|\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalIntangible\MedicalEnumeration\MedicalSpecialty[] relevantSpecialty
 *
 * @method \Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalIntangible\MedicalEnumeration\MedicalSpecialty|\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalIntangible\MedicalEnumeration\MedicalSpecialty[] getRelevantSpecialty() If applicable, a medical specialty in which this entity is relevant.
 *
 * @method MedicalEntity setRelevantSpecialty(\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalIntangible\MedicalEnumeration\MedicalSpecialty $relevantSpecialty ) setRelevantSpecialty(\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalIntangible\MedicalEnumeration\MedicalSpecialty[] $relevantSpecialty )If applicable, a medical specialty in which this entity is relevant.
 *
 *
 * -------------------------------- Study ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalStudy|\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalStudy[] study
 *
 * @method \Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalStudy|\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalStudy[] getStudy() A medical study or trial related to this entity.
 *
 * @method MedicalEntity setStudy(\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalStudy $study ) setStudy(\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalStudy[] $study )A medical study or trial related to this entity.
 *
 *
 */
 class MedicalEntity extends \Bordeux\SchemaOrg\Thing {

 }