<?php

namespace Bordeux\SchemaOrg\Thing\MedicalEntity;

/**
 * Generated by bordeux/schema
 *
 * @author Krzysztof Bednarczyk <schema@bordeux.net>
 * @link http://schema.org/AnatomicalStructure
 *
 *
 * -------------------------------- AssociatedPathophysiology ---------------------------------------------
 *
 * @property string|string[] associatedPathophysiology
 *
 * @method string|string[] getAssociatedPathophysiology() If applicable, a description of the pathophysiology associated with the anatomical system, including potential abnormal changes in the mechanical, physical, and biochemical functions of the system.
 *
 * @method AnatomicalStructure setAssociatedPathophysiology(string $associatedPathophysiology ) setAssociatedPathophysiology(string[] $associatedPathophysiology )If applicable, a description of the pathophysiology associated with the anatomical system, including potential abnormal changes in the mechanical, physical, and biochemical functions of the system.
 *
 *
 * -------------------------------- BodyLocation ---------------------------------------------
 *
 * @property string|string[] bodyLocation
 *
 * @method string|string[] getBodyLocation() Location in the body of the anatomical structure.
 *
 * @method AnatomicalStructure setBodyLocation(string $bodyLocation ) setBodyLocation(string[] $bodyLocation )Location in the body of the anatomical structure.
 *
 *
 * -------------------------------- ConnectedTo ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\MedicalEntity\AnatomicalStructure|\Bordeux\SchemaOrg\Thing\MedicalEntity\AnatomicalStructure[] connectedTo
 *
 * @method \Bordeux\SchemaOrg\Thing\MedicalEntity\AnatomicalStructure|\Bordeux\SchemaOrg\Thing\MedicalEntity\AnatomicalStructure[] getConnectedTo() Other anatomical structures to which this structure is connected.
 *
 * @method AnatomicalStructure setConnectedTo(\Bordeux\SchemaOrg\Thing\MedicalEntity\AnatomicalStructure $connectedTo ) setConnectedTo(\Bordeux\SchemaOrg\Thing\MedicalEntity\AnatomicalStructure[] $connectedTo )Other anatomical structures to which this structure is connected.
 *
 *
 * -------------------------------- Diagram ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\CreativeWork\MediaObject\ImageObject|\Bordeux\SchemaOrg\Thing\CreativeWork\MediaObject\ImageObject[] diagram
 *
 * @method \Bordeux\SchemaOrg\Thing\CreativeWork\MediaObject\ImageObject|\Bordeux\SchemaOrg\Thing\CreativeWork\MediaObject\ImageObject[] getDiagram() An image containing a diagram that illustrates the structure and/or its component substructures and/or connections with other structures.
 *
 * @method AnatomicalStructure setDiagram(\Bordeux\SchemaOrg\Thing\CreativeWork\MediaObject\ImageObject $diagram ) setDiagram(\Bordeux\SchemaOrg\Thing\CreativeWork\MediaObject\ImageObject[] $diagram )An image containing a diagram that illustrates the structure and/or its component substructures and/or connections with other structures.
 *
 *
 * -------------------------------- Function ---------------------------------------------
 *
 * @property string|string[] function
 *
 * @method string|string[] getFunction() Function of the anatomical structure.
 *
 * @method AnatomicalStructure setFunction(string $function ) setFunction(string[] $function )Function of the anatomical structure.
 *
 *
 * -------------------------------- PartOfSystem ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\MedicalEntity\AnatomicalSystem|\Bordeux\SchemaOrg\Thing\MedicalEntity\AnatomicalSystem[] partOfSystem
 *
 * @method \Bordeux\SchemaOrg\Thing\MedicalEntity\AnatomicalSystem|\Bordeux\SchemaOrg\Thing\MedicalEntity\AnatomicalSystem[] getPartOfSystem() The anatomical or organ system that this structure is part of.
 *
 * @method AnatomicalStructure setPartOfSystem(\Bordeux\SchemaOrg\Thing\MedicalEntity\AnatomicalSystem $partOfSystem ) setPartOfSystem(\Bordeux\SchemaOrg\Thing\MedicalEntity\AnatomicalSystem[] $partOfSystem )The anatomical or organ system that this structure is part of.
 *
 *
 * -------------------------------- RelatedCondition ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalCondition|\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalCondition[] relatedCondition
 *
 * @method \Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalCondition|\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalCondition[] getRelatedCondition() A medical condition associated with this anatomy.
 *
 * @method AnatomicalStructure setRelatedCondition(\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalCondition $relatedCondition ) setRelatedCondition(\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalCondition[] $relatedCondition )A medical condition associated with this anatomy.
 *
 *
 * -------------------------------- RelatedTherapy ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalTherapy|\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalTherapy[] relatedTherapy
 *
 * @method \Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalTherapy|\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalTherapy[] getRelatedTherapy() A medical therapy related to this anatomy.
 *
 * @method AnatomicalStructure setRelatedTherapy(\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalTherapy $relatedTherapy ) setRelatedTherapy(\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalTherapy[] $relatedTherapy )A medical therapy related to this anatomy.
 *
 *
 * -------------------------------- SubStructure ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\MedicalEntity\AnatomicalStructure|\Bordeux\SchemaOrg\Thing\MedicalEntity\AnatomicalStructure[] subStructure
 *
 * @method \Bordeux\SchemaOrg\Thing\MedicalEntity\AnatomicalStructure|\Bordeux\SchemaOrg\Thing\MedicalEntity\AnatomicalStructure[] getSubStructure() Component (sub-)structure(s) that comprise this anatomical structure.
 *
 * @method AnatomicalStructure setSubStructure(\Bordeux\SchemaOrg\Thing\MedicalEntity\AnatomicalStructure $subStructure ) setSubStructure(\Bordeux\SchemaOrg\Thing\MedicalEntity\AnatomicalStructure[] $subStructure )Component (sub-)structure(s) that comprise this anatomical structure.
 *
 *
 */
 class AnatomicalStructure extends \Bordeux\SchemaOrg\Thing\MedicalEntity {

 }