<?php

namespace Bordeux\SchemaOrg\Thing\MedicalEntity;

/**
 * Generated by bordeux/schema
 *
 * @author Krzysztof Bednarczyk <schema@bordeux.net>
 * @link http://schema.org/AnatomicalSystem
 *
 *
 * -------------------------------- AssociatedPathophysiology ---------------------------------------------
 *
 * @property string|string[] associatedPathophysiology
 *
 * @method string|string[] getAssociatedPathophysiology() If applicable, a description of the pathophysiology associated with the anatomical system, including potential abnormal changes in the mechanical, physical, and biochemical functions of the system.
 *
 * @method AnatomicalSystem setAssociatedPathophysiology(string $associatedPathophysiology ) setAssociatedPathophysiology(string[] $associatedPathophysiology )If applicable, a description of the pathophysiology associated with the anatomical system, including potential abnormal changes in the mechanical, physical, and biochemical functions of the system.
 *
 *
 * -------------------------------- ComprisedOf ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\MedicalEntity\AnatomicalStructure|\Bordeux\SchemaOrg\Thing\MedicalEntity\AnatomicalStructure[]|\Bordeux\SchemaOrg\Thing\MedicalEntity\AnatomicalSystem|\Bordeux\SchemaOrg\Thing\MedicalEntity\AnatomicalSystem[] comprisedOf
 *
 * @method \Bordeux\SchemaOrg\Thing\MedicalEntity\AnatomicalStructure|\Bordeux\SchemaOrg\Thing\MedicalEntity\AnatomicalStructure[]|\Bordeux\SchemaOrg\Thing\MedicalEntity\AnatomicalSystem|\Bordeux\SchemaOrg\Thing\MedicalEntity\AnatomicalSystem[] getComprisedOf() The underlying anatomical structures, such as organs, that comprise the anatomical system.
 *
 * @method AnatomicalSystem setComprisedOf(\Bordeux\SchemaOrg\Thing\MedicalEntity\AnatomicalStructure $comprisedOf ) setComprisedOf(\Bordeux\SchemaOrg\Thing\MedicalEntity\AnatomicalStructure[] $comprisedOf ) setComprisedOf(\Bordeux\SchemaOrg\Thing\MedicalEntity\AnatomicalSystem $comprisedOf ) setComprisedOf(\Bordeux\SchemaOrg\Thing\MedicalEntity\AnatomicalSystem[] $comprisedOf )The underlying anatomical structures, such as organs, that comprise the anatomical system.
 *
 *
 * -------------------------------- RelatedCondition ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalCondition|\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalCondition[] relatedCondition
 *
 * @method \Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalCondition|\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalCondition[] getRelatedCondition() A medical condition associated with this anatomy.
 *
 * @method AnatomicalSystem setRelatedCondition(\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalCondition $relatedCondition ) setRelatedCondition(\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalCondition[] $relatedCondition )A medical condition associated with this anatomy.
 *
 *
 * -------------------------------- RelatedStructure ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\MedicalEntity\AnatomicalStructure|\Bordeux\SchemaOrg\Thing\MedicalEntity\AnatomicalStructure[] relatedStructure
 *
 * @method \Bordeux\SchemaOrg\Thing\MedicalEntity\AnatomicalStructure|\Bordeux\SchemaOrg\Thing\MedicalEntity\AnatomicalStructure[] getRelatedStructure() Related anatomical structure(s) that are not part of the system but relate or connect to it, such as vascular bundles associated with an organ system.
 *
 * @method AnatomicalSystem setRelatedStructure(\Bordeux\SchemaOrg\Thing\MedicalEntity\AnatomicalStructure $relatedStructure ) setRelatedStructure(\Bordeux\SchemaOrg\Thing\MedicalEntity\AnatomicalStructure[] $relatedStructure )Related anatomical structure(s) that are not part of the system but relate or connect to it, such as vascular bundles associated with an organ system.
 *
 *
 * -------------------------------- RelatedTherapy ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalTherapy|\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalTherapy[] relatedTherapy
 *
 * @method \Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalTherapy|\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalTherapy[] getRelatedTherapy() A medical therapy related to this anatomy.
 *
 * @method AnatomicalSystem setRelatedTherapy(\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalTherapy $relatedTherapy ) setRelatedTherapy(\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalTherapy[] $relatedTherapy )A medical therapy related to this anatomy.
 *
 *
 */
 class AnatomicalSystem extends \Bordeux\SchemaOrg\Thing\MedicalEntity {

 }