<?php

namespace Bordeux\SchemaOrg\Thing\MedicalEntity;

/**
 * Generated by bordeux/schema
 *
 * @author Krzysztof Bednarczyk <schema@bordeux.net>
 * @link http://schema.org/MedicalStudy
 *
 *
 * -------------------------------- Outcome ---------------------------------------------
 *
 * @property string|string[] outcome
 *
 * @method string|string[] getOutcome() Expected or actual outcomes of the study.
 *
 * @method MedicalStudy setOutcome(string $outcome ) setOutcome(string[] $outcome )Expected or actual outcomes of the study.
 *
 *
 * -------------------------------- Population ---------------------------------------------
 *
 * @property string|string[] population
 *
 * @method string|string[] getPopulation() Any characteristics of the population used in the study, e.g. 'males under 65'.
 *
 * @method MedicalStudy setPopulation(string $population ) setPopulation(string[] $population )Any characteristics of the population used in the study, e.g. 'males under 65'.
 *
 *
 * -------------------------------- Sponsor ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Organization|\Bordeux\SchemaOrg\Thing\Organization[] sponsor
 *
 * @method \Bordeux\SchemaOrg\Thing\Organization|\Bordeux\SchemaOrg\Thing\Organization[] getSponsor() Sponsor of the study.
 *
 * @method MedicalStudy setSponsor(\Bordeux\SchemaOrg\Thing\Organization $sponsor ) setSponsor(\Bordeux\SchemaOrg\Thing\Organization[] $sponsor )Sponsor of the study.
 *
 *
 * -------------------------------- Status ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalIntangible\MedicalEnumeration\MedicalStudyStatus|\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalIntangible\MedicalEnumeration\MedicalStudyStatus[] status
 *
 * @method \Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalIntangible\MedicalEnumeration\MedicalStudyStatus|\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalIntangible\MedicalEnumeration\MedicalStudyStatus[] getStatus() The status of the study (enumerated).
 *
 * @method MedicalStudy setStatus(\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalIntangible\MedicalEnumeration\MedicalStudyStatus $status ) setStatus(\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalIntangible\MedicalEnumeration\MedicalStudyStatus[] $status )The status of the study (enumerated).
 *
 *
 * -------------------------------- StudyLocation ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Place\AdministrativeArea|\Bordeux\SchemaOrg\Thing\Place\AdministrativeArea[] studyLocation
 *
 * @method \Bordeux\SchemaOrg\Thing\Place\AdministrativeArea|\Bordeux\SchemaOrg\Thing\Place\AdministrativeArea[] getStudyLocation() The location in which the study is taking/took place.
 *
 * @method MedicalStudy setStudyLocation(\Bordeux\SchemaOrg\Thing\Place\AdministrativeArea $studyLocation ) setStudyLocation(\Bordeux\SchemaOrg\Thing\Place\AdministrativeArea[] $studyLocation )The location in which the study is taking/took place.
 *
 *
 * -------------------------------- StudySubject ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\MedicalEntity|\Bordeux\SchemaOrg\Thing\MedicalEntity[] studySubject
 *
 * @method \Bordeux\SchemaOrg\Thing\MedicalEntity|\Bordeux\SchemaOrg\Thing\MedicalEntity[] getStudySubject() A subject of the study, i.e. one of the medical conditions, therapies, devices, drugs, etc. investigated by the study.
 *
 * @method MedicalStudy setStudySubject(\Bordeux\SchemaOrg\Thing\MedicalEntity $studySubject ) setStudySubject(\Bordeux\SchemaOrg\Thing\MedicalEntity[] $studySubject )A subject of the study, i.e. one of the medical conditions, therapies, devices, drugs, etc. investigated by the study.
 *
 *
 */
 class MedicalStudy extends \Bordeux\SchemaOrg\Thing\MedicalEntity {

 }