<?php

namespace Bordeux\SchemaOrg\Thing\MedicalEntity;

/**
 * Generated by bordeux/schema
 *
 * @author Krzysztof Bednarczyk <schema@bordeux.net>
 * @link http://schema.org/MedicalTest
 *
 *
 * -------------------------------- AffectedBy ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalTherapy\Drug|\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalTherapy\Drug[] affectedBy
 *
 * @method \Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalTherapy\Drug|\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalTherapy\Drug[] getAffectedBy() Drugs that affect the test's results.
 *
 * @method MedicalTest setAffectedBy(\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalTherapy\Drug $affectedBy ) setAffectedBy(\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalTherapy\Drug[] $affectedBy )Drugs that affect the test's results.
 *
 *
 * -------------------------------- NormalRange ---------------------------------------------
 *
 * @property string|string[] normalRange
 *
 * @method string|string[] getNormalRange() Range of acceptable values for a typical patient, when applicable.
 *
 * @method MedicalTest setNormalRange(string $normalRange ) setNormalRange(string[] $normalRange )Range of acceptable values for a typical patient, when applicable.
 *
 *
 * -------------------------------- SignDetected ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalSignOrSymptom\MedicalSign|\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalSignOrSymptom\MedicalSign[] signDetected
 *
 * @method \Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalSignOrSymptom\MedicalSign|\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalSignOrSymptom\MedicalSign[] getSignDetected() A sign detected by the test.
 *
 * @method MedicalTest setSignDetected(\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalSignOrSymptom\MedicalSign $signDetected ) setSignDetected(\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalSignOrSymptom\MedicalSign[] $signDetected )A sign detected by the test.
 *
 *
 * -------------------------------- UsedToDiagnose ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalCondition|\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalCondition[] usedToDiagnose
 *
 * @method \Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalCondition|\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalCondition[] getUsedToDiagnose() A condition the test is used to diagnose.
 *
 * @method MedicalTest setUsedToDiagnose(\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalCondition $usedToDiagnose ) setUsedToDiagnose(\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalCondition[] $usedToDiagnose )A condition the test is used to diagnose.
 *
 *
 * -------------------------------- UsesDevice ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalDevice|\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalDevice[] usesDevice
 *
 * @method \Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalDevice|\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalDevice[] getUsesDevice() Device used to perform the test.
 *
 * @method MedicalTest setUsesDevice(\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalDevice $usesDevice ) setUsesDevice(\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalDevice[] $usesDevice )Device used to perform the test.
 *
 *
 */
 class MedicalTest extends \Bordeux\SchemaOrg\Thing\MedicalEntity {

 }