<?php

namespace Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalTherapy;

/**
 * Generated by bordeux/schema
 *
 * @author Krzysztof Bednarczyk <schema@bordeux.net>
 * @link http://schema.org/DietarySupplement
 *
 *
 * -------------------------------- ActiveIngredient ---------------------------------------------
 *
 * @property string|string[] activeIngredient
 *
 * @method string|string[] getActiveIngredient() An active ingredient, typically chemical compounds and/or biologic substances.
 *
 * @method DietarySupplement setActiveIngredient(string $activeIngredient ) setActiveIngredient(string[] $activeIngredient )An active ingredient, typically chemical compounds and/or biologic substances.
 *
 *
 * -------------------------------- Background ---------------------------------------------
 *
 * @property string|string[] background
 *
 * @method string|string[] getBackground() Descriptive information establishing a historical perspective on the supplement. May include the rationale for the name, the population where the supplement first came to prominence, etc.
 *
 * @method DietarySupplement setBackground(string $background ) setBackground(string[] $background )Descriptive information establishing a historical perspective on the supplement. May include the rationale for the name, the population where the supplement first came to prominence, etc.
 *
 *
 * -------------------------------- DosageForm ---------------------------------------------
 *
 * @property string|string[] dosageForm
 *
 * @method string|string[] getDosageForm() A dosage form in which this drug/supplement is available, e.g. 'tablet', 'suspension', 'injection'.
 *
 * @method DietarySupplement setDosageForm(string $dosageForm ) setDosageForm(string[] $dosageForm )A dosage form in which this drug/supplement is available, e.g. 'tablet', 'suspension', 'injection'.
 *
 *
 * -------------------------------- IsProprietary ---------------------------------------------
 *
 * @property Boolean|Boolean[] isProprietary
 *
 * @method Boolean|Boolean[] getIsProprietary() True if this item's name is a proprietary/brand name (vs. generic name).
 *
 * @method DietarySupplement setIsProprietary(Boolean $isProprietary ) setIsProprietary(Boolean[] $isProprietary )True if this item's name is a proprietary/brand name (vs. generic name).
 *
 *
 * -------------------------------- LegalStatus ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalIntangible\DrugLegalStatus|\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalIntangible\DrugLegalStatus[] legalStatus
 *
 * @method \Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalIntangible\DrugLegalStatus|\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalIntangible\DrugLegalStatus[] getLegalStatus() The drug or supplement's legal status, including any controlled substance schedules that apply.
 *
 * @method DietarySupplement setLegalStatus(\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalIntangible\DrugLegalStatus $legalStatus ) setLegalStatus(\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalIntangible\DrugLegalStatus[] $legalStatus )The drug or supplement's legal status, including any controlled substance schedules that apply.
 *
 *
 * -------------------------------- Manufacturer ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Organization|\Bordeux\SchemaOrg\Thing\Organization[] manufacturer
 *
 * @method \Bordeux\SchemaOrg\Thing\Organization|\Bordeux\SchemaOrg\Thing\Organization[] getManufacturer() The manufacturer of the product.
 *
 * @method DietarySupplement setManufacturer(\Bordeux\SchemaOrg\Thing\Organization $manufacturer ) setManufacturer(\Bordeux\SchemaOrg\Thing\Organization[] $manufacturer )The manufacturer of the product.
 *
 *
 * -------------------------------- MaximumIntake ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalIntangible\DoseSchedule\MaximumDoseSchedule|\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalIntangible\DoseSchedule\MaximumDoseSchedule[] maximumIntake
 *
 * @method \Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalIntangible\DoseSchedule\MaximumDoseSchedule|\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalIntangible\DoseSchedule\MaximumDoseSchedule[] getMaximumIntake() Recommended intake of this supplement for a given population as defined by a specific recommending authority.
 *
 * @method DietarySupplement setMaximumIntake(\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalIntangible\DoseSchedule\MaximumDoseSchedule $maximumIntake ) setMaximumIntake(\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalIntangible\DoseSchedule\MaximumDoseSchedule[] $maximumIntake )Recommended intake of this supplement for a given population as defined by a specific recommending authority.
 *
 *
 * -------------------------------- MechanismOfAction ---------------------------------------------
 *
 * @property string|string[] mechanismOfAction
 *
 * @method string|string[] getMechanismOfAction() The specific biochemical interaction through which this drug or supplement produces its pharmacological effect.
 *
 * @method DietarySupplement setMechanismOfAction(string $mechanismOfAction ) setMechanismOfAction(string[] $mechanismOfAction )The specific biochemical interaction through which this drug or supplement produces its pharmacological effect.
 *
 *
 * -------------------------------- NonProprietaryName ---------------------------------------------
 *
 * @property string|string[] nonProprietaryName
 *
 * @method string|string[] getNonProprietaryName() The generic name of this drug or supplement.
 *
 * @method DietarySupplement setNonProprietaryName(string $nonProprietaryName ) setNonProprietaryName(string[] $nonProprietaryName )The generic name of this drug or supplement.
 *
 *
 * -------------------------------- RecommendedIntake ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalIntangible\DoseSchedule\RecommendedDoseSchedule|\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalIntangible\DoseSchedule\RecommendedDoseSchedule[] recommendedIntake
 *
 * @method \Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalIntangible\DoseSchedule\RecommendedDoseSchedule|\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalIntangible\DoseSchedule\RecommendedDoseSchedule[] getRecommendedIntake() Recommended intake of this supplement for a given population as defined by a specific recommending authority.
 *
 * @method DietarySupplement setRecommendedIntake(\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalIntangible\DoseSchedule\RecommendedDoseSchedule $recommendedIntake ) setRecommendedIntake(\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalIntangible\DoseSchedule\RecommendedDoseSchedule[] $recommendedIntake )Recommended intake of this supplement for a given population as defined by a specific recommending authority.
 *
 *
 * -------------------------------- SafetyConsideration ---------------------------------------------
 *
 * @property string|string[] safetyConsideration
 *
 * @method string|string[] getSafetyConsideration() Any potential safety concern associated with the supplement. May include interactions with other drugs and foods, pregnancy, breastfeeding, known adverse reactions, and documented efficacy of the supplement.
 *
 * @method DietarySupplement setSafetyConsideration(string $safetyConsideration ) setSafetyConsideration(string[] $safetyConsideration )Any potential safety concern associated with the supplement. May include interactions with other drugs and foods, pregnancy, breastfeeding, known adverse reactions, and documented efficacy of the supplement.
 *
 *
 * -------------------------------- TargetPopulation ---------------------------------------------
 *
 * @property string|string[] targetPopulation
 *
 * @method string|string[] getTargetPopulation() Characteristics of the population for which this is intended, or which typically uses it, e.g. 'adults'.
 *
 * @method DietarySupplement setTargetPopulation(string $targetPopulation ) setTargetPopulation(string[] $targetPopulation )Characteristics of the population for which this is intended, or which typically uses it, e.g. 'adults'.
 *
 *
 */
 class DietarySupplement extends \Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalTherapy {

 }