<?php

namespace Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalTherapy;

/**
 * Generated by bordeux/schema
 *
 * @author Krzysztof Bednarczyk <schema@bordeux.net>
 * @link http://schema.org/Drug
 *
 *
 * -------------------------------- ActiveIngredient ---------------------------------------------
 *
 * @property string|string[] activeIngredient
 *
 * @method string|string[] getActiveIngredient() An active ingredient, typically chemical compounds and/or biologic substances.
 *
 * @method Drug setActiveIngredient(string $activeIngredient ) setActiveIngredient(string[] $activeIngredient )An active ingredient, typically chemical compounds and/or biologic substances.
 *
 *
 * -------------------------------- AdministrationRoute ---------------------------------------------
 *
 * @property string|string[] administrationRoute
 *
 * @method string|string[] getAdministrationRoute() A route by which this drug may be administered, e.g. 'oral'.
 *
 * @method Drug setAdministrationRoute(string $administrationRoute ) setAdministrationRoute(string[] $administrationRoute )A route by which this drug may be administered, e.g. 'oral'.
 *
 *
 * -------------------------------- AlcoholWarning ---------------------------------------------
 *
 * @property string|string[] alcoholWarning
 *
 * @method string|string[] getAlcoholWarning() Any precaution, guidance, contraindication, etc. related to consumption of alcohol while taking this drug.
 *
 * @method Drug setAlcoholWarning(string $alcoholWarning ) setAlcoholWarning(string[] $alcoholWarning )Any precaution, guidance, contraindication, etc. related to consumption of alcohol while taking this drug.
 *
 *
 * -------------------------------- AvailableStrength ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalIntangible\DrugStrength|\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalIntangible\DrugStrength[] availableStrength
 *
 * @method \Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalIntangible\DrugStrength|\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalIntangible\DrugStrength[] getAvailableStrength() An available dosage strength for the drug.
 *
 * @method Drug setAvailableStrength(\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalIntangible\DrugStrength $availableStrength ) setAvailableStrength(\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalIntangible\DrugStrength[] $availableStrength )An available dosage strength for the drug.
 *
 *
 * -------------------------------- BreastfeedingWarning ---------------------------------------------
 *
 * @property string|string[] breastfeedingWarning
 *
 * @method string|string[] getBreastfeedingWarning() Any precaution, guidance, contraindication, etc. related to this drug's use by breastfeeding mothers.
 *
 * @method Drug setBreastfeedingWarning(string $breastfeedingWarning ) setBreastfeedingWarning(string[] $breastfeedingWarning )Any precaution, guidance, contraindication, etc. related to this drug's use by breastfeeding mothers.
 *
 *
 * -------------------------------- ClincalPharmacology ---------------------------------------------
 *
 * @property string|string[] clincalPharmacology
 *
 * @method string|string[] getClincalPharmacology() Description of the absorption and elimination of drugs, including their concentration (pharmacokinetics, pK) and biological effects (pharmacodynamics, pD).
 *
 * @method Drug setClincalPharmacology(string $clincalPharmacology ) setClincalPharmacology(string[] $clincalPharmacology )Description of the absorption and elimination of drugs, including their concentration (pharmacokinetics, pK) and biological effects (pharmacodynamics, pD).
 *
 *
 * -------------------------------- Cost ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalIntangible\DrugCost|\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalIntangible\DrugCost[] cost
 *
 * @method \Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalIntangible\DrugCost|\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalIntangible\DrugCost[] getCost() Cost per unit of the drug, as reported by the source being tagged.
 *
 * @method Drug setCost(\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalIntangible\DrugCost $cost ) setCost(\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalIntangible\DrugCost[] $cost )Cost per unit of the drug, as reported by the source being tagged.
 *
 *
 * -------------------------------- DosageForm ---------------------------------------------
 *
 * @property string|string[] dosageForm
 *
 * @method string|string[] getDosageForm() A dosage form in which this drug/supplement is available, e.g. 'tablet', 'suspension', 'injection'.
 *
 * @method Drug setDosageForm(string $dosageForm ) setDosageForm(string[] $dosageForm )A dosage form in which this drug/supplement is available, e.g. 'tablet', 'suspension', 'injection'.
 *
 *
 * -------------------------------- DoseSchedule ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalIntangible\DoseSchedule|\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalIntangible\DoseSchedule[] doseSchedule
 *
 * @method \Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalIntangible\DoseSchedule|\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalIntangible\DoseSchedule[] getDoseSchedule() A dosing schedule for the drug for a given population, either observed, recommended, or maximum dose based on the type used.
 *
 * @method Drug setDoseSchedule(\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalIntangible\DoseSchedule $doseSchedule ) setDoseSchedule(\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalIntangible\DoseSchedule[] $doseSchedule )A dosing schedule for the drug for a given population, either observed, recommended, or maximum dose based on the type used.
 *
 *
 * -------------------------------- DrugClass ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalTherapy\DrugClass|\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalTherapy\DrugClass[] drugClass
 *
 * @method \Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalTherapy\DrugClass|\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalTherapy\DrugClass[] getDrugClass() The class of drug this belongs to (e.g., statins).
 *
 * @method Drug setDrugClass(\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalTherapy\DrugClass $drugClass ) setDrugClass(\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalTherapy\DrugClass[] $drugClass )The class of drug this belongs to (e.g., statins).
 *
 *
 * -------------------------------- FoodWarning ---------------------------------------------
 *
 * @property string|string[] foodWarning
 *
 * @method string|string[] getFoodWarning() Any precaution, guidance, contraindication, etc. related to consumption of specific foods while taking this drug.
 *
 * @method Drug setFoodWarning(string $foodWarning ) setFoodWarning(string[] $foodWarning )Any precaution, guidance, contraindication, etc. related to consumption of specific foods while taking this drug.
 *
 *
 * -------------------------------- InteractingDrug ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalTherapy\Drug|\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalTherapy\Drug[] interactingDrug
 *
 * @method \Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalTherapy\Drug|\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalTherapy\Drug[] getInteractingDrug() Another drug that is known to interact with this drug in a way that impacts the effect of this drug or causes a risk to the patient. Note: disease interactions are typically captured as contraindications.
 *
 * @method Drug setInteractingDrug(\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalTherapy\Drug $interactingDrug ) setInteractingDrug(\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalTherapy\Drug[] $interactingDrug )Another drug that is known to interact with this drug in a way that impacts the effect of this drug or causes a risk to the patient. Note: disease interactions are typically captured as contraindications.
 *
 *
 * -------------------------------- IsAvailableGenerically ---------------------------------------------
 *
 * @property Boolean|Boolean[] isAvailableGenerically
 *
 * @method Boolean|Boolean[] getIsAvailableGenerically() True if the drug is available in a generic form (regardless of name).
 *
 * @method Drug setIsAvailableGenerically(Boolean $isAvailableGenerically ) setIsAvailableGenerically(Boolean[] $isAvailableGenerically )True if the drug is available in a generic form (regardless of name).
 *
 *
 * -------------------------------- IsProprietary ---------------------------------------------
 *
 * @property Boolean|Boolean[] isProprietary
 *
 * @method Boolean|Boolean[] getIsProprietary() True if this item's name is a proprietary/brand name (vs. generic name).
 *
 * @method Drug setIsProprietary(Boolean $isProprietary ) setIsProprietary(Boolean[] $isProprietary )True if this item's name is a proprietary/brand name (vs. generic name).
 *
 *
 * -------------------------------- LabelDetails ---------------------------------------------
 *
 * @property string|string[] labelDetails
 *
 * @method string|string[] getLabelDetails() Link to the drug's label details.
 *
 * @method Drug setLabelDetails(string $labelDetails ) setLabelDetails(string[] $labelDetails )Link to the drug's label details.
 *
 *
 * -------------------------------- LegalStatus ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalIntangible\DrugLegalStatus|\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalIntangible\DrugLegalStatus[] legalStatus
 *
 * @method \Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalIntangible\DrugLegalStatus|\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalIntangible\DrugLegalStatus[] getLegalStatus() The drug or supplement's legal status, including any controlled substance schedules that apply.
 *
 * @method Drug setLegalStatus(\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalIntangible\DrugLegalStatus $legalStatus ) setLegalStatus(\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalIntangible\DrugLegalStatus[] $legalStatus )The drug or supplement's legal status, including any controlled substance schedules that apply.
 *
 *
 * -------------------------------- Manufacturer ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Organization|\Bordeux\SchemaOrg\Thing\Organization[] manufacturer
 *
 * @method \Bordeux\SchemaOrg\Thing\Organization|\Bordeux\SchemaOrg\Thing\Organization[] getManufacturer() The manufacturer of the product.
 *
 * @method Drug setManufacturer(\Bordeux\SchemaOrg\Thing\Organization $manufacturer ) setManufacturer(\Bordeux\SchemaOrg\Thing\Organization[] $manufacturer )The manufacturer of the product.
 *
 *
 * -------------------------------- MechanismOfAction ---------------------------------------------
 *
 * @property string|string[] mechanismOfAction
 *
 * @method string|string[] getMechanismOfAction() The specific biochemical interaction through which this drug or supplement produces its pharmacological effect.
 *
 * @method Drug setMechanismOfAction(string $mechanismOfAction ) setMechanismOfAction(string[] $mechanismOfAction )The specific biochemical interaction through which this drug or supplement produces its pharmacological effect.
 *
 *
 * -------------------------------- NonProprietaryName ---------------------------------------------
 *
 * @property string|string[] nonProprietaryName
 *
 * @method string|string[] getNonProprietaryName() The generic name of this drug or supplement.
 *
 * @method Drug setNonProprietaryName(string $nonProprietaryName ) setNonProprietaryName(string[] $nonProprietaryName )The generic name of this drug or supplement.
 *
 *
 * -------------------------------- Overdosage ---------------------------------------------
 *
 * @property string|string[] overdosage
 *
 * @method string|string[] getOverdosage() Any information related to overdose on a drug, including signs or symptoms, treatments, contact information for emergency response.
 *
 * @method Drug setOverdosage(string $overdosage ) setOverdosage(string[] $overdosage )Any information related to overdose on a drug, including signs or symptoms, treatments, contact information for emergency response.
 *
 *
 * -------------------------------- PregnancyCategory ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalIntangible\MedicalEnumeration\DrugPregnancyCategory|\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalIntangible\MedicalEnumeration\DrugPregnancyCategory[] pregnancyCategory
 *
 * @method \Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalIntangible\MedicalEnumeration\DrugPregnancyCategory|\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalIntangible\MedicalEnumeration\DrugPregnancyCategory[] getPregnancyCategory() Pregnancy category of this drug.
 *
 * @method Drug setPregnancyCategory(\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalIntangible\MedicalEnumeration\DrugPregnancyCategory $pregnancyCategory ) setPregnancyCategory(\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalIntangible\MedicalEnumeration\DrugPregnancyCategory[] $pregnancyCategory )Pregnancy category of this drug.
 *
 *
 * -------------------------------- PregnancyWarning ---------------------------------------------
 *
 * @property string|string[] pregnancyWarning
 *
 * @method string|string[] getPregnancyWarning() Any precaution, guidance, contraindication, etc. related to this drug's use during pregnancy.
 *
 * @method Drug setPregnancyWarning(string $pregnancyWarning ) setPregnancyWarning(string[] $pregnancyWarning )Any precaution, guidance, contraindication, etc. related to this drug's use during pregnancy.
 *
 *
 * -------------------------------- PrescribingInfo ---------------------------------------------
 *
 * @property string|string[] prescribingInfo
 *
 * @method string|string[] getPrescribingInfo() Link to prescribing information for the drug.
 *
 * @method Drug setPrescribingInfo(string $prescribingInfo ) setPrescribingInfo(string[] $prescribingInfo )Link to prescribing information for the drug.
 *
 *
 * -------------------------------- PrescriptionStatus ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalIntangible\MedicalEnumeration\DrugPrescriptionStatus|\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalIntangible\MedicalEnumeration\DrugPrescriptionStatus[] prescriptionStatus
 *
 * @method \Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalIntangible\MedicalEnumeration\DrugPrescriptionStatus|\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalIntangible\MedicalEnumeration\DrugPrescriptionStatus[] getPrescriptionStatus() Indicates whether this drug is available by prescription or over-the-counter.
 *
 * @method Drug setPrescriptionStatus(\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalIntangible\MedicalEnumeration\DrugPrescriptionStatus $prescriptionStatus ) setPrescriptionStatus(\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalIntangible\MedicalEnumeration\DrugPrescriptionStatus[] $prescriptionStatus )Indicates whether this drug is available by prescription or over-the-counter.
 *
 *
 * -------------------------------- RelatedDrug ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalTherapy\Drug|\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalTherapy\Drug[] relatedDrug
 *
 * @method \Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalTherapy\Drug|\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalTherapy\Drug[] getRelatedDrug() Any other drug related to this one, for example commonly-prescribed alternatives.
 *
 * @method Drug setRelatedDrug(\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalTherapy\Drug $relatedDrug ) setRelatedDrug(\Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalTherapy\Drug[] $relatedDrug )Any other drug related to this one, for example commonly-prescribed alternatives.
 *
 *
 * -------------------------------- Warning ---------------------------------------------
 *
 * @property string|string[]|string|string[] warning
 *
 * @method string|string[]|string|string[] getWarning() Any FDA or other warnings about the drug (text or URL).
 *
 * @method Drug setWarning(string $warning ) setWarning(string[] $warning ) setWarning(string $warning ) setWarning(string[] $warning )Any FDA or other warnings about the drug (text or URL).
 *
 *
 */
 class Drug extends \Bordeux\SchemaOrg\Thing\MedicalEntity\MedicalTherapy {

 }