<?php

namespace Bordeux\SchemaOrg\Thing\Organization;

/**
 * Generated by bordeux/schema
 *
 * @author Krzysztof Bednarczyk <schema@bordeux.net>
 * @link http://schema.org/LocalBusiness
 *
 *
 * -------------------------------- ContainedIn ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Place|\Bordeux\SchemaOrg\Thing\Place[] containedIn
 *
 * @method \Bordeux\SchemaOrg\Thing\Place|\Bordeux\SchemaOrg\Thing\Place[] getContainedIn() The basic containment relation between places.
 *
 * @method LocalBusiness setContainedIn(\Bordeux\SchemaOrg\Thing\Place $containedIn ) setContainedIn(\Bordeux\SchemaOrg\Thing\Place[] $containedIn )The basic containment relation between places.
 *
 *
 * -------------------------------- Geo ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\GeoCoordinates|\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\GeoCoordinates[]|\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\GeoShape|\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\GeoShape[] geo
 *
 * @method \Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\GeoCoordinates|\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\GeoCoordinates[]|\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\GeoShape|\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\GeoShape[] getGeo() The geo coordinates of the place.
 *
 * @method LocalBusiness setGeo(\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\GeoCoordinates $geo ) setGeo(\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\GeoCoordinates[] $geo ) setGeo(\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\GeoShape $geo ) setGeo(\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\GeoShape[] $geo )The geo coordinates of the place.
 *
 *
 * -------------------------------- Map ---------------------------------------------
 *
 * @property string|string[] map
 *
 * @method string|string[] getMap() A URL to a map of the place.
 *
 * @method LocalBusiness setMap(string $map ) setMap(string[] $map )A URL to a map of the place.
 *
 *
 * -------------------------------- Maps ---------------------------------------------
 *
 * @property string|string[] maps
 *
 * @method string|string[] getMaps() A URL to a map of the place (legacy spelling; see singular form, map).
 *
 * @method LocalBusiness setMaps(string $maps ) setMaps(string[] $maps )A URL to a map of the place (legacy spelling; see singular form, map).
 *
 *
 * -------------------------------- OpeningHoursSpecification ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\OpeningHoursSpecification|\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\OpeningHoursSpecification[] openingHoursSpecification
 *
 * @method \Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\OpeningHoursSpecification|\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\OpeningHoursSpecification[] getOpeningHoursSpecification() The opening hours of a certain place.
 *
 * @method LocalBusiness setOpeningHoursSpecification(\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\OpeningHoursSpecification $openingHoursSpecification ) setOpeningHoursSpecification(\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\OpeningHoursSpecification[] $openingHoursSpecification )The opening hours of a certain place.
 *
 *
 * -------------------------------- Photo ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\CreativeWork\MediaObject\ImageObject|\Bordeux\SchemaOrg\Thing\CreativeWork\MediaObject\ImageObject[]|\Bordeux\SchemaOrg\Thing\CreativeWork\Photograph|\Bordeux\SchemaOrg\Thing\CreativeWork\Photograph[] photo
 *
 * @method \Bordeux\SchemaOrg\Thing\CreativeWork\MediaObject\ImageObject|\Bordeux\SchemaOrg\Thing\CreativeWork\MediaObject\ImageObject[]|\Bordeux\SchemaOrg\Thing\CreativeWork\Photograph|\Bordeux\SchemaOrg\Thing\CreativeWork\Photograph[] getPhoto() A photograph of this place.
 *
 * @method LocalBusiness setPhoto(\Bordeux\SchemaOrg\Thing\CreativeWork\MediaObject\ImageObject $photo ) setPhoto(\Bordeux\SchemaOrg\Thing\CreativeWork\MediaObject\ImageObject[] $photo ) setPhoto(\Bordeux\SchemaOrg\Thing\CreativeWork\Photograph $photo ) setPhoto(\Bordeux\SchemaOrg\Thing\CreativeWork\Photograph[] $photo )A photograph of this place.
 *
 *
 * -------------------------------- Photos ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\CreativeWork\MediaObject\ImageObject|\Bordeux\SchemaOrg\Thing\CreativeWork\MediaObject\ImageObject[]|\Bordeux\SchemaOrg\Thing\CreativeWork\Photograph|\Bordeux\SchemaOrg\Thing\CreativeWork\Photograph[] photos
 *
 * @method \Bordeux\SchemaOrg\Thing\CreativeWork\MediaObject\ImageObject|\Bordeux\SchemaOrg\Thing\CreativeWork\MediaObject\ImageObject[]|\Bordeux\SchemaOrg\Thing\CreativeWork\Photograph|\Bordeux\SchemaOrg\Thing\CreativeWork\Photograph[] getPhotos() Photographs of this place (legacy spelling; see singular form, photo).
 *
 * @method LocalBusiness setPhotos(\Bordeux\SchemaOrg\Thing\CreativeWork\MediaObject\ImageObject $photos ) setPhotos(\Bordeux\SchemaOrg\Thing\CreativeWork\MediaObject\ImageObject[] $photos ) setPhotos(\Bordeux\SchemaOrg\Thing\CreativeWork\Photograph $photos ) setPhotos(\Bordeux\SchemaOrg\Thing\CreativeWork\Photograph[] $photos )Photographs of this place (legacy spelling; see singular form, photo).
 *
 *
 * -------------------------------- BranchOf ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Organization|\Bordeux\SchemaOrg\Thing\Organization[] branchOf
 *
 * @method \Bordeux\SchemaOrg\Thing\Organization|\Bordeux\SchemaOrg\Thing\Organization[] getBranchOf() The larger organization that this local business is a branch of, if any.
 *
 * @method LocalBusiness setBranchOf(\Bordeux\SchemaOrg\Thing\Organization $branchOf ) setBranchOf(\Bordeux\SchemaOrg\Thing\Organization[] $branchOf )The larger organization that this local business is a branch of, if any.
 *
 *
 * -------------------------------- CurrenciesAccepted ---------------------------------------------
 *
 * @property string|string[] currenciesAccepted
 *
 * @method string|string[] getCurrenciesAccepted() The currency accepted (in ISO 4217 currency format).
 *
 * @method LocalBusiness setCurrenciesAccepted(string $currenciesAccepted ) setCurrenciesAccepted(string[] $currenciesAccepted )The currency accepted (in ISO 4217 currency format).
 *
 *
 * -------------------------------- OpeningHours ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Intangible\Quantity\Duration|\Bordeux\SchemaOrg\Thing\Intangible\Quantity\Duration[] openingHours
 *
 * @method \Bordeux\SchemaOrg\Thing\Intangible\Quantity\Duration|\Bordeux\SchemaOrg\Thing\Intangible\Quantity\Duration[] getOpeningHours() The opening hours for a business. Opening hours can be specified as a weekly time range, starting with days, then times per day. Multiple days can be listed with commas ',' separating each day. Day or time ranges are specified using a hyphen '-'.- Days are specified using the following two-letter combinations: Mo, Tu, We, Th, Fr, Sa, Su.- Times are specified using 24:00 time. For example, 3pm is specified as 15:00. - Here is an example: <time itemprop="openingHours" datetime="Tu,Th 16:00-20:00">Tuesdays and Thursdays 4-8pm</time>. - If a business is open 7 days a week, then it can be specified as <time itemprop="openingHours" datetime="Mo-Su">Monday through Sunday, all day</time>.
 *
 * @method LocalBusiness setOpeningHours(\Bordeux\SchemaOrg\Thing\Intangible\Quantity\Duration $openingHours ) setOpeningHours(\Bordeux\SchemaOrg\Thing\Intangible\Quantity\Duration[] $openingHours )The opening hours for a business. Opening hours can be specified as a weekly time range, starting with days, then times per day. Multiple days can be listed with commas ',' separating each day. Day or time ranges are specified using a hyphen '-'.- Days are specified using the following two-letter combinations: Mo, Tu, We, Th, Fr, Sa, Su.- Times are specified using 24:00 time. For example, 3pm is specified as 15:00. - Here is an example: <time itemprop="openingHours" datetime="Tu,Th 16:00-20:00">Tuesdays and Thursdays 4-8pm</time>. - If a business is open 7 days a week, then it can be specified as <time itemprop="openingHours" datetime="Mo-Su">Monday through Sunday, all day</time>.
 *
 *
 * -------------------------------- PaymentAccepted ---------------------------------------------
 *
 * @property string|string[] paymentAccepted
 *
 * @method string|string[] getPaymentAccepted() Cash, credit card, etc.
 *
 * @method LocalBusiness setPaymentAccepted(string $paymentAccepted ) setPaymentAccepted(string[] $paymentAccepted )Cash, credit card, etc.
 *
 *
 * -------------------------------- PriceRange ---------------------------------------------
 *
 * @property string|string[] priceRange
 *
 * @method string|string[] getPriceRange() The price range of the business, for example $$$.
 *
 * @method LocalBusiness setPriceRange(string $priceRange ) setPriceRange(string[] $priceRange )The price range of the business, for example $$$.
 *
 *
 */
 class LocalBusiness extends \Bordeux\SchemaOrg\Thing\Organization {

 }