<?php

namespace Bordeux\SchemaOrg\Thing;

/**
 * Generated by bordeux/schema
 *
 * @author Krzysztof Bednarczyk <schema@bordeux.net>
 * @link http://schema.org/Person
 *
 *
 * -------------------------------- AdditionalName ---------------------------------------------
 *
 * @property string|string[] additionalName
 *
 * @method string|string[] getAdditionalName() An additional name for a Person, can be used for a middle name.
 *
 * @method Person setAdditionalName(string $additionalName ) setAdditionalName(string[] $additionalName )An additional name for a Person, can be used for a middle name.
 *
 *
 * -------------------------------- Address ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\ContactPoint\PostalAddress|\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\ContactPoint\PostalAddress[] address
 *
 * @method \Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\ContactPoint\PostalAddress|\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\ContactPoint\PostalAddress[] getAddress() Physical address of the item.
 *
 * @method Person setAddress(\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\ContactPoint\PostalAddress $address ) setAddress(\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\ContactPoint\PostalAddress[] $address )Physical address of the item.
 *
 *
 * -------------------------------- Affiliation ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Organization|\Bordeux\SchemaOrg\Thing\Organization[] affiliation
 *
 * @method \Bordeux\SchemaOrg\Thing\Organization|\Bordeux\SchemaOrg\Thing\Organization[] getAffiliation() An organization that this person is affiliated with. For example, a school/university, a club, or a team.
 *
 * @method Person setAffiliation(\Bordeux\SchemaOrg\Thing\Organization $affiliation ) setAffiliation(\Bordeux\SchemaOrg\Thing\Organization[] $affiliation )An organization that this person is affiliated with. For example, a school/university, a club, or a team.
 *
 *
 * -------------------------------- AlumniOf ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Organization\EducationalOrganization|\Bordeux\SchemaOrg\Thing\Organization\EducationalOrganization[] alumniOf
 *
 * @method \Bordeux\SchemaOrg\Thing\Organization\EducationalOrganization|\Bordeux\SchemaOrg\Thing\Organization\EducationalOrganization[] getAlumniOf() An educational organizations that the person is an alumni of.
 *
 * @method Person setAlumniOf(\Bordeux\SchemaOrg\Thing\Organization\EducationalOrganization $alumniOf ) setAlumniOf(\Bordeux\SchemaOrg\Thing\Organization\EducationalOrganization[] $alumniOf )An educational organizations that the person is an alumni of.
 *
 *
 * -------------------------------- Award ---------------------------------------------
 *
 * @property string|string[] award
 *
 * @method string|string[] getAward() An award won by this person or for this creative work.
 *
 * @method Person setAward(string $award ) setAward(string[] $award )An award won by this person or for this creative work.
 *
 *
 * -------------------------------- Awards ---------------------------------------------
 *
 * @property string|string[] awards
 *
 * @method string|string[] getAwards() Awards won by this person or for this creative work. (legacy spelling; see singular form, award)
 *
 * @method Person setAwards(string $awards ) setAwards(string[] $awards )Awards won by this person or for this creative work. (legacy spelling; see singular form, award)
 *
 *
 * -------------------------------- BirthDate ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\SchemaDateTime|\Bordeux\SchemaOrg\SchemaDateTime[] birthDate
 *
 * @method \Bordeux\SchemaOrg\SchemaDateTime|\Bordeux\SchemaOrg\SchemaDateTime[] getBirthDate() Date of birth.
 *
 * @method Person setBirthDate(\Bordeux\SchemaOrg\SchemaDateTime $birthDate ) setBirthDate(\Bordeux\SchemaOrg\SchemaDateTime[] $birthDate )Date of birth.
 *
 *
 * -------------------------------- Brand ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Organization|\Bordeux\SchemaOrg\Thing\Organization[]|\Bordeux\SchemaOrg\Thing\Intangible\Brand|\Bordeux\SchemaOrg\Thing\Intangible\Brand[] brand
 *
 * @method \Bordeux\SchemaOrg\Thing\Organization|\Bordeux\SchemaOrg\Thing\Organization[]|\Bordeux\SchemaOrg\Thing\Intangible\Brand|\Bordeux\SchemaOrg\Thing\Intangible\Brand[] getBrand() The brand(s) associated with a product or service, or the brand(s) maintained by an organization or business person.
 *
 * @method Person setBrand(\Bordeux\SchemaOrg\Thing\Organization $brand ) setBrand(\Bordeux\SchemaOrg\Thing\Organization[] $brand ) setBrand(\Bordeux\SchemaOrg\Thing\Intangible\Brand $brand ) setBrand(\Bordeux\SchemaOrg\Thing\Intangible\Brand[] $brand )The brand(s) associated with a product or service, or the brand(s) maintained by an organization or business person.
 *
 *
 * -------------------------------- Children ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Person|\Bordeux\SchemaOrg\Thing\Person[] children
 *
 * @method \Bordeux\SchemaOrg\Thing\Person|\Bordeux\SchemaOrg\Thing\Person[] getChildren() A child of the person.
 *
 * @method Person setChildren(\Bordeux\SchemaOrg\Thing\Person $children ) setChildren(\Bordeux\SchemaOrg\Thing\Person[] $children )A child of the person.
 *
 *
 * -------------------------------- Colleague ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Person|\Bordeux\SchemaOrg\Thing\Person[] colleague
 *
 * @method \Bordeux\SchemaOrg\Thing\Person|\Bordeux\SchemaOrg\Thing\Person[] getColleague() A colleague of the person.
 *
 * @method Person setColleague(\Bordeux\SchemaOrg\Thing\Person $colleague ) setColleague(\Bordeux\SchemaOrg\Thing\Person[] $colleague )A colleague of the person.
 *
 *
 * -------------------------------- Colleagues ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Person|\Bordeux\SchemaOrg\Thing\Person[] colleagues
 *
 * @method \Bordeux\SchemaOrg\Thing\Person|\Bordeux\SchemaOrg\Thing\Person[] getColleagues() A colleague of the person (legacy spelling; see singular form, colleague).
 *
 * @method Person setColleagues(\Bordeux\SchemaOrg\Thing\Person $colleagues ) setColleagues(\Bordeux\SchemaOrg\Thing\Person[] $colleagues )A colleague of the person (legacy spelling; see singular form, colleague).
 *
 *
 * -------------------------------- ContactPoint ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\ContactPoint|\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\ContactPoint[] contactPoint
 *
 * @method \Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\ContactPoint|\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\ContactPoint[] getContactPoint() A contact point for a person or organization.
 *
 * @method Person setContactPoint(\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\ContactPoint $contactPoint ) setContactPoint(\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\ContactPoint[] $contactPoint )A contact point for a person or organization.
 *
 *
 * -------------------------------- ContactPoints ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\ContactPoint|\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\ContactPoint[] contactPoints
 *
 * @method \Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\ContactPoint|\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\ContactPoint[] getContactPoints() A contact point for a person or organization (legacy spelling; see singular form, contactPoint).
 *
 * @method Person setContactPoints(\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\ContactPoint $contactPoints ) setContactPoints(\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\ContactPoint[] $contactPoints )A contact point for a person or organization (legacy spelling; see singular form, contactPoint).
 *
 *
 * -------------------------------- DeathDate ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\SchemaDateTime|\Bordeux\SchemaOrg\SchemaDateTime[] deathDate
 *
 * @method \Bordeux\SchemaOrg\SchemaDateTime|\Bordeux\SchemaOrg\SchemaDateTime[] getDeathDate() Date of death.
 *
 * @method Person setDeathDate(\Bordeux\SchemaOrg\SchemaDateTime $deathDate ) setDeathDate(\Bordeux\SchemaOrg\SchemaDateTime[] $deathDate )Date of death.
 *
 *
 * -------------------------------- Duns ---------------------------------------------
 *
 * @property string|string[] duns
 *
 * @method string|string[] getDuns() The Dun & Bradstreet DUNS number for identifying an organization or business person.
 *
 * @method Person setDuns(string $duns ) setDuns(string[] $duns )The Dun & Bradstreet DUNS number for identifying an organization or business person.
 *
 *
 * -------------------------------- Email ---------------------------------------------
 *
 * @property string|string[] email
 *
 * @method string|string[] getEmail() Email address.
 *
 * @method Person setEmail(string $email ) setEmail(string[] $email )Email address.
 *
 *
 * -------------------------------- FamilyName ---------------------------------------------
 *
 * @property string|string[] familyName
 *
 * @method string|string[] getFamilyName() Family name. In the U.S., the last name of an Person. This can be used along with givenName instead of the Name property.
 *
 * @method Person setFamilyName(string $familyName ) setFamilyName(string[] $familyName )Family name. In the U.S., the last name of an Person. This can be used along with givenName instead of the Name property.
 *
 *
 * -------------------------------- FaxNumber ---------------------------------------------
 *
 * @property string|string[] faxNumber
 *
 * @method string|string[] getFaxNumber() The fax number.
 *
 * @method Person setFaxNumber(string $faxNumber ) setFaxNumber(string[] $faxNumber )The fax number.
 *
 *
 * -------------------------------- Follows ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Person|\Bordeux\SchemaOrg\Thing\Person[] follows
 *
 * @method \Bordeux\SchemaOrg\Thing\Person|\Bordeux\SchemaOrg\Thing\Person[] getFollows() The most generic uni-directional social relation.
 *
 * @method Person setFollows(\Bordeux\SchemaOrg\Thing\Person $follows ) setFollows(\Bordeux\SchemaOrg\Thing\Person[] $follows )The most generic uni-directional social relation.
 *
 *
 * -------------------------------- Gender ---------------------------------------------
 *
 * @property string|string[] gender
 *
 * @method string|string[] getGender() Gender of the person.
 *
 * @method Person setGender(string $gender ) setGender(string[] $gender )Gender of the person.
 *
 *
 * -------------------------------- GivenName ---------------------------------------------
 *
 * @property string|string[] givenName
 *
 * @method string|string[] getGivenName() Given name. In the U.S., the first name of a Person. This can be used along with familyName instead of the Name property.
 *
 * @method Person setGivenName(string $givenName ) setGivenName(string[] $givenName )Given name. In the U.S., the first name of a Person. This can be used along with familyName instead of the Name property.
 *
 *
 * -------------------------------- GlobalLocationNumber ---------------------------------------------
 *
 * @property string|string[] globalLocationNumber
 *
 * @method string|string[] getGlobalLocationNumber() The Global Location Number (GLN, sometimes also referred to as International Location Number or ILN) of the respective organization, person, or place. The GLN is a 13-digit number used to identify parties and physical locations.
 *
 * @method Person setGlobalLocationNumber(string $globalLocationNumber ) setGlobalLocationNumber(string[] $globalLocationNumber )The Global Location Number (GLN, sometimes also referred to as International Location Number or ILN) of the respective organization, person, or place. The GLN is a 13-digit number used to identify parties and physical locations.
 *
 *
 * -------------------------------- HasPOS ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Place|\Bordeux\SchemaOrg\Thing\Place[] hasPOS
 *
 * @method \Bordeux\SchemaOrg\Thing\Place|\Bordeux\SchemaOrg\Thing\Place[] getHasPOS() Points-of-Sales operated by the organization or person.
 *
 * @method Person setHasPOS(\Bordeux\SchemaOrg\Thing\Place $hasPOS ) setHasPOS(\Bordeux\SchemaOrg\Thing\Place[] $hasPOS )Points-of-Sales operated by the organization or person.
 *
 *
 * -------------------------------- HomeLocation ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\ContactPoint|\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\ContactPoint[]|\Bordeux\SchemaOrg\Thing\Place|\Bordeux\SchemaOrg\Thing\Place[] homeLocation
 *
 * @method \Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\ContactPoint|\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\ContactPoint[]|\Bordeux\SchemaOrg\Thing\Place|\Bordeux\SchemaOrg\Thing\Place[] getHomeLocation() A contact location for a person's residence.
 *
 * @method Person setHomeLocation(\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\ContactPoint $homeLocation ) setHomeLocation(\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\ContactPoint[] $homeLocation ) setHomeLocation(\Bordeux\SchemaOrg\Thing\Place $homeLocation ) setHomeLocation(\Bordeux\SchemaOrg\Thing\Place[] $homeLocation )A contact location for a person's residence.
 *
 *
 * -------------------------------- HonorificPrefix ---------------------------------------------
 *
 * @property string|string[] honorificPrefix
 *
 * @method string|string[] getHonorificPrefix() An honorific prefix preceding a Person's name such as Dr/Mrs/Mr.
 *
 * @method Person setHonorificPrefix(string $honorificPrefix ) setHonorificPrefix(string[] $honorificPrefix )An honorific prefix preceding a Person's name such as Dr/Mrs/Mr.
 *
 *
 * -------------------------------- HonorificSuffix ---------------------------------------------
 *
 * @property string|string[] honorificSuffix
 *
 * @method string|string[] getHonorificSuffix() An honorific suffix preceding a Person's name such as M.D. /PhD/MSCSW.
 *
 * @method Person setHonorificSuffix(string $honorificSuffix ) setHonorificSuffix(string[] $honorificSuffix )An honorific suffix preceding a Person's name such as M.D. /PhD/MSCSW.
 *
 *
 * -------------------------------- InteractionCount ---------------------------------------------
 *
 * @property string|string[] interactionCount
 *
 * @method string|string[] getInteractionCount() A count of a specific user interactions with this item—for example, 20 UserLikes, 5 UserComments, or 300 UserDownloads. The user interaction type should be one of the sub types of UserInteraction.
 *
 * @method Person setInteractionCount(string $interactionCount ) setInteractionCount(string[] $interactionCount )A count of a specific user interactions with this item—for example, 20 UserLikes, 5 UserComments, or 300 UserDownloads. The user interaction type should be one of the sub types of UserInteraction.
 *
 *
 * -------------------------------- IsicV4 ---------------------------------------------
 *
 * @property string|string[] isicV4
 *
 * @method string|string[] getIsicV4() The International Standard of Industrial Classification of All Economic Activities (ISIC), Revision 4 code for a particular organization, business person, or place.
 *
 * @method Person setIsicV4(string $isicV4 ) setIsicV4(string[] $isicV4 )The International Standard of Industrial Classification of All Economic Activities (ISIC), Revision 4 code for a particular organization, business person, or place.
 *
 *
 * -------------------------------- JobTitle ---------------------------------------------
 *
 * @property string|string[] jobTitle
 *
 * @method string|string[] getJobTitle() The job title of the person (for example, Financial Manager).
 *
 * @method Person setJobTitle(string $jobTitle ) setJobTitle(string[] $jobTitle )The job title of the person (for example, Financial Manager).
 *
 *
 * -------------------------------- Knows ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Person|\Bordeux\SchemaOrg\Thing\Person[] knows
 *
 * @method \Bordeux\SchemaOrg\Thing\Person|\Bordeux\SchemaOrg\Thing\Person[] getKnows() The most generic bi-directional social/work relation.
 *
 * @method Person setKnows(\Bordeux\SchemaOrg\Thing\Person $knows ) setKnows(\Bordeux\SchemaOrg\Thing\Person[] $knows )The most generic bi-directional social/work relation.
 *
 *
 * -------------------------------- MakesOffer ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Intangible\Offer|\Bordeux\SchemaOrg\Thing\Intangible\Offer[] makesOffer
 *
 * @method \Bordeux\SchemaOrg\Thing\Intangible\Offer|\Bordeux\SchemaOrg\Thing\Intangible\Offer[] getMakesOffer() A pointer to products or services offered by the organization or person.
 *
 * @method Person setMakesOffer(\Bordeux\SchemaOrg\Thing\Intangible\Offer $makesOffer ) setMakesOffer(\Bordeux\SchemaOrg\Thing\Intangible\Offer[] $makesOffer )A pointer to products or services offered by the organization or person.
 *
 *
 * -------------------------------- MemberOf ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Organization|\Bordeux\SchemaOrg\Thing\Organization[] memberOf
 *
 * @method \Bordeux\SchemaOrg\Thing\Organization|\Bordeux\SchemaOrg\Thing\Organization[] getMemberOf() An organization to which the person belongs.
 *
 * @method Person setMemberOf(\Bordeux\SchemaOrg\Thing\Organization $memberOf ) setMemberOf(\Bordeux\SchemaOrg\Thing\Organization[] $memberOf )An organization to which the person belongs.
 *
 *
 * -------------------------------- Naics ---------------------------------------------
 *
 * @property string|string[] naics
 *
 * @method string|string[] getNaics() The North American Industry Classification System (NAICS) code for a particular organization or business person.
 *
 * @method Person setNaics(string $naics ) setNaics(string[] $naics )The North American Industry Classification System (NAICS) code for a particular organization or business person.
 *
 *
 * -------------------------------- Nationality ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Place\AdministrativeArea\Country|\Bordeux\SchemaOrg\Thing\Place\AdministrativeArea\Country[] nationality
 *
 * @method \Bordeux\SchemaOrg\Thing\Place\AdministrativeArea\Country|\Bordeux\SchemaOrg\Thing\Place\AdministrativeArea\Country[] getNationality() Nationality of the person.
 *
 * @method Person setNationality(\Bordeux\SchemaOrg\Thing\Place\AdministrativeArea\Country $nationality ) setNationality(\Bordeux\SchemaOrg\Thing\Place\AdministrativeArea\Country[] $nationality )Nationality of the person.
 *
 *
 * -------------------------------- Owns ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\OwnershipInfo|\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\OwnershipInfo[]|\Bordeux\SchemaOrg\Thing\Product|\Bordeux\SchemaOrg\Thing\Product[] owns
 *
 * @method \Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\OwnershipInfo|\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\OwnershipInfo[]|\Bordeux\SchemaOrg\Thing\Product|\Bordeux\SchemaOrg\Thing\Product[] getOwns() Products owned by the organization or person.
 *
 * @method Person setOwns(\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\OwnershipInfo $owns ) setOwns(\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\OwnershipInfo[] $owns ) setOwns(\Bordeux\SchemaOrg\Thing\Product $owns ) setOwns(\Bordeux\SchemaOrg\Thing\Product[] $owns )Products owned by the organization or person.
 *
 *
 * -------------------------------- Parent ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Person|\Bordeux\SchemaOrg\Thing\Person[] parent
 *
 * @method \Bordeux\SchemaOrg\Thing\Person|\Bordeux\SchemaOrg\Thing\Person[] getParent() A parent of this person.
 *
 * @method Person setParent(\Bordeux\SchemaOrg\Thing\Person $parent ) setParent(\Bordeux\SchemaOrg\Thing\Person[] $parent )A parent of this person.
 *
 *
 * -------------------------------- Parents ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Person|\Bordeux\SchemaOrg\Thing\Person[] parents
 *
 * @method \Bordeux\SchemaOrg\Thing\Person|\Bordeux\SchemaOrg\Thing\Person[] getParents() A parents of the person (legacy spelling; see singular form, parent).
 *
 * @method Person setParents(\Bordeux\SchemaOrg\Thing\Person $parents ) setParents(\Bordeux\SchemaOrg\Thing\Person[] $parents )A parents of the person (legacy spelling; see singular form, parent).
 *
 *
 * -------------------------------- PerformerIn ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Event|\Bordeux\SchemaOrg\Thing\Event[] performerIn
 *
 * @method \Bordeux\SchemaOrg\Thing\Event|\Bordeux\SchemaOrg\Thing\Event[] getPerformerIn() Event that this person is a performer or participant in.
 *
 * @method Person setPerformerIn(\Bordeux\SchemaOrg\Thing\Event $performerIn ) setPerformerIn(\Bordeux\SchemaOrg\Thing\Event[] $performerIn )Event that this person is a performer or participant in.
 *
 *
 * -------------------------------- RelatedTo ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Person|\Bordeux\SchemaOrg\Thing\Person[] relatedTo
 *
 * @method \Bordeux\SchemaOrg\Thing\Person|\Bordeux\SchemaOrg\Thing\Person[] getRelatedTo() The most generic familial relation.
 *
 * @method Person setRelatedTo(\Bordeux\SchemaOrg\Thing\Person $relatedTo ) setRelatedTo(\Bordeux\SchemaOrg\Thing\Person[] $relatedTo )The most generic familial relation.
 *
 *
 * -------------------------------- Seeks ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Intangible\Demand|\Bordeux\SchemaOrg\Thing\Intangible\Demand[] seeks
 *
 * @method \Bordeux\SchemaOrg\Thing\Intangible\Demand|\Bordeux\SchemaOrg\Thing\Intangible\Demand[] getSeeks() A pointer to products or services sought by the organization or person (demand).
 *
 * @method Person setSeeks(\Bordeux\SchemaOrg\Thing\Intangible\Demand $seeks ) setSeeks(\Bordeux\SchemaOrg\Thing\Intangible\Demand[] $seeks )A pointer to products or services sought by the organization or person (demand).
 *
 *
 * -------------------------------- Sibling ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Person|\Bordeux\SchemaOrg\Thing\Person[] sibling
 *
 * @method \Bordeux\SchemaOrg\Thing\Person|\Bordeux\SchemaOrg\Thing\Person[] getSibling() A sibling of the person.
 *
 * @method Person setSibling(\Bordeux\SchemaOrg\Thing\Person $sibling ) setSibling(\Bordeux\SchemaOrg\Thing\Person[] $sibling )A sibling of the person.
 *
 *
 * -------------------------------- Siblings ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Person|\Bordeux\SchemaOrg\Thing\Person[] siblings
 *
 * @method \Bordeux\SchemaOrg\Thing\Person|\Bordeux\SchemaOrg\Thing\Person[] getSiblings() A sibling of the person (legacy spelling; see singular form, sibling).
 *
 * @method Person setSiblings(\Bordeux\SchemaOrg\Thing\Person $siblings ) setSiblings(\Bordeux\SchemaOrg\Thing\Person[] $siblings )A sibling of the person (legacy spelling; see singular form, sibling).
 *
 *
 * -------------------------------- Spouse ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Person|\Bordeux\SchemaOrg\Thing\Person[] spouse
 *
 * @method \Bordeux\SchemaOrg\Thing\Person|\Bordeux\SchemaOrg\Thing\Person[] getSpouse() The person's spouse.
 *
 * @method Person setSpouse(\Bordeux\SchemaOrg\Thing\Person $spouse ) setSpouse(\Bordeux\SchemaOrg\Thing\Person[] $spouse )The person's spouse.
 *
 *
 * -------------------------------- TaxID ---------------------------------------------
 *
 * @property string|string[] taxID
 *
 * @method string|string[] getTaxID() The Tax / Fiscal ID of the organization or person, e.g. the TIN in the US or the CIF/NIF in Spain.
 *
 * @method Person setTaxID(string $taxID ) setTaxID(string[] $taxID )The Tax / Fiscal ID of the organization or person, e.g. the TIN in the US or the CIF/NIF in Spain.
 *
 *
 * -------------------------------- Telephone ---------------------------------------------
 *
 * @property string|string[] telephone
 *
 * @method string|string[] getTelephone() The telephone number.
 *
 * @method Person setTelephone(string $telephone ) setTelephone(string[] $telephone )The telephone number.
 *
 *
 * -------------------------------- VatID ---------------------------------------------
 *
 * @property string|string[] vatID
 *
 * @method string|string[] getVatID() The Value-added Tax ID of the organisation or person.
 *
 * @method Person setVatID(string $vatID ) setVatID(string[] $vatID )The Value-added Tax ID of the organisation or person.
 *
 *
 * -------------------------------- WorkLocation ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\ContactPoint|\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\ContactPoint[]|\Bordeux\SchemaOrg\Thing\Place|\Bordeux\SchemaOrg\Thing\Place[] workLocation
 *
 * @method \Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\ContactPoint|\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\ContactPoint[]|\Bordeux\SchemaOrg\Thing\Place|\Bordeux\SchemaOrg\Thing\Place[] getWorkLocation() A contact location for a person's place of work.
 *
 * @method Person setWorkLocation(\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\ContactPoint $workLocation ) setWorkLocation(\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\ContactPoint[] $workLocation ) setWorkLocation(\Bordeux\SchemaOrg\Thing\Place $workLocation ) setWorkLocation(\Bordeux\SchemaOrg\Thing\Place[] $workLocation )A contact location for a person's place of work.
 *
 *
 * -------------------------------- WorksFor ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Organization|\Bordeux\SchemaOrg\Thing\Organization[] worksFor
 *
 * @method \Bordeux\SchemaOrg\Thing\Organization|\Bordeux\SchemaOrg\Thing\Organization[] getWorksFor() Organizations that the person works for.
 *
 * @method Person setWorksFor(\Bordeux\SchemaOrg\Thing\Organization $worksFor ) setWorksFor(\Bordeux\SchemaOrg\Thing\Organization[] $worksFor )Organizations that the person works for.
 *
 *
 */
 class Person extends \Bordeux\SchemaOrg\Thing {

 }