<?php

namespace Bordeux\SchemaOrg\Thing;

/**
 * Generated by bordeux/schema
 *
 * @author Krzysztof Bednarczyk <schema@bordeux.net>
 * @link http://schema.org/Product
 *
 *
 * -------------------------------- AggregateRating ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Intangible\Rating\AggregateRating|\Bordeux\SchemaOrg\Thing\Intangible\Rating\AggregateRating[] aggregateRating
 *
 * @method \Bordeux\SchemaOrg\Thing\Intangible\Rating\AggregateRating|\Bordeux\SchemaOrg\Thing\Intangible\Rating\AggregateRating[] getAggregateRating() The overall rating, based on a collection of reviews or ratings, of the item.
 *
 * @method Product setAggregateRating(\Bordeux\SchemaOrg\Thing\Intangible\Rating\AggregateRating $aggregateRating ) setAggregateRating(\Bordeux\SchemaOrg\Thing\Intangible\Rating\AggregateRating[] $aggregateRating )The overall rating, based on a collection of reviews or ratings, of the item.
 *
 *
 * -------------------------------- Audience ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Intangible\Audience|\Bordeux\SchemaOrg\Thing\Intangible\Audience[] audience
 *
 * @method \Bordeux\SchemaOrg\Thing\Intangible\Audience|\Bordeux\SchemaOrg\Thing\Intangible\Audience[] getAudience() The intended audience of the item, i.e. the group for whom the item was created.
 *
 * @method Product setAudience(\Bordeux\SchemaOrg\Thing\Intangible\Audience $audience ) setAudience(\Bordeux\SchemaOrg\Thing\Intangible\Audience[] $audience )The intended audience of the item, i.e. the group for whom the item was created.
 *
 *
 * -------------------------------- Brand ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Organization|\Bordeux\SchemaOrg\Thing\Organization[]|\Bordeux\SchemaOrg\Thing\Intangible\Brand|\Bordeux\SchemaOrg\Thing\Intangible\Brand[] brand
 *
 * @method \Bordeux\SchemaOrg\Thing\Organization|\Bordeux\SchemaOrg\Thing\Organization[]|\Bordeux\SchemaOrg\Thing\Intangible\Brand|\Bordeux\SchemaOrg\Thing\Intangible\Brand[] getBrand() The brand(s) associated with a product or service, or the brand(s) maintained by an organization or business person.
 *
 * @method Product setBrand(\Bordeux\SchemaOrg\Thing\Organization $brand ) setBrand(\Bordeux\SchemaOrg\Thing\Organization[] $brand ) setBrand(\Bordeux\SchemaOrg\Thing\Intangible\Brand $brand ) setBrand(\Bordeux\SchemaOrg\Thing\Intangible\Brand[] $brand )The brand(s) associated with a product or service, or the brand(s) maintained by an organization or business person.
 *
 *
 * -------------------------------- Color ---------------------------------------------
 *
 * @property string|string[] color
 *
 * @method string|string[] getColor() The color of the product.
 *
 * @method Product setColor(string $color ) setColor(string[] $color )The color of the product.
 *
 *
 * -------------------------------- Depth ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Intangible\Quantity\Distance|\Bordeux\SchemaOrg\Thing\Intangible\Quantity\Distance[]|\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\QuantitativeValue|\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\QuantitativeValue[] depth
 *
 * @method \Bordeux\SchemaOrg\Thing\Intangible\Quantity\Distance|\Bordeux\SchemaOrg\Thing\Intangible\Quantity\Distance[]|\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\QuantitativeValue|\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\QuantitativeValue[] getDepth() The depth of the product.
 *
 * @method Product setDepth(\Bordeux\SchemaOrg\Thing\Intangible\Quantity\Distance $depth ) setDepth(\Bordeux\SchemaOrg\Thing\Intangible\Quantity\Distance[] $depth ) setDepth(\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\QuantitativeValue $depth ) setDepth(\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\QuantitativeValue[] $depth )The depth of the product.
 *
 *
 * -------------------------------- Gtin13 ---------------------------------------------
 *
 * @property string|string[] gtin13
 *
 * @method string|string[] getGtin13() The GTIN-13 code of the product, or the product to which the offer refers. This is equivalent to 13-digit ISBN codes and EAN UCC-13. Former 12-digit UPC codes can be converted into a GTIN-13 code by simply adding a preceeding zero.
 *
 * @method Product setGtin13(string $gtin13 ) setGtin13(string[] $gtin13 )The GTIN-13 code of the product, or the product to which the offer refers. This is equivalent to 13-digit ISBN codes and EAN UCC-13. Former 12-digit UPC codes can be converted into a GTIN-13 code by simply adding a preceeding zero.
 *
 *
 * -------------------------------- Gtin14 ---------------------------------------------
 *
 * @property string|string[] gtin14
 *
 * @method string|string[] getGtin14() The GTIN-14 code of the product, or the product to which the offer refers.
 *
 * @method Product setGtin14(string $gtin14 ) setGtin14(string[] $gtin14 )The GTIN-14 code of the product, or the product to which the offer refers.
 *
 *
 * -------------------------------- Gtin8 ---------------------------------------------
 *
 * @property string|string[] gtin8
 *
 * @method string|string[] getGtin8() The GTIN-8 code of the product, or the product to which the offer refers. This code is also known as EAN/UCC-8 or 8-digit EAN.
 *
 * @method Product setGtin8(string $gtin8 ) setGtin8(string[] $gtin8 )The GTIN-8 code of the product, or the product to which the offer refers. This code is also known as EAN/UCC-8 or 8-digit EAN.
 *
 *
 * -------------------------------- Height ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Intangible\Quantity\Distance|\Bordeux\SchemaOrg\Thing\Intangible\Quantity\Distance[]|\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\QuantitativeValue|\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\QuantitativeValue[] height
 *
 * @method \Bordeux\SchemaOrg\Thing\Intangible\Quantity\Distance|\Bordeux\SchemaOrg\Thing\Intangible\Quantity\Distance[]|\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\QuantitativeValue|\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\QuantitativeValue[] getHeight() The height of the item.
 *
 * @method Product setHeight(\Bordeux\SchemaOrg\Thing\Intangible\Quantity\Distance $height ) setHeight(\Bordeux\SchemaOrg\Thing\Intangible\Quantity\Distance[] $height ) setHeight(\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\QuantitativeValue $height ) setHeight(\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\QuantitativeValue[] $height )The height of the item.
 *
 *
 * -------------------------------- IsAccessoryOrSparePartFor ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Product|\Bordeux\SchemaOrg\Thing\Product[] isAccessoryOrSparePartFor
 *
 * @method \Bordeux\SchemaOrg\Thing\Product|\Bordeux\SchemaOrg\Thing\Product[] getIsAccessoryOrSparePartFor() A pointer to another product (or multiple products) for which this product is an accessory or spare part.
 *
 * @method Product setIsAccessoryOrSparePartFor(\Bordeux\SchemaOrg\Thing\Product $isAccessoryOrSparePartFor ) setIsAccessoryOrSparePartFor(\Bordeux\SchemaOrg\Thing\Product[] $isAccessoryOrSparePartFor )A pointer to another product (or multiple products) for which this product is an accessory or spare part.
 *
 *
 * -------------------------------- IsConsumableFor ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Product|\Bordeux\SchemaOrg\Thing\Product[] isConsumableFor
 *
 * @method \Bordeux\SchemaOrg\Thing\Product|\Bordeux\SchemaOrg\Thing\Product[] getIsConsumableFor() A pointer to another product (or multiple products) for which this product is a consumable.
 *
 * @method Product setIsConsumableFor(\Bordeux\SchemaOrg\Thing\Product $isConsumableFor ) setIsConsumableFor(\Bordeux\SchemaOrg\Thing\Product[] $isConsumableFor )A pointer to another product (or multiple products) for which this product is a consumable.
 *
 *
 * -------------------------------- IsRelatedTo ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Product|\Bordeux\SchemaOrg\Thing\Product[] isRelatedTo
 *
 * @method \Bordeux\SchemaOrg\Thing\Product|\Bordeux\SchemaOrg\Thing\Product[] getIsRelatedTo() A pointer to another, somehow related product (or multiple products).
 *
 * @method Product setIsRelatedTo(\Bordeux\SchemaOrg\Thing\Product $isRelatedTo ) setIsRelatedTo(\Bordeux\SchemaOrg\Thing\Product[] $isRelatedTo )A pointer to another, somehow related product (or multiple products).
 *
 *
 * -------------------------------- IsSimilarTo ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Product|\Bordeux\SchemaOrg\Thing\Product[] isSimilarTo
 *
 * @method \Bordeux\SchemaOrg\Thing\Product|\Bordeux\SchemaOrg\Thing\Product[] getIsSimilarTo() A pointer to another, functionally similar product (or multiple products).
 *
 * @method Product setIsSimilarTo(\Bordeux\SchemaOrg\Thing\Product $isSimilarTo ) setIsSimilarTo(\Bordeux\SchemaOrg\Thing\Product[] $isSimilarTo )A pointer to another, functionally similar product (or multiple products).
 *
 *
 * -------------------------------- ItemCondition ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Intangible\Enumeration\OfferItemCondition|\Bordeux\SchemaOrg\Thing\Intangible\Enumeration\OfferItemCondition[] itemCondition
 *
 * @method \Bordeux\SchemaOrg\Thing\Intangible\Enumeration\OfferItemCondition|\Bordeux\SchemaOrg\Thing\Intangible\Enumeration\OfferItemCondition[] getItemCondition() A predefined value from OfferItemCondition or a textual description of the condition of the product or service, or the products or services included in the offer.
 *
 * @method Product setItemCondition(\Bordeux\SchemaOrg\Thing\Intangible\Enumeration\OfferItemCondition $itemCondition ) setItemCondition(\Bordeux\SchemaOrg\Thing\Intangible\Enumeration\OfferItemCondition[] $itemCondition )A predefined value from OfferItemCondition or a textual description of the condition of the product or service, or the products or services included in the offer.
 *
 *
 * -------------------------------- Logo ---------------------------------------------
 *
 * @property string|string[]|\Bordeux\SchemaOrg\Thing\CreativeWork\MediaObject\ImageObject|\Bordeux\SchemaOrg\Thing\CreativeWork\MediaObject\ImageObject[] logo
 *
 * @method string|string[]|\Bordeux\SchemaOrg\Thing\CreativeWork\MediaObject\ImageObject|\Bordeux\SchemaOrg\Thing\CreativeWork\MediaObject\ImageObject[] getLogo() A logo associated with an organization.
 *
 * @method Product setLogo(string $logo ) setLogo(string[] $logo ) setLogo(\Bordeux\SchemaOrg\Thing\CreativeWork\MediaObject\ImageObject $logo ) setLogo(\Bordeux\SchemaOrg\Thing\CreativeWork\MediaObject\ImageObject[] $logo )A logo associated with an organization.
 *
 *
 * -------------------------------- Manufacturer ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Organization|\Bordeux\SchemaOrg\Thing\Organization[] manufacturer
 *
 * @method \Bordeux\SchemaOrg\Thing\Organization|\Bordeux\SchemaOrg\Thing\Organization[] getManufacturer() The manufacturer of the product.
 *
 * @method Product setManufacturer(\Bordeux\SchemaOrg\Thing\Organization $manufacturer ) setManufacturer(\Bordeux\SchemaOrg\Thing\Organization[] $manufacturer )The manufacturer of the product.
 *
 *
 * -------------------------------- Model ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Product\ProductModel|\Bordeux\SchemaOrg\Thing\Product\ProductModel[]|string|string[] model
 *
 * @method \Bordeux\SchemaOrg\Thing\Product\ProductModel|\Bordeux\SchemaOrg\Thing\Product\ProductModel[]|string|string[] getModel() The model of the product. Use with the URL of a ProductModel or a textual representation of the model identifier. The URL of the ProductModel can be from an external source. It is recommended to additionally provide strong product identifiers via the gtin8/gtin13/gtin14 and mpn properties.
 *
 * @method Product setModel(\Bordeux\SchemaOrg\Thing\Product\ProductModel $model ) setModel(\Bordeux\SchemaOrg\Thing\Product\ProductModel[] $model ) setModel(string $model ) setModel(string[] $model )The model of the product. Use with the URL of a ProductModel or a textual representation of the model identifier. The URL of the ProductModel can be from an external source. It is recommended to additionally provide strong product identifiers via the gtin8/gtin13/gtin14 and mpn properties.
 *
 *
 * -------------------------------- Mpn ---------------------------------------------
 *
 * @property string|string[] mpn
 *
 * @method string|string[] getMpn() The Manufacturer Part Number (MPN) of the product, or the product to which the offer refers.
 *
 * @method Product setMpn(string $mpn ) setMpn(string[] $mpn )The Manufacturer Part Number (MPN) of the product, or the product to which the offer refers.
 *
 *
 * -------------------------------- Offers ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Intangible\Offer|\Bordeux\SchemaOrg\Thing\Intangible\Offer[] offers
 *
 * @method \Bordeux\SchemaOrg\Thing\Intangible\Offer|\Bordeux\SchemaOrg\Thing\Intangible\Offer[] getOffers() An offer to transfer some rights to an item or to provide a service—for example, an offer to sell tickets to an event, to rent the DVD of a movie, to stream a TV show over the internet, to repair a motorcycle, or to loan a book.
 *
 * @method Product setOffers(\Bordeux\SchemaOrg\Thing\Intangible\Offer $offers ) setOffers(\Bordeux\SchemaOrg\Thing\Intangible\Offer[] $offers )An offer to transfer some rights to an item or to provide a service—for example, an offer to sell tickets to an event, to rent the DVD of a movie, to stream a TV show over the internet, to repair a motorcycle, or to loan a book.
 *
 *
 * -------------------------------- ProductID ---------------------------------------------
 *
 * @property string|string[] productID
 *
 * @method string|string[] getProductID() The product identifier, such as ISBN. For example: <meta itemprop='productID' content='isbn:123-456-789'/>.
 *
 * @method Product setProductID(string $productID ) setProductID(string[] $productID )The product identifier, such as ISBN. For example: <meta itemprop='productID' content='isbn:123-456-789'/>.
 *
 *
 * -------------------------------- ReleaseDate ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\SchemaDateTime|\Bordeux\SchemaOrg\SchemaDateTime[] releaseDate
 *
 * @method \Bordeux\SchemaOrg\SchemaDateTime|\Bordeux\SchemaOrg\SchemaDateTime[] getReleaseDate() The release date of a product or product model. This can be used to distinguish the exact variant of a product.
 *
 * @method Product setReleaseDate(\Bordeux\SchemaOrg\SchemaDateTime $releaseDate ) setReleaseDate(\Bordeux\SchemaOrg\SchemaDateTime[] $releaseDate )The release date of a product or product model. This can be used to distinguish the exact variant of a product.
 *
 *
 * -------------------------------- Review ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\CreativeWork\Review|\Bordeux\SchemaOrg\Thing\CreativeWork\Review[] review
 *
 * @method \Bordeux\SchemaOrg\Thing\CreativeWork\Review|\Bordeux\SchemaOrg\Thing\CreativeWork\Review[] getReview() A review of the item.
 *
 * @method Product setReview(\Bordeux\SchemaOrg\Thing\CreativeWork\Review $review ) setReview(\Bordeux\SchemaOrg\Thing\CreativeWork\Review[] $review )A review of the item.
 *
 *
 * -------------------------------- Reviews ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\CreativeWork\Review|\Bordeux\SchemaOrg\Thing\CreativeWork\Review[] reviews
 *
 * @method \Bordeux\SchemaOrg\Thing\CreativeWork\Review|\Bordeux\SchemaOrg\Thing\CreativeWork\Review[] getReviews() Review of the item (legacy spelling; see singular form, review).
 *
 * @method Product setReviews(\Bordeux\SchemaOrg\Thing\CreativeWork\Review $reviews ) setReviews(\Bordeux\SchemaOrg\Thing\CreativeWork\Review[] $reviews )Review of the item (legacy spelling; see singular form, review).
 *
 *
 * -------------------------------- Sku ---------------------------------------------
 *
 * @property string|string[] sku
 *
 * @method string|string[] getSku() The Stock Keeping Unit (SKU), i.e. a merchant-specific identifier for a product or service, or the product to which the offer refers.
 *
 * @method Product setSku(string $sku ) setSku(string[] $sku )The Stock Keeping Unit (SKU), i.e. a merchant-specific identifier for a product or service, or the product to which the offer refers.
 *
 *
 * -------------------------------- Weight ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\QuantitativeValue|\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\QuantitativeValue[] weight
 *
 * @method \Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\QuantitativeValue|\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\QuantitativeValue[] getWeight() The weight of the product.
 *
 * @method Product setWeight(\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\QuantitativeValue $weight ) setWeight(\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\QuantitativeValue[] $weight )The weight of the product.
 *
 *
 * -------------------------------- Width ---------------------------------------------
 *
 * @property \Bordeux\SchemaOrg\Thing\Intangible\Quantity\Distance|\Bordeux\SchemaOrg\Thing\Intangible\Quantity\Distance[]|\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\QuantitativeValue|\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\QuantitativeValue[] width
 *
 * @method \Bordeux\SchemaOrg\Thing\Intangible\Quantity\Distance|\Bordeux\SchemaOrg\Thing\Intangible\Quantity\Distance[]|\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\QuantitativeValue|\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\QuantitativeValue[] getWidth() The width of the item.
 *
 * @method Product setWidth(\Bordeux\SchemaOrg\Thing\Intangible\Quantity\Distance $width ) setWidth(\Bordeux\SchemaOrg\Thing\Intangible\Quantity\Distance[] $width ) setWidth(\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\QuantitativeValue $width ) setWidth(\Bordeux\SchemaOrg\Thing\Intangible\StructuredValue\QuantitativeValue[] $width )The width of the item.
 *
 *
 */
 class Product extends \Bordeux\SchemaOrg\Thing {

 }