<?php

namespace Spatie\SchemaOrg;

/**
 * A Report generated by governmental or non-governmental organization.
 *
 * @see http://schema.org/Report
 *
 * @mixin \Spatie\SchemaOrg\Article
 */
class Report extends BaseType
{
    /**
     * The number or other unique designator assigned to a Report by the
     * publishing organization.
     *
     * @param string|string[] $reportNumber
     *
     * @return static
     *
     * @see http://schema.org/reportNumber
     */
    public function reportNumber($reportNumber)
    {
        return $this->setProperty('reportNumber', $reportNumber);
    }

}
